from __future__ import annotations


URL = 'https://scanner.tradingview.com/{market}/scan'
HEADERS = {
    'authority': 'scanner.tradingview.com',
    'sec-ch-ua': '" Not A;Brand";v="99", "Chromium";v="98", "Google Chrome";v="98"',
    'accept': 'text/plain, */*; q=0.01',
    'content-type': 'application/x-www-form-urlencoded; charset=UTF-8',
    'sec-ch-ua-mobile': '?0',
    'user-agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko)'
                  'Chrome/98.0.4758.102 Safari/537.36',
    'sec-ch-ua-platform': '"Windows"',
    'origin': 'https://www.tradingview.com',
    'sec-fetch-site': 'same-site',
    'sec-fetch-mode': 'cors',
    'sec-fetch-dest': 'empty',
    'referer': 'https://www.tradingview.com/',
    'accept-language': 'en-US,en;q=0.9,it;q=0.8',
}
DEFAULT_API_SETTINGS = {
    'filter': [
        {'left': 'type', 'operation': 'equal', 'right': 'stock'},
        {'left': 'subtype', 'operation': 'in_range', 'right': ['common', 'foreign-issuer']},
        {'left': 'exchange', 'operation': 'in_range', 'right': ['AMEX', 'NASDAQ', 'NYSE']},
    ],
    'options': {'lang': 'en'},
    'markets': ['america'],
    'symbols': {'query': {'types': []}, 'tickers': []},
    'columns': ['name', 'close', 'volume', 'market_cap_basic'],
    # 'sort': {},  # the sortBy value should be replaced with a column name
    'range': [0, 50],
}
MARKETS = {
    'bonds',
    'cfd',
    'coin',
    'crypto',
    'economics2',
    'euronext',
    'forex',
    'futures',
    'options',
    'america',
    'argentina',
    'australia',
    'austria',
    'bahrain',
    'bangladesh',
    'belgium',
    'brazil',
    'canada',
    'chile',
    'china',
    'colombia',
    'cyprus',
    'czech',
    'denmark',
    'egypt',
    'estonia',
    'finland',
    'france',
    'germany',
    'greece',
    'hongkong',
    'hungary',
    'iceland',
    'india',
    'indonesia',
    'israel',
    'italy',
    'japan',
    'kenya',
    'korea',
    'ksa',
    'kuwait',
    'latvia',
    'lithuania',
    'luxembourg',
    'malaysia',
    'mexico',
    'morocco',
    'netherlands',
    'newzealand',
    'nigeria',
    'norway',
    'pakistan',
    'peru',
    'philippines',
    'poland',
    'portugal',
    'qatar',
    'romania',
    'rsa',
    'russia',
    'serbia',
    'singapore',
    'slovakia',
    'spain',
    'srilanka',
    'sweden',
    'switzerland',
    'taiwan',
    'thailand',
    'tunisia',
    'turkey',
    'uae',
    'uk',
    'venezuela',
    'vietnam',
}
COLUMNS = {
    # the following ~260 columns have a "display name"
    '1-Month High': 'High.1M',
    '1-Month Low': 'Low.1M',
    '1-Year Beta': 'beta_1_year',
    '3-Month High': 'High.3M',
    '3-Month Low': 'Low.3M',
    '3-Month Performance': 'Perf.3M',
    '52 Week High': 'price_52_week_high',
    '52 Week Low': 'price_52_week_low',
    '5Y Performance': 'Perf.5Y',
    '6-Month High': 'High.6M',
    '6-Month Low': 'Low.6M',
    '6-Month Performance': 'Perf.6M',
    'All Time High': 'High.All',
    'All Time Low': 'Low.All',
    'All Time Performance': 'Perf.All',
    'Aroon Down (14)': 'Aroon.Down',
    'Aroon Up (14)': 'Aroon.Up',
    'Average Day Range (14)': 'ADR',
    'Average Directional Index (14)': 'ADX',
    'Average True Range (14)': 'ATR',
    'Average Volume (10 day)': 'average_volume_10d_calc',
    'Average Volume (30 day)': 'average_volume_30d_calc',
    'Average Volume (60 day)': 'average_volume_60d_calc',
    'Average Volume (90 day)': 'average_volume_90d_calc',
    'Awesome Oscillator': 'AO',
    'Basic EPS (FY)': 'basic_eps_net_income',
    'Basic EPS (TTM)': 'earnings_per_share_basic_ttm',
    'Bollinger Lower Band (20)': 'BB.lower',
    'Bollinger Upper Band (20)': 'BB.upper',
    'Bull Bear Power': 'BBPower',
    'Cash & Equivalents (FY)': 'cash_n_equivalents_fy',
    'Cash & Equivalents (MRQ)': 'cash_n_equivalents_fq',
    'Cash and short term investments (FY)': 'cash_n_short_term_invest_fy',
    'Cash and short term investments (MRQ)': 'cash_n_short_term_invest_fq',
    'Chaikin Money Flow (20)': 'ChaikinMoneyFlow',
    'Change': 'change_abs',
    'Change %': 'change',
    'Change 15m': 'change_abs.15',
    'Change 15m, %': 'change.15',
    'Change 1h': 'change_abs.60',
    'Change 1h, %': 'change.60',
    'Change 1m': 'change_abs.1',
    'Change 1M': 'change_abs.1M',
    'Change 1m, %': 'change.1',
    'Change 1M, %': 'change.1M',
    'Change 1W': 'change_abs.1W',
    'Change 1W, %': 'change.1W',
    'Change 4h': 'change_abs.240',
    'Change 4h, %': 'change.240',
    'Change 5m': 'change_abs.5',
    'Change 5m, %': 'change.5',
    'Change from Open': 'change_from_open_abs',
    'Change from Open %': 'change_from_open',
    'Commodity Channel Index (20)': 'CCI20',
    'Country': 'country',
    'Current Ratio (MRQ)': 'current_ratio',
    'Debt to Equity Ratio (MRQ)': 'debt_to_equity',
    'Dividend Yield Forward': 'dividend_yield_recent',
    'Dividends Paid (FY)': 'dividends_paid',
    'Dividends per share (Annual YoY Growth)': 'dps_common_stock_prim_issue_yoy_growth_fy',
    'Dividends per Share (FY)': 'dps_common_stock_prim_issue_fy',
    'Dividends per Share (MRQ)': 'dividends_per_share_fq',
    'Donchian Channels Lower Band (20)': 'DonchCh20.Lower',
    'Donchian Channels Upper Band (20)': 'DonchCh20.Upper',
    'EBITDA (Annual YoY Growth)': 'ebitda_yoy_growth_fy',
    'EBITDA (Quarterly QoQ Growth)': 'ebitda_qoq_growth_fq',
    'EBITDA (Quarterly YoY Growth)': 'ebitda_yoy_growth_fq',
    'EBITDA (TTM YoY Growth)': 'ebitda_yoy_growth_ttm',
    'EBITDA (TTM)': 'ebitda',
    'Enterprise Value (MRQ)': 'enterprise_value_fq',
    'Enterprise Value/EBITDA (TTM)': 'enterprise_value_ebitda_ttm',
    'EPS Diluted (Annual YoY Growth)': 'earnings_per_share_diluted_yoy_growth_fy',
    'EPS Diluted (FY)': 'last_annual_eps',
    'EPS Diluted (MRQ)': 'earnings_per_share_fq',
    'EPS Diluted (Quarterly QoQ Growth)': 'earnings_per_share_diluted_qoq_growth_fq',
    'EPS Diluted (Quarterly YoY Growth)': 'earnings_per_share_diluted_yoy_growth_fq',
    'EPS Diluted (TTM YoY Growth)': 'earnings_per_share_diluted_yoy_growth_ttm',
    'EPS Diluted (TTM)': 'earnings_per_share_diluted_ttm',
    'EPS Forecast (MRQ)': 'earnings_per_share_forecast_next_fq',
    'Exchange': 'exchange',
    'Exponential Moving Average (10)': 'EMA10',
    'Exponential Moving Average (100)': 'EMA100',
    'Exponential Moving Average (20)': 'EMA20',
    'Exponential Moving Average (200)': 'EMA200',
    'Exponential Moving Average (30)': 'EMA30',
    'Exponential Moving Average (5)': 'EMA5',
    'Exponential Moving Average (50)': 'EMA50',
    'Free Cash Flow (Annual YoY Growth)': 'free_cash_flow_yoy_growth_fy',
    'Free Cash Flow (Quarterly QoQ Growth)': 'free_cash_flow_qoq_growth_fq',
    'Free Cash Flow (Quarterly YoY Growth)': 'free_cash_flow_yoy_growth_fq',
    'Free Cash Flow (TTM YoY Growth)': 'free_cash_flow_yoy_growth_ttm',
    'Free Cash Flow Margin (FY)': 'free_cash_flow_margin_fy',
    'Free Cash Flow Margin (TTM)': 'free_cash_flow_margin_ttm',
    'Gap %': 'gap',
    'Goodwill': 'goodwill',
    'Gross Margin (FY)': 'gross_profit_margin_fy',
    'Gross Margin (TTM)': 'gross_margin',
    'Gross Profit (Annual YoY Growth)': 'gross_profit_yoy_growth_fy',
    'Gross Profit (FY)': 'gross_profit',
    'Gross Profit (MRQ)': 'gross_profit_fq',
    'Gross Profit (Quarterly QoQ Growth)': 'gross_profit_qoq_growth_fq',
    'Gross Profit (Quarterly YoY Growth)': 'gross_profit_yoy_growth_fq',
    'Gross Profit (TTM YoY Growth)': 'gross_profit_yoy_growth_ttm',
    'High': 'high',
    'Hull Moving Average (9)': 'HullMA9',
    'Ichimoku Base Line (9, 26, 52, 26)': 'Ichimoku.BLine',
    'Ichimoku Conversion Line (9, 26, 52, 26)': 'Ichimoku.CLine',
    'Ichimoku Leading Span A (9, 26, 52, 26)': 'Ichimoku.Lead1',
    'Ichimoku Leading Span B (9, 26, 52, 26)': 'Ichimoku.Lead2',
    'Industry': 'industry',
    'Keltner Channels Lower Band (20)': 'KltChnl.lower',
    'Keltner Channels Upper Band (20)': 'KltChnl.upper',
    'Last Year Revenue (FY)': 'last_annual_revenue',
    'Low': 'low',
    'MACD Level (12, 26)': 'MACD.macd',
    'MACD Signal (12, 26)': 'MACD.signal',
    'Market Capitalization': 'market_cap_basic',
    'Momentum (10)': 'Mom',
    'Money Flow (14)': 'MoneyFlow',
    'Monthly Performance': 'Perf.1M',
    'Moving Averages Rating': 'Recommend.MA',
    'Negative Directional Indicator (14)': 'ADX-DI',
    'Net Debt (MRQ)': 'net_debt',
    'Net Income (Annual YoY Growth)': 'net_income_yoy_growth_fy',
    'Net Income (FY)': 'net_income',
    'Net Income (Quarterly QoQ Growth)': 'net_income_qoq_growth_fq',
    'Net Income (Quarterly YoY Growth)': 'net_income_yoy_growth_fq',
    'Net Income (TTM YoY Growth)': 'net_income_yoy_growth_ttm',
    'Net Margin (FY)': 'net_income_bef_disc_oper_margin_fy',
    'Net Margin (TTM)': 'after_tax_margin',
    'Number of Employees': 'number_of_employees',
    'Number of Shareholders': 'number_of_shareholders',
    'Open': 'open',
    'Operating Margin (FY)': 'oper_income_margin_fy',
    'Operating Margin (TTM)': 'operating_margin',
    'Oscillators Rating': 'Recommend.Other',
    'Parabolic SAR': 'P.SAR',
    'Pattern': 'candlestick',
    'Pivot Camarilla P': 'Pivot.M.Camarilla.Middle',
    'Pivot Camarilla R1': 'Pivot.M.Camarilla.R1',
    'Pivot Camarilla R2': 'Pivot.M.Camarilla.R2',
    'Pivot Camarilla R3': 'Pivot.M.Camarilla.R3',
    'Pivot Camarilla S1': 'Pivot.M.Camarilla.S1',
    'Pivot Camarilla S2': 'Pivot.M.Camarilla.S2',
    'Pivot Camarilla S3': 'Pivot.M.Camarilla.S3',
    'Pivot Classic P': 'Pivot.M.Classic.Middle',
    'Pivot Classic R1': 'Pivot.M.Classic.R1',
    'Pivot Classic R2': 'Pivot.M.Classic.R2',
    'Pivot Classic R3': 'Pivot.M.Classic.R3',
    'Pivot Classic S1': 'Pivot.M.Classic.S1',
    'Pivot Classic S2': 'Pivot.M.Classic.S2',
    'Pivot Classic S3': 'Pivot.M.Classic.S3',
    'Pivot DM P': 'Pivot.M.Demark.Middle',
    'Pivot DM R1': 'Pivot.M.Demark.R1',
    'Pivot DM S1': 'Pivot.M.Demark.S1',
    'Pivot Fibonacci P': 'Pivot.M.Fibonacci.Middle',
    'Pivot Fibonacci R1': 'Pivot.M.Fibonacci.R1',
    'Pivot Fibonacci R2': 'Pivot.M.Fibonacci.R2',
    'Pivot Fibonacci R3': 'Pivot.M.Fibonacci.R3',
    'Pivot Fibonacci S1': 'Pivot.M.Fibonacci.S1',
    'Pivot Fibonacci S2': 'Pivot.M.Fibonacci.S2',
    'Pivot Fibonacci S3': 'Pivot.M.Fibonacci.S3',
    'Pivot Woodie P': 'Pivot.M.Woodie.Middle',
    'Pivot Woodie R1': 'Pivot.M.Woodie.R1',
    'Pivot Woodie R2': 'Pivot.M.Woodie.R2',
    'Pivot Woodie R3': 'Pivot.M.Woodie.R3',
    'Pivot Woodie S1': 'Pivot.M.Woodie.S1',
    'Pivot Woodie S2': 'Pivot.M.Woodie.S2',
    'Pivot Woodie S3': 'Pivot.M.Woodie.S3',
    'Positive Directional Indicator (14)': 'ADX+DI',
    'Post-market Change': 'postmarket_change_abs',
    'Post-market Change %': 'postmarket_change',
    'Post-market Close': 'postmarket_close',
    'Post-market High': 'postmarket_high',
    'Post-market Low': 'postmarket_low',
    'Post-market Open': 'postmarket_open',
    'Post-market Volume': 'postmarket_volume',
    'Pre-market Change': 'premarket_change_abs',
    'Pre-market Change %': 'premarket_change',
    'Pre-market Change from Open': 'premarket_change_from_open_abs',
    'Pre-market Change from Open %': 'premarket_change_from_open',
    'Pre-market Close': 'premarket_close',
    'Pre-market Gap %': 'premarket_gap',
    'Pre-market High': 'premarket_high',
    'Pre-market Low': 'premarket_low',
    'Pre-market Open': 'premarket_open',
    'Pre-market Volume': 'premarket_volume',
    'Pretax Margin (TTM)': 'pre_tax_margin',
    'Price': 'close',
    'Price to Book (FY)': 'price_book_ratio',
    'Price to Book (MRQ)': 'price_book_fq',
    'Price to Earnings Ratio (TTM)': 'price_earnings_ttm',
    'Price to Free Cash Flow (TTM)': 'price_free_cash_flow_ttm',
    'Price to Revenue Ratio (TTM)': 'price_revenue_ttm',
    'Price to Sales (FY)': 'price_sales_ratio',
    'Quick Ratio (MRQ)': 'quick_ratio',
    'Rate Of Change (9)': 'ROC',
    'Recent Earnings Date': 'earnings_release_date',
    'Relative Strength Index (14)': 'RSI',
    'Relative Strength Index (7)': 'RSI7',
    'Relative Volume': 'relative_volume_10d_calc',
    'Relative Volume at Time': 'relative_volume_intraday|5',  # replaced '.' with '|'
    'Research & development Ratio (FY)': 'research_and_dev_ratio_fy',
    'Research & development Ratio (TTM)': 'research_and_dev_ratio_ttm',
    'Return on Assets (TTM)': 'return_on_assets',
    'Return on Equity (TTM)': 'return_on_equity',
    'Return on Invested Capital (TTM)': 'return_on_invested_capital',
    'Revenue (Annual YoY Growth)': 'total_revenue_yoy_growth_fy',
    'Revenue (Quarterly QoQ Growth)': 'total_revenue_qoq_growth_fq',
    'Revenue (Quarterly YoY Growth)': 'total_revenue_yoy_growth_fq',
    'Revenue (TTM YoY Growth)': 'total_revenue_yoy_growth_ttm',
    'Revenue per Employee (FY)': 'revenue_per_employee',
    'Sector': 'sector',
    'Selling General & Admin expenses Ratio (FY)': 'sell_gen_admin_exp_other_ratio_fy',
    'Selling General & Admin expenses Ratio (TTM)': 'sell_gen_admin_exp_other_ratio_ttm',
    'Shares Float': 'float_shares_outstanding',
    'Simple Moving Average (10)': 'SMA10',
    'Simple Moving Average (100)': 'SMA100',
    'Simple Moving Average (20)': 'SMA20',
    'Simple Moving Average (200)': 'SMA200',
    'Simple Moving Average (30)': 'SMA30',
    'Simple Moving Average (5)': 'SMA5',
    'Simple Moving Average (50)': 'SMA50',
    'Stochastic %D (14, 3, 3)': 'Stoch.D',
    'Stochastic %K (14, 3, 3)': 'Stoch.K',
    'Stochastic RSI Fast (3, 3, 14, 14)': 'Stoch.RSI.K',
    'Stochastic RSI Slow (3, 3, 14, 14)': 'Stoch.RSI.D',
    'Submarket': 'submarket',
    'Technical Rating': 'Recommend.All',
    'Total Assets (Annual YoY Growth)': 'total_assets_yoy_growth_fy',
    'Total Assets (MRQ)': 'total_assets',
    'Total Assets (Quarterly QoQ Growth)': 'total_assets_qoq_growth_fq',
    'Total Assets (Quarterly YoY Growth)': 'total_assets_yoy_growth_fq',
    'Total Current Assets (MRQ)': 'total_current_assets',
    'Total Debt (Annual YoY Growth)': 'total_debt_yoy_growth_fy',
    'Total Debt (MRQ)': 'total_debt',
    'Total Debt (Quarterly QoQ Growth)': 'total_debt_qoq_growth_fq',
    'Total Debt (Quarterly YoY Growth)': 'total_debt_yoy_growth_fq',
    'Total Liabilities (FY)': 'total_liabilities_fy',
    'Total Liabilities (MRQ)': 'total_liabilities_fq',
    'Total Revenue (FY)': 'total_revenue',
    'Total Shares Outstanding': 'total_shares_outstanding_fundamental',
    'Ultimate Oscillator (7, 14, 28)': 'UO',
    'Upcoming Earnings Date': 'earnings_release_next_date',
    'Volatility': 'Volatility.D',
    'Volatility Month': 'Volatility.M',
    'Volatility Week': 'Volatility.W',
    'Volume': 'volume',
    'Volume Weighted Average Price': 'VWAP',
    'Volume Weighted Moving Average (20)': 'VWMA',
    'Volume*Price': 'Value.Traded',
    'Weekly Performance': 'Perf.W',
    'Williams Percent Range (14)': 'W.R',
    'Yearly Performance': 'Perf.Y',
    'YTD Performance': 'Perf.YTD',
    '24h_close_change|5': '24h_close_change|5',
    '24h_close_change_abs|5': '24h_close_change_abs|5',
    '24h_close_prev|5': '24h_close_prev|5',
    '24h_vol|5': '24h_vol|5',
    '24h_vol_change|5': '24h_vol_change|5',
    '24h_vol_change_abs|5': '24h_vol_change_abs|5',
    '24h_vol_change_cmc': '24h_vol_change_cmc',
    '24h_vol_cmc': '24h_vol_cmc',
    '24h_vol_prev|5': '24h_vol_prev|5',
    '24h_vol_to_market_cap': '24h_vol_to_market_cap',
    # and the following 3k cols don't have any display name (as of yet)
    'ADR': 'ADR',
    'ADR|1': 'ADR|1',
    'ADR|5': 'ADR|5',
    'ADR|15': 'ADR|15',
    'ADR|30': 'ADR|30',
    'ADR|60': 'ADR|60',
    'ADR|120': 'ADR|120',
    'ADR|240': 'ADR|240',
    'ADR|1W': 'ADR|1W',
    'ADR|1M': 'ADR|1M',
    'ADX': 'ADX',
    'ADX|1': 'ADX|1',
    'ADX|5': 'ADX|5',
    'ADX|15': 'ADX|15',
    'ADX|30': 'ADX|30',
    'ADX|60': 'ADX|60',
    'ADX|120': 'ADX|120',
    'ADX|240': 'ADX|240',
    'ADX|1W': 'ADX|1W',
    'ADX|1M': 'ADX|1M',
    'ADX+DI': 'ADX+DI',
    'ADX+DI|1': 'ADX+DI|1',
    'ADX+DI|5': 'ADX+DI|5',
    'ADX+DI|15': 'ADX+DI|15',
    'ADX+DI|30': 'ADX+DI|30',
    'ADX+DI|60': 'ADX+DI|60',
    'ADX+DI|120': 'ADX+DI|120',
    'ADX+DI|240': 'ADX+DI|240',
    'ADX+DI|1W': 'ADX+DI|1W',
    'ADX+DI|1M': 'ADX+DI|1M',
    'ADX+DI[1]': 'ADX+DI[1]',
    'ADX+DI[1]|1': 'ADX+DI[1]|1',
    'ADX+DI[1]|5': 'ADX+DI[1]|5',
    'ADX+DI[1]|15': 'ADX+DI[1]|15',
    'ADX+DI[1]|30': 'ADX+DI[1]|30',
    'ADX+DI[1]|60': 'ADX+DI[1]|60',
    'ADX+DI[1]|120': 'ADX+DI[1]|120',
    'ADX+DI[1]|240': 'ADX+DI[1]|240',
    'ADX+DI[1]|1W': 'ADX+DI[1]|1W',
    'ADX+DI[1]|1M': 'ADX+DI[1]|1M',
    'ADX+DI_100': 'ADX+DI_100',
    'ADX+DI_100|1': 'ADX+DI_100|1',
    'ADX+DI_100|5': 'ADX+DI_100|5',
    'ADX+DI_100|15': 'ADX+DI_100|15',
    'ADX+DI_100|30': 'ADX+DI_100|30',
    'ADX+DI_100|60': 'ADX+DI_100|60',
    'ADX+DI_100|120': 'ADX+DI_100|120',
    'ADX+DI_100|240': 'ADX+DI_100|240',
    'ADX+DI_100|1W': 'ADX+DI_100|1W',
    'ADX+DI_100|1M': 'ADX+DI_100|1M',
    'ADX+DI_100[1]': 'ADX+DI_100[1]',
    'ADX+DI_100[1]|1': 'ADX+DI_100[1]|1',
    'ADX+DI_100[1]|5': 'ADX+DI_100[1]|5',
    'ADX+DI_100[1]|15': 'ADX+DI_100[1]|15',
    'ADX+DI_100[1]|30': 'ADX+DI_100[1]|30',
    'ADX+DI_100[1]|60': 'ADX+DI_100[1]|60',
    'ADX+DI_100[1]|120': 'ADX+DI_100[1]|120',
    'ADX+DI_100[1]|240': 'ADX+DI_100[1]|240',
    'ADX+DI_100[1]|1W': 'ADX+DI_100[1]|1W',
    'ADX+DI_100[1]|1M': 'ADX+DI_100[1]|1M',
    'ADX+DI_20': 'ADX+DI_20',
    'ADX+DI_20|1': 'ADX+DI_20|1',
    'ADX+DI_20|5': 'ADX+DI_20|5',
    'ADX+DI_20|15': 'ADX+DI_20|15',
    'ADX+DI_20|30': 'ADX+DI_20|30',
    'ADX+DI_20|60': 'ADX+DI_20|60',
    'ADX+DI_20|120': 'ADX+DI_20|120',
    'ADX+DI_20|240': 'ADX+DI_20|240',
    'ADX+DI_20|1W': 'ADX+DI_20|1W',
    'ADX+DI_20|1M': 'ADX+DI_20|1M',
    'ADX+DI_20[1]': 'ADX+DI_20[1]',
    'ADX+DI_20[1]|1': 'ADX+DI_20[1]|1',
    'ADX+DI_20[1]|5': 'ADX+DI_20[1]|5',
    'ADX+DI_20[1]|15': 'ADX+DI_20[1]|15',
    'ADX+DI_20[1]|30': 'ADX+DI_20[1]|30',
    'ADX+DI_20[1]|60': 'ADX+DI_20[1]|60',
    'ADX+DI_20[1]|120': 'ADX+DI_20[1]|120',
    'ADX+DI_20[1]|240': 'ADX+DI_20[1]|240',
    'ADX+DI_20[1]|1W': 'ADX+DI_20[1]|1W',
    'ADX+DI_20[1]|1M': 'ADX+DI_20[1]|1M',
    'ADX+DI_50': 'ADX+DI_50',
    'ADX+DI_50|1': 'ADX+DI_50|1',
    'ADX+DI_50|5': 'ADX+DI_50|5',
    'ADX+DI_50|15': 'ADX+DI_50|15',
    'ADX+DI_50|30': 'ADX+DI_50|30',
    'ADX+DI_50|60': 'ADX+DI_50|60',
    'ADX+DI_50|120': 'ADX+DI_50|120',
    'ADX+DI_50|240': 'ADX+DI_50|240',
    'ADX+DI_50|1W': 'ADX+DI_50|1W',
    'ADX+DI_50|1M': 'ADX+DI_50|1M',
    'ADX+DI_50[1]': 'ADX+DI_50[1]',
    'ADX+DI_50[1]|1': 'ADX+DI_50[1]|1',
    'ADX+DI_50[1]|5': 'ADX+DI_50[1]|5',
    'ADX+DI_50[1]|15': 'ADX+DI_50[1]|15',
    'ADX+DI_50[1]|30': 'ADX+DI_50[1]|30',
    'ADX+DI_50[1]|60': 'ADX+DI_50[1]|60',
    'ADX+DI_50[1]|120': 'ADX+DI_50[1]|120',
    'ADX+DI_50[1]|240': 'ADX+DI_50[1]|240',
    'ADX+DI_50[1]|1W': 'ADX+DI_50[1]|1W',
    'ADX+DI_50[1]|1M': 'ADX+DI_50[1]|1M',
    'ADX+DI_9': 'ADX+DI_9',
    'ADX+DI_9|1': 'ADX+DI_9|1',
    'ADX+DI_9|5': 'ADX+DI_9|5',
    'ADX+DI_9|15': 'ADX+DI_9|15',
    'ADX+DI_9|30': 'ADX+DI_9|30',
    'ADX+DI_9|60': 'ADX+DI_9|60',
    'ADX+DI_9|120': 'ADX+DI_9|120',
    'ADX+DI_9|240': 'ADX+DI_9|240',
    'ADX+DI_9|1W': 'ADX+DI_9|1W',
    'ADX+DI_9|1M': 'ADX+DI_9|1M',
    'ADX+DI_9[1]': 'ADX+DI_9[1]',
    'ADX+DI_9[1]|1': 'ADX+DI_9[1]|1',
    'ADX+DI_9[1]|5': 'ADX+DI_9[1]|5',
    'ADX+DI_9[1]|15': 'ADX+DI_9[1]|15',
    'ADX+DI_9[1]|30': 'ADX+DI_9[1]|30',
    'ADX+DI_9[1]|60': 'ADX+DI_9[1]|60',
    'ADX+DI_9[1]|120': 'ADX+DI_9[1]|120',
    'ADX+DI_9[1]|240': 'ADX+DI_9[1]|240',
    'ADX+DI_9[1]|1W': 'ADX+DI_9[1]|1W',
    'ADX+DI_9[1]|1M': 'ADX+DI_9[1]|1M',
    'ADX-DI': 'ADX-DI',
    'ADX-DI|1': 'ADX-DI|1',
    'ADX-DI|5': 'ADX-DI|5',
    'ADX-DI|15': 'ADX-DI|15',
    'ADX-DI|30': 'ADX-DI|30',
    'ADX-DI|60': 'ADX-DI|60',
    'ADX-DI|120': 'ADX-DI|120',
    'ADX-DI|240': 'ADX-DI|240',
    'ADX-DI|1W': 'ADX-DI|1W',
    'ADX-DI|1M': 'ADX-DI|1M',
    'ADX-DI[1]': 'ADX-DI[1]',
    'ADX-DI[1]|1': 'ADX-DI[1]|1',
    'ADX-DI[1]|5': 'ADX-DI[1]|5',
    'ADX-DI[1]|15': 'ADX-DI[1]|15',
    'ADX-DI[1]|30': 'ADX-DI[1]|30',
    'ADX-DI[1]|60': 'ADX-DI[1]|60',
    'ADX-DI[1]|120': 'ADX-DI[1]|120',
    'ADX-DI[1]|240': 'ADX-DI[1]|240',
    'ADX-DI[1]|1W': 'ADX-DI[1]|1W',
    'ADX-DI[1]|1M': 'ADX-DI[1]|1M',
    'ADX-DI_100': 'ADX-DI_100',
    'ADX-DI_100|1': 'ADX-DI_100|1',
    'ADX-DI_100|5': 'ADX-DI_100|5',
    'ADX-DI_100|15': 'ADX-DI_100|15',
    'ADX-DI_100|30': 'ADX-DI_100|30',
    'ADX-DI_100|60': 'ADX-DI_100|60',
    'ADX-DI_100|120': 'ADX-DI_100|120',
    'ADX-DI_100|240': 'ADX-DI_100|240',
    'ADX-DI_100|1W': 'ADX-DI_100|1W',
    'ADX-DI_100|1M': 'ADX-DI_100|1M',
    'ADX-DI_100[1]': 'ADX-DI_100[1]',
    'ADX-DI_100[1]|1': 'ADX-DI_100[1]|1',
    'ADX-DI_100[1]|5': 'ADX-DI_100[1]|5',
    'ADX-DI_100[1]|15': 'ADX-DI_100[1]|15',
    'ADX-DI_100[1]|30': 'ADX-DI_100[1]|30',
    'ADX-DI_100[1]|60': 'ADX-DI_100[1]|60',
    'ADX-DI_100[1]|120': 'ADX-DI_100[1]|120',
    'ADX-DI_100[1]|240': 'ADX-DI_100[1]|240',
    'ADX-DI_100[1]|1W': 'ADX-DI_100[1]|1W',
    'ADX-DI_100[1]|1M': 'ADX-DI_100[1]|1M',
    'ADX-DI_20': 'ADX-DI_20',
    'ADX-DI_20|1': 'ADX-DI_20|1',
    'ADX-DI_20|5': 'ADX-DI_20|5',
    'ADX-DI_20|15': 'ADX-DI_20|15',
    'ADX-DI_20|30': 'ADX-DI_20|30',
    'ADX-DI_20|60': 'ADX-DI_20|60',
    'ADX-DI_20|120': 'ADX-DI_20|120',
    'ADX-DI_20|240': 'ADX-DI_20|240',
    'ADX-DI_20|1W': 'ADX-DI_20|1W',
    'ADX-DI_20|1M': 'ADX-DI_20|1M',
    'ADX-DI_20[1]': 'ADX-DI_20[1]',
    'ADX-DI_20[1]|1': 'ADX-DI_20[1]|1',
    'ADX-DI_20[1]|5': 'ADX-DI_20[1]|5',
    'ADX-DI_20[1]|15': 'ADX-DI_20[1]|15',
    'ADX-DI_20[1]|30': 'ADX-DI_20[1]|30',
    'ADX-DI_20[1]|60': 'ADX-DI_20[1]|60',
    'ADX-DI_20[1]|120': 'ADX-DI_20[1]|120',
    'ADX-DI_20[1]|240': 'ADX-DI_20[1]|240',
    'ADX-DI_20[1]|1W': 'ADX-DI_20[1]|1W',
    'ADX-DI_20[1]|1M': 'ADX-DI_20[1]|1M',
    'ADX-DI_50': 'ADX-DI_50',
    'ADX-DI_50|1': 'ADX-DI_50|1',
    'ADX-DI_50|5': 'ADX-DI_50|5',
    'ADX-DI_50|15': 'ADX-DI_50|15',
    'ADX-DI_50|30': 'ADX-DI_50|30',
    'ADX-DI_50|60': 'ADX-DI_50|60',
    'ADX-DI_50|120': 'ADX-DI_50|120',
    'ADX-DI_50|240': 'ADX-DI_50|240',
    'ADX-DI_50|1W': 'ADX-DI_50|1W',
    'ADX-DI_50|1M': 'ADX-DI_50|1M',
    'ADX-DI_50[1]': 'ADX-DI_50[1]',
    'ADX-DI_50[1]|1': 'ADX-DI_50[1]|1',
    'ADX-DI_50[1]|5': 'ADX-DI_50[1]|5',
    'ADX-DI_50[1]|15': 'ADX-DI_50[1]|15',
    'ADX-DI_50[1]|30': 'ADX-DI_50[1]|30',
    'ADX-DI_50[1]|60': 'ADX-DI_50[1]|60',
    'ADX-DI_50[1]|120': 'ADX-DI_50[1]|120',
    'ADX-DI_50[1]|240': 'ADX-DI_50[1]|240',
    'ADX-DI_50[1]|1W': 'ADX-DI_50[1]|1W',
    'ADX-DI_50[1]|1M': 'ADX-DI_50[1]|1M',
    'ADX-DI_9': 'ADX-DI_9',
    'ADX-DI_9|1': 'ADX-DI_9|1',
    'ADX-DI_9|5': 'ADX-DI_9|5',
    'ADX-DI_9|15': 'ADX-DI_9|15',
    'ADX-DI_9|30': 'ADX-DI_9|30',
    'ADX-DI_9|60': 'ADX-DI_9|60',
    'ADX-DI_9|120': 'ADX-DI_9|120',
    'ADX-DI_9|240': 'ADX-DI_9|240',
    'ADX-DI_9|1W': 'ADX-DI_9|1W',
    'ADX-DI_9|1M': 'ADX-DI_9|1M',
    'ADX-DI_9[1]': 'ADX-DI_9[1]',
    'ADX-DI_9[1]|1': 'ADX-DI_9[1]|1',
    'ADX-DI_9[1]|5': 'ADX-DI_9[1]|5',
    'ADX-DI_9[1]|15': 'ADX-DI_9[1]|15',
    'ADX-DI_9[1]|30': 'ADX-DI_9[1]|30',
    'ADX-DI_9[1]|60': 'ADX-DI_9[1]|60',
    'ADX-DI_9[1]|120': 'ADX-DI_9[1]|120',
    'ADX-DI_9[1]|240': 'ADX-DI_9[1]|240',
    'ADX-DI_9[1]|1W': 'ADX-DI_9[1]|1W',
    'ADX-DI_9[1]|1M': 'ADX-DI_9[1]|1M',
    'ADX_100': 'ADX_100',
    'ADX_100|1': 'ADX_100|1',
    'ADX_100|5': 'ADX_100|5',
    'ADX_100|15': 'ADX_100|15',
    'ADX_100|30': 'ADX_100|30',
    'ADX_100|60': 'ADX_100|60',
    'ADX_100|120': 'ADX_100|120',
    'ADX_100|240': 'ADX_100|240',
    'ADX_100|1W': 'ADX_100|1W',
    'ADX_100|1M': 'ADX_100|1M',
    'ADX_20': 'ADX_20',
    'ADX_20|1': 'ADX_20|1',
    'ADX_20|5': 'ADX_20|5',
    'ADX_20|15': 'ADX_20|15',
    'ADX_20|30': 'ADX_20|30',
    'ADX_20|60': 'ADX_20|60',
    'ADX_20|120': 'ADX_20|120',
    'ADX_20|240': 'ADX_20|240',
    'ADX_20|1W': 'ADX_20|1W',
    'ADX_20|1M': 'ADX_20|1M',
    'ADX_50': 'ADX_50',
    'ADX_50|1': 'ADX_50|1',
    'ADX_50|5': 'ADX_50|5',
    'ADX_50|15': 'ADX_50|15',
    'ADX_50|30': 'ADX_50|30',
    'ADX_50|60': 'ADX_50|60',
    'ADX_50|120': 'ADX_50|120',
    'ADX_50|240': 'ADX_50|240',
    'ADX_50|1W': 'ADX_50|1W',
    'ADX_50|1M': 'ADX_50|1M',
    'ADX_9': 'ADX_9',
    'ADX_9|1': 'ADX_9|1',
    'ADX_9|5': 'ADX_9|5',
    'ADX_9|15': 'ADX_9|15',
    'ADX_9|30': 'ADX_9|30',
    'ADX_9|60': 'ADX_9|60',
    'ADX_9|120': 'ADX_9|120',
    'ADX_9|240': 'ADX_9|240',
    'ADX_9|1W': 'ADX_9|1W',
    'ADX_9|1M': 'ADX_9|1M',
    'AO': 'AO',
    'AO|1': 'AO|1',
    'AO|5': 'AO|5',
    'AO|15': 'AO|15',
    'AO|30': 'AO|30',
    'AO|60': 'AO|60',
    'AO|120': 'AO|120',
    'AO|240': 'AO|240',
    'AO|1W': 'AO|1W',
    'AO|1M': 'AO|1M',
    'AO[1]': 'AO[1]',
    'AO[1]|1': 'AO[1]|1',
    'AO[1]|5': 'AO[1]|5',
    'AO[1]|15': 'AO[1]|15',
    'AO[1]|30': 'AO[1]|30',
    'AO[1]|60': 'AO[1]|60',
    'AO[1]|120': 'AO[1]|120',
    'AO[1]|240': 'AO[1]|240',
    'AO[1]|1W': 'AO[1]|1W',
    'AO[1]|1M': 'AO[1]|1M',
    'AO[2]': 'AO[2]',
    'AO[2]|1': 'AO[2]|1',
    'AO[2]|5': 'AO[2]|5',
    'AO[2]|15': 'AO[2]|15',
    'AO[2]|30': 'AO[2]|30',
    'AO[2]|60': 'AO[2]|60',
    'AO[2]|120': 'AO[2]|120',
    'AO[2]|240': 'AO[2]|240',
    'AO[2]|1W': 'AO[2]|1W',
    'AO[2]|1M': 'AO[2]|1M',
    'ATR': 'ATR',
    'ATR|1': 'ATR|1',
    'ATR|5': 'ATR|5',
    'ATR|15': 'ATR|15',
    'ATR|30': 'ATR|30',
    'ATR|60': 'ATR|60',
    'ATR|120': 'ATR|120',
    'ATR|240': 'ATR|240',
    'ATR|1W': 'ATR|1W',
    'ATR|1M': 'ATR|1M',
    'Aroon.Down': 'Aroon.Down',
    'Aroon.Down|1': 'Aroon.Down|1',
    'Aroon.Down|5': 'Aroon.Down|5',
    'Aroon.Down|15': 'Aroon.Down|15',
    'Aroon.Down|30': 'Aroon.Down|30',
    'Aroon.Down|60': 'Aroon.Down|60',
    'Aroon.Down|120': 'Aroon.Down|120',
    'Aroon.Down|240': 'Aroon.Down|240',
    'Aroon.Down|1W': 'Aroon.Down|1W',
    'Aroon.Down|1M': 'Aroon.Down|1M',
    'Aroon.Up': 'Aroon.Up',
    'Aroon.Up|1': 'Aroon.Up|1',
    'Aroon.Up|5': 'Aroon.Up|5',
    'Aroon.Up|15': 'Aroon.Up|15',
    'Aroon.Up|30': 'Aroon.Up|30',
    'Aroon.Up|60': 'Aroon.Up|60',
    'Aroon.Up|120': 'Aroon.Up|120',
    'Aroon.Up|240': 'Aroon.Up|240',
    'Aroon.Up|1W': 'Aroon.Up|1W',
    'Aroon.Up|1M': 'Aroon.Up|1M',
    'BB.basis': 'BB.basis',
    'BB.basis|1': 'BB.basis|1',
    'BB.basis|5': 'BB.basis|5',
    'BB.basis|15': 'BB.basis|15',
    'BB.basis|30': 'BB.basis|30',
    'BB.basis|60': 'BB.basis|60',
    'BB.basis|120': 'BB.basis|120',
    'BB.basis|240': 'BB.basis|240',
    'BB.basis|1W': 'BB.basis|1W',
    'BB.basis|1M': 'BB.basis|1M',
    'BB.basis_50': 'BB.basis_50',
    'BB.basis_50|1': 'BB.basis_50|1',
    'BB.basis_50|5': 'BB.basis_50|5',
    'BB.basis_50|15': 'BB.basis_50|15',
    'BB.basis_50|30': 'BB.basis_50|30',
    'BB.basis_50|60': 'BB.basis_50|60',
    'BB.basis_50|120': 'BB.basis_50|120',
    'BB.basis_50|240': 'BB.basis_50|240',
    'BB.basis_50|1W': 'BB.basis_50|1W',
    'BB.basis_50|1M': 'BB.basis_50|1M',
    'BB.lower': 'BB.lower',
    'BB.lower|1': 'BB.lower|1',
    'BB.lower|5': 'BB.lower|5',
    'BB.lower|15': 'BB.lower|15',
    'BB.lower|30': 'BB.lower|30',
    'BB.lower|60': 'BB.lower|60',
    'BB.lower|120': 'BB.lower|120',
    'BB.lower|240': 'BB.lower|240',
    'BB.lower|1W': 'BB.lower|1W',
    'BB.lower|1M': 'BB.lower|1M',
    'BB.lower_50': 'BB.lower_50',
    'BB.lower_50|1': 'BB.lower_50|1',
    'BB.lower_50|5': 'BB.lower_50|5',
    'BB.lower_50|15': 'BB.lower_50|15',
    'BB.lower_50|30': 'BB.lower_50|30',
    'BB.lower_50|60': 'BB.lower_50|60',
    'BB.lower_50|120': 'BB.lower_50|120',
    'BB.lower_50|240': 'BB.lower_50|240',
    'BB.lower_50|1W': 'BB.lower_50|1W',
    'BB.lower_50|1M': 'BB.lower_50|1M',
    'BB.upper': 'BB.upper',
    'BB.upper|1': 'BB.upper|1',
    'BB.upper|5': 'BB.upper|5',
    'BB.upper|15': 'BB.upper|15',
    'BB.upper|30': 'BB.upper|30',
    'BB.upper|60': 'BB.upper|60',
    'BB.upper|120': 'BB.upper|120',
    'BB.upper|240': 'BB.upper|240',
    'BB.upper|1W': 'BB.upper|1W',
    'BB.upper|1M': 'BB.upper|1M',
    'BB.upper_50': 'BB.upper_50',
    'BB.upper_50|1': 'BB.upper_50|1',
    'BB.upper_50|5': 'BB.upper_50|5',
    'BB.upper_50|15': 'BB.upper_50|15',
    'BB.upper_50|30': 'BB.upper_50|30',
    'BB.upper_50|60': 'BB.upper_50|60',
    'BB.upper_50|120': 'BB.upper_50|120',
    'BB.upper_50|240': 'BB.upper_50|240',
    'BB.upper_50|1W': 'BB.upper_50|1W',
    'BB.upper_50|1M': 'BB.upper_50|1M',
    'BBPower': 'BBPower',
    'BBPower|1': 'BBPower|1',
    'BBPower|5': 'BBPower|5',
    'BBPower|15': 'BBPower|15',
    'BBPower|30': 'BBPower|30',
    'BBPower|60': 'BBPower|60',
    'BBPower|120': 'BBPower|120',
    'BBPower|240': 'BBPower|240',
    'BBPower|1W': 'BBPower|1W',
    'BBPower|1M': 'BBPower|1M',
    'Bond.Change': 'Bond.Change',
    'Bond.Change|1': 'Bond.Change|1',
    'Bond.Change.%': 'Bond.Change.%',
    'Bond.Change.%|1': 'Bond.Change.%|1',
    'Bond.Currency': 'Bond.Currency',
    'Bond.Price': 'Bond.Price',
    'Bond.Price|1': 'Bond.Price|1',
    'CCI20': 'CCI20',
    'CCI20|1': 'CCI20|1',
    'CCI20|5': 'CCI20|5',
    'CCI20|15': 'CCI20|15',
    'CCI20|30': 'CCI20|30',
    'CCI20|60': 'CCI20|60',
    'CCI20|120': 'CCI20|120',
    'CCI20|240': 'CCI20|240',
    'CCI20|1W': 'CCI20|1W',
    'CCI20|1M': 'CCI20|1M',
    'CCI20[1]': 'CCI20[1]',
    'CCI20[1]|1': 'CCI20[1]|1',
    'CCI20[1]|5': 'CCI20[1]|5',
    'CCI20[1]|15': 'CCI20[1]|15',
    'CCI20[1]|30': 'CCI20[1]|30',
    'CCI20[1]|60': 'CCI20[1]|60',
    'CCI20[1]|120': 'CCI20[1]|120',
    'CCI20[1]|240': 'CCI20[1]|240',
    'CCI20[1]|1W': 'CCI20[1]|1W',
    'CCI20[1]|1M': 'CCI20[1]|1M',
    'Candle.3BlackCrows': 'Candle.3BlackCrows',
    'Candle.3BlackCrows|1': 'Candle.3BlackCrows|1',
    'Candle.3BlackCrows|5': 'Candle.3BlackCrows|5',
    'Candle.3BlackCrows|15': 'Candle.3BlackCrows|15',
    'Candle.3BlackCrows|30': 'Candle.3BlackCrows|30',
    'Candle.3BlackCrows|60': 'Candle.3BlackCrows|60',
    'Candle.3BlackCrows|120': 'Candle.3BlackCrows|120',
    'Candle.3BlackCrows|240': 'Candle.3BlackCrows|240',
    'Candle.3BlackCrows|1W': 'Candle.3BlackCrows|1W',
    'Candle.3BlackCrows|1M': 'Candle.3BlackCrows|1M',
    'Candle.3WhiteSoldiers': 'Candle.3WhiteSoldiers',
    'Candle.3WhiteSoldiers|1': 'Candle.3WhiteSoldiers|1',
    'Candle.3WhiteSoldiers|5': 'Candle.3WhiteSoldiers|5',
    'Candle.3WhiteSoldiers|15': 'Candle.3WhiteSoldiers|15',
    'Candle.3WhiteSoldiers|30': 'Candle.3WhiteSoldiers|30',
    'Candle.3WhiteSoldiers|60': 'Candle.3WhiteSoldiers|60',
    'Candle.3WhiteSoldiers|120': 'Candle.3WhiteSoldiers|120',
    'Candle.3WhiteSoldiers|240': 'Candle.3WhiteSoldiers|240',
    'Candle.3WhiteSoldiers|1W': 'Candle.3WhiteSoldiers|1W',
    'Candle.3WhiteSoldiers|1M': 'Candle.3WhiteSoldiers|1M',
    'Candle.AbandonedBaby.Bearish': 'Candle.AbandonedBaby.Bearish',
    'Candle.AbandonedBaby.Bearish|1': 'Candle.AbandonedBaby.Bearish|1',
    'Candle.AbandonedBaby.Bearish|5': 'Candle.AbandonedBaby.Bearish|5',
    'Candle.AbandonedBaby.Bearish|15': 'Candle.AbandonedBaby.Bearish|15',
    'Candle.AbandonedBaby.Bearish|30': 'Candle.AbandonedBaby.Bearish|30',
    'Candle.AbandonedBaby.Bearish|60': 'Candle.AbandonedBaby.Bearish|60',
    'Candle.AbandonedBaby.Bearish|120': 'Candle.AbandonedBaby.Bearish|120',
    'Candle.AbandonedBaby.Bearish|240': 'Candle.AbandonedBaby.Bearish|240',
    'Candle.AbandonedBaby.Bearish|1W': 'Candle.AbandonedBaby.Bearish|1W',
    'Candle.AbandonedBaby.Bearish|1M': 'Candle.AbandonedBaby.Bearish|1M',
    'Candle.AbandonedBaby.Bullish': 'Candle.AbandonedBaby.Bullish',
    'Candle.AbandonedBaby.Bullish|1': 'Candle.AbandonedBaby.Bullish|1',
    'Candle.AbandonedBaby.Bullish|5': 'Candle.AbandonedBaby.Bullish|5',
    'Candle.AbandonedBaby.Bullish|15': 'Candle.AbandonedBaby.Bullish|15',
    'Candle.AbandonedBaby.Bullish|30': 'Candle.AbandonedBaby.Bullish|30',
    'Candle.AbandonedBaby.Bullish|60': 'Candle.AbandonedBaby.Bullish|60',
    'Candle.AbandonedBaby.Bullish|120': 'Candle.AbandonedBaby.Bullish|120',
    'Candle.AbandonedBaby.Bullish|240': 'Candle.AbandonedBaby.Bullish|240',
    'Candle.AbandonedBaby.Bullish|1W': 'Candle.AbandonedBaby.Bullish|1W',
    'Candle.AbandonedBaby.Bullish|1M': 'Candle.AbandonedBaby.Bullish|1M',
    'Candle.Doji': 'Candle.Doji',
    'Candle.Doji|1': 'Candle.Doji|1',
    'Candle.Doji|5': 'Candle.Doji|5',
    'Candle.Doji|15': 'Candle.Doji|15',
    'Candle.Doji|30': 'Candle.Doji|30',
    'Candle.Doji|60': 'Candle.Doji|60',
    'Candle.Doji|120': 'Candle.Doji|120',
    'Candle.Doji|240': 'Candle.Doji|240',
    'Candle.Doji|1W': 'Candle.Doji|1W',
    'Candle.Doji|1M': 'Candle.Doji|1M',
    'Candle.Doji.Dragonfly': 'Candle.Doji.Dragonfly',
    'Candle.Doji.Dragonfly|1': 'Candle.Doji.Dragonfly|1',
    'Candle.Doji.Dragonfly|5': 'Candle.Doji.Dragonfly|5',
    'Candle.Doji.Dragonfly|15': 'Candle.Doji.Dragonfly|15',
    'Candle.Doji.Dragonfly|30': 'Candle.Doji.Dragonfly|30',
    'Candle.Doji.Dragonfly|60': 'Candle.Doji.Dragonfly|60',
    'Candle.Doji.Dragonfly|120': 'Candle.Doji.Dragonfly|120',
    'Candle.Doji.Dragonfly|240': 'Candle.Doji.Dragonfly|240',
    'Candle.Doji.Dragonfly|1W': 'Candle.Doji.Dragonfly|1W',
    'Candle.Doji.Dragonfly|1M': 'Candle.Doji.Dragonfly|1M',
    'Candle.Doji.Gravestone': 'Candle.Doji.Gravestone',
    'Candle.Doji.Gravestone|1': 'Candle.Doji.Gravestone|1',
    'Candle.Doji.Gravestone|5': 'Candle.Doji.Gravestone|5',
    'Candle.Doji.Gravestone|15': 'Candle.Doji.Gravestone|15',
    'Candle.Doji.Gravestone|30': 'Candle.Doji.Gravestone|30',
    'Candle.Doji.Gravestone|60': 'Candle.Doji.Gravestone|60',
    'Candle.Doji.Gravestone|120': 'Candle.Doji.Gravestone|120',
    'Candle.Doji.Gravestone|240': 'Candle.Doji.Gravestone|240',
    'Candle.Doji.Gravestone|1W': 'Candle.Doji.Gravestone|1W',
    'Candle.Doji.Gravestone|1M': 'Candle.Doji.Gravestone|1M',
    'Candle.Engulfing.Bearish': 'Candle.Engulfing.Bearish',
    'Candle.Engulfing.Bearish|1': 'Candle.Engulfing.Bearish|1',
    'Candle.Engulfing.Bearish|5': 'Candle.Engulfing.Bearish|5',
    'Candle.Engulfing.Bearish|15': 'Candle.Engulfing.Bearish|15',
    'Candle.Engulfing.Bearish|30': 'Candle.Engulfing.Bearish|30',
    'Candle.Engulfing.Bearish|60': 'Candle.Engulfing.Bearish|60',
    'Candle.Engulfing.Bearish|120': 'Candle.Engulfing.Bearish|120',
    'Candle.Engulfing.Bearish|240': 'Candle.Engulfing.Bearish|240',
    'Candle.Engulfing.Bearish|1W': 'Candle.Engulfing.Bearish|1W',
    'Candle.Engulfing.Bearish|1M': 'Candle.Engulfing.Bearish|1M',
    'Candle.Engulfing.Bullish': 'Candle.Engulfing.Bullish',
    'Candle.Engulfing.Bullish|1': 'Candle.Engulfing.Bullish|1',
    'Candle.Engulfing.Bullish|5': 'Candle.Engulfing.Bullish|5',
    'Candle.Engulfing.Bullish|15': 'Candle.Engulfing.Bullish|15',
    'Candle.Engulfing.Bullish|30': 'Candle.Engulfing.Bullish|30',
    'Candle.Engulfing.Bullish|60': 'Candle.Engulfing.Bullish|60',
    'Candle.Engulfing.Bullish|120': 'Candle.Engulfing.Bullish|120',
    'Candle.Engulfing.Bullish|240': 'Candle.Engulfing.Bullish|240',
    'Candle.Engulfing.Bullish|1W': 'Candle.Engulfing.Bullish|1W',
    'Candle.Engulfing.Bullish|1M': 'Candle.Engulfing.Bullish|1M',
    'Candle.EveningStar': 'Candle.EveningStar',
    'Candle.EveningStar|1': 'Candle.EveningStar|1',
    'Candle.EveningStar|5': 'Candle.EveningStar|5',
    'Candle.EveningStar|15': 'Candle.EveningStar|15',
    'Candle.EveningStar|30': 'Candle.EveningStar|30',
    'Candle.EveningStar|60': 'Candle.EveningStar|60',
    'Candle.EveningStar|120': 'Candle.EveningStar|120',
    'Candle.EveningStar|240': 'Candle.EveningStar|240',
    'Candle.EveningStar|1W': 'Candle.EveningStar|1W',
    'Candle.EveningStar|1M': 'Candle.EveningStar|1M',
    'Candle.Hammer': 'Candle.Hammer',
    'Candle.Hammer|1': 'Candle.Hammer|1',
    'Candle.Hammer|5': 'Candle.Hammer|5',
    'Candle.Hammer|15': 'Candle.Hammer|15',
    'Candle.Hammer|30': 'Candle.Hammer|30',
    'Candle.Hammer|60': 'Candle.Hammer|60',
    'Candle.Hammer|120': 'Candle.Hammer|120',
    'Candle.Hammer|240': 'Candle.Hammer|240',
    'Candle.Hammer|1W': 'Candle.Hammer|1W',
    'Candle.Hammer|1M': 'Candle.Hammer|1M',
    'Candle.HangingMan': 'Candle.HangingMan',
    'Candle.HangingMan|1': 'Candle.HangingMan|1',
    'Candle.HangingMan|5': 'Candle.HangingMan|5',
    'Candle.HangingMan|15': 'Candle.HangingMan|15',
    'Candle.HangingMan|30': 'Candle.HangingMan|30',
    'Candle.HangingMan|60': 'Candle.HangingMan|60',
    'Candle.HangingMan|120': 'Candle.HangingMan|120',
    'Candle.HangingMan|240': 'Candle.HangingMan|240',
    'Candle.HangingMan|1W': 'Candle.HangingMan|1W',
    'Candle.HangingMan|1M': 'Candle.HangingMan|1M',
    'Candle.Harami.Bearish': 'Candle.Harami.Bearish',
    'Candle.Harami.Bearish|1': 'Candle.Harami.Bearish|1',
    'Candle.Harami.Bearish|5': 'Candle.Harami.Bearish|5',
    'Candle.Harami.Bearish|15': 'Candle.Harami.Bearish|15',
    'Candle.Harami.Bearish|30': 'Candle.Harami.Bearish|30',
    'Candle.Harami.Bearish|60': 'Candle.Harami.Bearish|60',
    'Candle.Harami.Bearish|120': 'Candle.Harami.Bearish|120',
    'Candle.Harami.Bearish|240': 'Candle.Harami.Bearish|240',
    'Candle.Harami.Bearish|1W': 'Candle.Harami.Bearish|1W',
    'Candle.Harami.Bearish|1M': 'Candle.Harami.Bearish|1M',
    'Candle.Harami.Bullish': 'Candle.Harami.Bullish',
    'Candle.Harami.Bullish|1': 'Candle.Harami.Bullish|1',
    'Candle.Harami.Bullish|5': 'Candle.Harami.Bullish|5',
    'Candle.Harami.Bullish|15': 'Candle.Harami.Bullish|15',
    'Candle.Harami.Bullish|30': 'Candle.Harami.Bullish|30',
    'Candle.Harami.Bullish|60': 'Candle.Harami.Bullish|60',
    'Candle.Harami.Bullish|120': 'Candle.Harami.Bullish|120',
    'Candle.Harami.Bullish|240': 'Candle.Harami.Bullish|240',
    'Candle.Harami.Bullish|1W': 'Candle.Harami.Bullish|1W',
    'Candle.Harami.Bullish|1M': 'Candle.Harami.Bullish|1M',
    'Candle.InvertedHammer': 'Candle.InvertedHammer',
    'Candle.InvertedHammer|1': 'Candle.InvertedHammer|1',
    'Candle.InvertedHammer|5': 'Candle.InvertedHammer|5',
    'Candle.InvertedHammer|15': 'Candle.InvertedHammer|15',
    'Candle.InvertedHammer|30': 'Candle.InvertedHammer|30',
    'Candle.InvertedHammer|60': 'Candle.InvertedHammer|60',
    'Candle.InvertedHammer|120': 'Candle.InvertedHammer|120',
    'Candle.InvertedHammer|240': 'Candle.InvertedHammer|240',
    'Candle.InvertedHammer|1W': 'Candle.InvertedHammer|1W',
    'Candle.InvertedHammer|1M': 'Candle.InvertedHammer|1M',
    'Candle.Kicking.Bearish': 'Candle.Kicking.Bearish',
    'Candle.Kicking.Bearish|1': 'Candle.Kicking.Bearish|1',
    'Candle.Kicking.Bearish|5': 'Candle.Kicking.Bearish|5',
    'Candle.Kicking.Bearish|15': 'Candle.Kicking.Bearish|15',
    'Candle.Kicking.Bearish|30': 'Candle.Kicking.Bearish|30',
    'Candle.Kicking.Bearish|60': 'Candle.Kicking.Bearish|60',
    'Candle.Kicking.Bearish|120': 'Candle.Kicking.Bearish|120',
    'Candle.Kicking.Bearish|240': 'Candle.Kicking.Bearish|240',
    'Candle.Kicking.Bearish|1W': 'Candle.Kicking.Bearish|1W',
    'Candle.Kicking.Bearish|1M': 'Candle.Kicking.Bearish|1M',
    'Candle.Kicking.Bullish': 'Candle.Kicking.Bullish',
    'Candle.Kicking.Bullish|1': 'Candle.Kicking.Bullish|1',
    'Candle.Kicking.Bullish|5': 'Candle.Kicking.Bullish|5',
    'Candle.Kicking.Bullish|15': 'Candle.Kicking.Bullish|15',
    'Candle.Kicking.Bullish|30': 'Candle.Kicking.Bullish|30',
    'Candle.Kicking.Bullish|60': 'Candle.Kicking.Bullish|60',
    'Candle.Kicking.Bullish|120': 'Candle.Kicking.Bullish|120',
    'Candle.Kicking.Bullish|240': 'Candle.Kicking.Bullish|240',
    'Candle.Kicking.Bullish|1W': 'Candle.Kicking.Bullish|1W',
    'Candle.Kicking.Bullish|1M': 'Candle.Kicking.Bullish|1M',
    'Candle.LongShadow.Lower': 'Candle.LongShadow.Lower',
    'Candle.LongShadow.Lower|1': 'Candle.LongShadow.Lower|1',
    'Candle.LongShadow.Lower|5': 'Candle.LongShadow.Lower|5',
    'Candle.LongShadow.Lower|15': 'Candle.LongShadow.Lower|15',
    'Candle.LongShadow.Lower|30': 'Candle.LongShadow.Lower|30',
    'Candle.LongShadow.Lower|60': 'Candle.LongShadow.Lower|60',
    'Candle.LongShadow.Lower|120': 'Candle.LongShadow.Lower|120',
    'Candle.LongShadow.Lower|240': 'Candle.LongShadow.Lower|240',
    'Candle.LongShadow.Lower|1W': 'Candle.LongShadow.Lower|1W',
    'Candle.LongShadow.Lower|1M': 'Candle.LongShadow.Lower|1M',
    'Candle.LongShadow.Upper': 'Candle.LongShadow.Upper',
    'Candle.LongShadow.Upper|1': 'Candle.LongShadow.Upper|1',
    'Candle.LongShadow.Upper|5': 'Candle.LongShadow.Upper|5',
    'Candle.LongShadow.Upper|15': 'Candle.LongShadow.Upper|15',
    'Candle.LongShadow.Upper|30': 'Candle.LongShadow.Upper|30',
    'Candle.LongShadow.Upper|60': 'Candle.LongShadow.Upper|60',
    'Candle.LongShadow.Upper|120': 'Candle.LongShadow.Upper|120',
    'Candle.LongShadow.Upper|240': 'Candle.LongShadow.Upper|240',
    'Candle.LongShadow.Upper|1W': 'Candle.LongShadow.Upper|1W',
    'Candle.LongShadow.Upper|1M': 'Candle.LongShadow.Upper|1M',
    'Candle.Marubozu.Black': 'Candle.Marubozu.Black',
    'Candle.Marubozu.Black|1': 'Candle.Marubozu.Black|1',
    'Candle.Marubozu.Black|5': 'Candle.Marubozu.Black|5',
    'Candle.Marubozu.Black|15': 'Candle.Marubozu.Black|15',
    'Candle.Marubozu.Black|30': 'Candle.Marubozu.Black|30',
    'Candle.Marubozu.Black|60': 'Candle.Marubozu.Black|60',
    'Candle.Marubozu.Black|120': 'Candle.Marubozu.Black|120',
    'Candle.Marubozu.Black|240': 'Candle.Marubozu.Black|240',
    'Candle.Marubozu.Black|1W': 'Candle.Marubozu.Black|1W',
    'Candle.Marubozu.Black|1M': 'Candle.Marubozu.Black|1M',
    'Candle.Marubozu.White': 'Candle.Marubozu.White',
    'Candle.Marubozu.White|1': 'Candle.Marubozu.White|1',
    'Candle.Marubozu.White|5': 'Candle.Marubozu.White|5',
    'Candle.Marubozu.White|15': 'Candle.Marubozu.White|15',
    'Candle.Marubozu.White|30': 'Candle.Marubozu.White|30',
    'Candle.Marubozu.White|60': 'Candle.Marubozu.White|60',
    'Candle.Marubozu.White|120': 'Candle.Marubozu.White|120',
    'Candle.Marubozu.White|240': 'Candle.Marubozu.White|240',
    'Candle.Marubozu.White|1W': 'Candle.Marubozu.White|1W',
    'Candle.Marubozu.White|1M': 'Candle.Marubozu.White|1M',
    'Candle.MorningStar': 'Candle.MorningStar',
    'Candle.MorningStar|1': 'Candle.MorningStar|1',
    'Candle.MorningStar|5': 'Candle.MorningStar|5',
    'Candle.MorningStar|15': 'Candle.MorningStar|15',
    'Candle.MorningStar|30': 'Candle.MorningStar|30',
    'Candle.MorningStar|60': 'Candle.MorningStar|60',
    'Candle.MorningStar|120': 'Candle.MorningStar|120',
    'Candle.MorningStar|240': 'Candle.MorningStar|240',
    'Candle.MorningStar|1W': 'Candle.MorningStar|1W',
    'Candle.MorningStar|1M': 'Candle.MorningStar|1M',
    'Candle.ShootingStar': 'Candle.ShootingStar',
    'Candle.ShootingStar|1': 'Candle.ShootingStar|1',
    'Candle.ShootingStar|5': 'Candle.ShootingStar|5',
    'Candle.ShootingStar|15': 'Candle.ShootingStar|15',
    'Candle.ShootingStar|30': 'Candle.ShootingStar|30',
    'Candle.ShootingStar|60': 'Candle.ShootingStar|60',
    'Candle.ShootingStar|120': 'Candle.ShootingStar|120',
    'Candle.ShootingStar|240': 'Candle.ShootingStar|240',
    'Candle.ShootingStar|1W': 'Candle.ShootingStar|1W',
    'Candle.ShootingStar|1M': 'Candle.ShootingStar|1M',
    'Candle.SpinningTop.Black': 'Candle.SpinningTop.Black',
    'Candle.SpinningTop.Black|1': 'Candle.SpinningTop.Black|1',
    'Candle.SpinningTop.Black|5': 'Candle.SpinningTop.Black|5',
    'Candle.SpinningTop.Black|15': 'Candle.SpinningTop.Black|15',
    'Candle.SpinningTop.Black|30': 'Candle.SpinningTop.Black|30',
    'Candle.SpinningTop.Black|60': 'Candle.SpinningTop.Black|60',
    'Candle.SpinningTop.Black|120': 'Candle.SpinningTop.Black|120',
    'Candle.SpinningTop.Black|240': 'Candle.SpinningTop.Black|240',
    'Candle.SpinningTop.Black|1W': 'Candle.SpinningTop.Black|1W',
    'Candle.SpinningTop.Black|1M': 'Candle.SpinningTop.Black|1M',
    'Candle.SpinningTop.White': 'Candle.SpinningTop.White',
    'Candle.SpinningTop.White|1': 'Candle.SpinningTop.White|1',
    'Candle.SpinningTop.White|5': 'Candle.SpinningTop.White|5',
    'Candle.SpinningTop.White|15': 'Candle.SpinningTop.White|15',
    'Candle.SpinningTop.White|30': 'Candle.SpinningTop.White|30',
    'Candle.SpinningTop.White|60': 'Candle.SpinningTop.White|60',
    'Candle.SpinningTop.White|120': 'Candle.SpinningTop.White|120',
    'Candle.SpinningTop.White|240': 'Candle.SpinningTop.White|240',
    'Candle.SpinningTop.White|1W': 'Candle.SpinningTop.White|1W',
    'Candle.SpinningTop.White|1M': 'Candle.SpinningTop.White|1M',
    'Candle.TriStar.Bearish': 'Candle.TriStar.Bearish',
    'Candle.TriStar.Bearish|1': 'Candle.TriStar.Bearish|1',
    'Candle.TriStar.Bearish|5': 'Candle.TriStar.Bearish|5',
    'Candle.TriStar.Bearish|15': 'Candle.TriStar.Bearish|15',
    'Candle.TriStar.Bearish|30': 'Candle.TriStar.Bearish|30',
    'Candle.TriStar.Bearish|60': 'Candle.TriStar.Bearish|60',
    'Candle.TriStar.Bearish|120': 'Candle.TriStar.Bearish|120',
    'Candle.TriStar.Bearish|240': 'Candle.TriStar.Bearish|240',
    'Candle.TriStar.Bearish|1W': 'Candle.TriStar.Bearish|1W',
    'Candle.TriStar.Bearish|1M': 'Candle.TriStar.Bearish|1M',
    'Candle.TriStar.Bullish': 'Candle.TriStar.Bullish',
    'Candle.TriStar.Bullish|1': 'Candle.TriStar.Bullish|1',
    'Candle.TriStar.Bullish|5': 'Candle.TriStar.Bullish|5',
    'Candle.TriStar.Bullish|15': 'Candle.TriStar.Bullish|15',
    'Candle.TriStar.Bullish|30': 'Candle.TriStar.Bullish|30',
    'Candle.TriStar.Bullish|60': 'Candle.TriStar.Bullish|60',
    'Candle.TriStar.Bullish|120': 'Candle.TriStar.Bullish|120',
    'Candle.TriStar.Bullish|240': 'Candle.TriStar.Bullish|240',
    'Candle.TriStar.Bullish|1W': 'Candle.TriStar.Bullish|1W',
    'Candle.TriStar.Bullish|1M': 'Candle.TriStar.Bullish|1M',
    'ChaikinMoneyFlow': 'ChaikinMoneyFlow',
    'ChaikinMoneyFlow|1': 'ChaikinMoneyFlow|1',
    'ChaikinMoneyFlow|5': 'ChaikinMoneyFlow|5',
    'ChaikinMoneyFlow|15': 'ChaikinMoneyFlow|15',
    'ChaikinMoneyFlow|30': 'ChaikinMoneyFlow|30',
    'ChaikinMoneyFlow|60': 'ChaikinMoneyFlow|60',
    'ChaikinMoneyFlow|120': 'ChaikinMoneyFlow|120',
    'ChaikinMoneyFlow|240': 'ChaikinMoneyFlow|240',
    'ChaikinMoneyFlow|1W': 'ChaikinMoneyFlow|1W',
    'ChaikinMoneyFlow|1M': 'ChaikinMoneyFlow|1M',
    'DonchCh20.Lower': 'DonchCh20.Lower',
    'DonchCh20.Lower|1': 'DonchCh20.Lower|1',
    'DonchCh20.Lower|5': 'DonchCh20.Lower|5',
    'DonchCh20.Lower|15': 'DonchCh20.Lower|15',
    'DonchCh20.Lower|30': 'DonchCh20.Lower|30',
    'DonchCh20.Lower|60': 'DonchCh20.Lower|60',
    'DonchCh20.Lower|120': 'DonchCh20.Lower|120',
    'DonchCh20.Lower|240': 'DonchCh20.Lower|240',
    'DonchCh20.Lower|1W': 'DonchCh20.Lower|1W',
    'DonchCh20.Lower|1M': 'DonchCh20.Lower|1M',
    'DonchCh20.Middle': 'DonchCh20.Middle',
    'DonchCh20.Middle|1': 'DonchCh20.Middle|1',
    'DonchCh20.Middle|5': 'DonchCh20.Middle|5',
    'DonchCh20.Middle|15': 'DonchCh20.Middle|15',
    'DonchCh20.Middle|30': 'DonchCh20.Middle|30',
    'DonchCh20.Middle|60': 'DonchCh20.Middle|60',
    'DonchCh20.Middle|120': 'DonchCh20.Middle|120',
    'DonchCh20.Middle|240': 'DonchCh20.Middle|240',
    'DonchCh20.Middle|1W': 'DonchCh20.Middle|1W',
    'DonchCh20.Middle|1M': 'DonchCh20.Middle|1M',
    'DonchCh20.Upper': 'DonchCh20.Upper',
    'DonchCh20.Upper|1': 'DonchCh20.Upper|1',
    'DonchCh20.Upper|5': 'DonchCh20.Upper|5',
    'DonchCh20.Upper|15': 'DonchCh20.Upper|15',
    'DonchCh20.Upper|30': 'DonchCh20.Upper|30',
    'DonchCh20.Upper|60': 'DonchCh20.Upper|60',
    'DonchCh20.Upper|120': 'DonchCh20.Upper|120',
    'DonchCh20.Upper|240': 'DonchCh20.Upper|240',
    'DonchCh20.Upper|1W': 'DonchCh20.Upper|1W',
    'DonchCh20.Upper|1M': 'DonchCh20.Upper|1M',
    'ECONOMICS.AA': 'ECONOMICS.AA',
    'ECONOMICS.BLR': 'ECONOMICS.BLR',
    'ECONOMICS.CAG': 'ECONOMICS.CAG',
    'ECONOMICS.CAP': 'ECONOMICS.CAP',
    'ECONOMICS.CAR': 'ECONOMICS.CAR',
    'ECONOMICS.CCI': 'ECONOMICS.CCI',
    'ECONOMICS.CCP': 'ECONOMICS.CCP',
    'ECONOMICS.CEP': 'ECONOMICS.CEP',
    'ECONOMICS.COIR': 'ECONOMICS.COIR',
    'ECONOMICS.COP': 'ECONOMICS.COP',
    'ECONOMICS.COR': 'ECONOMICS.COR',
    'ECONOMICS.CORPI': 'ECONOMICS.CORPI',
    'ECONOMICS.CORR': 'ECONOMICS.CORR',
    'ECONOMICS.COUT': 'ECONOMICS.COUT',
    'ECONOMICS.CPI': 'ECONOMICS.CPI',
    'ECONOMICS.CPIHU': 'ECONOMICS.CPIHU',
    'ECONOMICS.CRR': 'ECONOMICS.CRR',
    'ECONOMICS.CTR': 'ECONOMICS.CTR',
    'ECONOMICS.DIR': 'ECONOMICS.DIR',
    'ECONOMICS.EDBR': 'ECONOMICS.EDBR',
    'ECONOMICS.ELP': 'ECONOMICS.ELP',
    'ECONOMICS.EMP': 'ECONOMICS.EMP',
    'ECONOMICS.EMR': 'ECONOMICS.EMR',
    'ECONOMICS.EP': 'ECONOMICS.EP',
    'ECONOMICS.FI': 'ECONOMICS.FI',
    'ECONOMICS.FTE': 'ECONOMICS.FTE',
    'ECONOMICS.GASP': 'ECONOMICS.GASP',
    'ECONOMICS.GBP': 'ECONOMICS.GBP',
    'ECONOMICS.GCI': 'ECONOMICS.GCI',
    'ECONOMICS.GCR': 'ECONOMICS.GCR',
    'ECONOMICS.GDG': 'ECONOMICS.GDG',
    'ECONOMICS.GDP': 'ECONOMICS.GDP',
    'ECONOMICS.GDPPC': 'ECONOMICS.GDPPC',
    'ECONOMICS.GDPPCP': 'ECONOMICS.GDPPCP',
    'ECONOMICS.GDPQQ': 'ECONOMICS.GDPQQ',
    'ECONOMICS.GDPYY': 'ECONOMICS.GDPYY',
    'ECONOMICS.GSG': 'ECONOMICS.GSG',
    'ECONOMICS.HB': 'ECONOMICS.HB',
    'ECONOMICS.HDG': 'ECONOMICS.HDG',
    'ECONOMICS.HDI': 'ECONOMICS.HDI',
    'ECONOMICS.HICP': 'ECONOMICS.HICP',
    'ECONOMICS.HIRMM': 'ECONOMICS.HIRMM',
    'ECONOMICS.HIRYY': 'ECONOMICS.HIRYY',
    'ECONOMICS.HOR': 'ECONOMICS.HOR',
    'ECONOMICS.HOSP': 'ECONOMICS.HOSP',
    'ECONOMICS.ICUB': 'ECONOMICS.ICUB',
    'ECONOMICS.IE': 'ECONOMICS.IE',
    'ECONOMICS.INBR': 'ECONOMICS.INBR',
    'ECONOMICS.INTR': 'ECONOMICS.INTR',
    'ECONOMICS.IPA': 'ECONOMICS.IPA',
    'ECONOMICS.IPMM': 'ECONOMICS.IPMM',
    'ECONOMICS.IPRI': 'ECONOMICS.IPRI',
    'ECONOMICS.IPYY': 'ECONOMICS.IPYY',
    'ECONOMICS.IRMM': 'ECONOMICS.IRMM',
    'ECONOMICS.IRYY': 'ECONOMICS.IRYY',
    'ECONOMICS.ISP': 'ECONOMICS.ISP',
    'ECONOMICS.LC': 'ECONOMICS.LC',
    'ECONOMICS.LFPR': 'ECONOMICS.LFPR',
    'ECONOMICS.LG': 'ECONOMICS.LG',
    'ECONOMICS.LR': 'ECONOMICS.LR',
    'ECONOMICS.LTUR': 'ECONOMICS.LTUR',
    'ECONOMICS.MD': 'ECONOMICS.MD',
    'ECONOMICS.ME': 'ECONOMICS.ME',
    'ECONOMICS.MGDPYY': 'ECONOMICS.MGDPYY',
    'ECONOMICS.MIP': 'ECONOMICS.MIP',
    'ECONOMICS.MPRYY': 'ECONOMICS.MPRYY',
    'ECONOMICS.NGI': 'ECONOMICS.NGI',
    'ECONOMICS.NGIR': 'ECONOMICS.NGIR',
    'ECONOMICS.NURS': 'ECONOMICS.NURS',
    'ECONOMICS.PDG': 'ECONOMICS.PDG',
    'ECONOMICS.PITR': 'ECONOMICS.PITR',
    'ECONOMICS.POP': 'ECONOMICS.POP',
    'ECONOMICS.PPI': 'ECONOMICS.PPI',
    'ECONOMICS.PPIMM': 'ECONOMICS.PPIMM',
    'ECONOMICS.PPIYY': 'ECONOMICS.PPIYY',
    'ECONOMICS.PTE': 'ECONOMICS.PTE',
    'ECONOMICS.RAM': 'ECONOMICS.RAM',
    'ECONOMICS.RAW': 'ECONOMICS.RAW',
    'ECONOMICS.RSMM': 'ECONOMICS.RSMM',
    'ECONOMICS.RSYY': 'ECONOMICS.RSYY',
    'ECONOMICS.SP': 'ECONOMICS.SP',
    'ECONOMICS.SSR': 'ECONOMICS.SSR',
    'ECONOMICS.SSRC': 'ECONOMICS.SSRC',
    'ECONOMICS.SSRE': 'ECONOMICS.SSRE',
    'ECONOMICS.STR': 'ECONOMICS.STR',
    'ECONOMICS.TA': 'ECONOMICS.TA',
    'ECONOMICS.TI': 'ECONOMICS.TI',
    'ECONOMICS.TOT': 'ECONOMICS.TOT',
    'ECONOMICS.TVS': 'ECONOMICS.TVS',
    'ECONOMICS.UP': 'ECONOMICS.UP',
    'ECONOMICS.UR': 'ECONOMICS.UR',
    'ECONOMICS.WES': 'ECONOMICS.WES',
    'ECONOMICS.WG': 'ECONOMICS.WG',
    'ECONOMICS.YUR': 'ECONOMICS.YUR',
    'EMA10': 'EMA10',
    'EMA10|1': 'EMA10|1',
    'EMA10|5': 'EMA10|5',
    'EMA10|15': 'EMA10|15',
    'EMA10|30': 'EMA10|30',
    'EMA10|60': 'EMA10|60',
    'EMA10|120': 'EMA10|120',
    'EMA10|240': 'EMA10|240',
    'EMA10|1W': 'EMA10|1W',
    'EMA10|1M': 'EMA10|1M',
    'EMA100': 'EMA100',
    'EMA100|1': 'EMA100|1',
    'EMA100|5': 'EMA100|5',
    'EMA100|15': 'EMA100|15',
    'EMA100|30': 'EMA100|30',
    'EMA100|60': 'EMA100|60',
    'EMA100|120': 'EMA100|120',
    'EMA100|240': 'EMA100|240',
    'EMA100|1W': 'EMA100|1W',
    'EMA100|1M': 'EMA100|1M',
    'EMA12': 'EMA12',
    'EMA12|1': 'EMA12|1',
    'EMA12|5': 'EMA12|5',
    'EMA12|15': 'EMA12|15',
    'EMA12|30': 'EMA12|30',
    'EMA12|60': 'EMA12|60',
    'EMA12|120': 'EMA12|120',
    'EMA12|240': 'EMA12|240',
    'EMA12|1W': 'EMA12|1W',
    'EMA12|1M': 'EMA12|1M',
    'EMA120': 'EMA120',
    'EMA120|1': 'EMA120|1',
    'EMA120|5': 'EMA120|5',
    'EMA120|15': 'EMA120|15',
    'EMA120|30': 'EMA120|30',
    'EMA120|60': 'EMA120|60',
    'EMA120|120': 'EMA120|120',
    'EMA120|240': 'EMA120|240',
    'EMA120|1W': 'EMA120|1W',
    'EMA120|1M': 'EMA120|1M',
    'EMA13': 'EMA13',
    'EMA13|1': 'EMA13|1',
    'EMA13|5': 'EMA13|5',
    'EMA13|15': 'EMA13|15',
    'EMA13|30': 'EMA13|30',
    'EMA13|60': 'EMA13|60',
    'EMA13|120': 'EMA13|120',
    'EMA13|240': 'EMA13|240',
    'EMA13|1W': 'EMA13|1W',
    'EMA13|1M': 'EMA13|1M',
    'EMA150': 'EMA150',
    'EMA150|1': 'EMA150|1',
    'EMA150|5': 'EMA150|5',
    'EMA150|15': 'EMA150|15',
    'EMA150|30': 'EMA150|30',
    'EMA150|60': 'EMA150|60',
    'EMA150|120': 'EMA150|120',
    'EMA150|240': 'EMA150|240',
    'EMA150|1W': 'EMA150|1W',
    'EMA150|1M': 'EMA150|1M',
    'EMA20': 'EMA20',
    'EMA20|1': 'EMA20|1',
    'EMA20|5': 'EMA20|5',
    'EMA20|15': 'EMA20|15',
    'EMA20|30': 'EMA20|30',
    'EMA20|60': 'EMA20|60',
    'EMA20|120': 'EMA20|120',
    'EMA20|240': 'EMA20|240',
    'EMA20|1W': 'EMA20|1W',
    'EMA20|1M': 'EMA20|1M',
    'EMA200': 'EMA200',
    'EMA200|1': 'EMA200|1',
    'EMA200|5': 'EMA200|5',
    'EMA200|15': 'EMA200|15',
    'EMA200|30': 'EMA200|30',
    'EMA200|60': 'EMA200|60',
    'EMA200|120': 'EMA200|120',
    'EMA200|240': 'EMA200|240',
    'EMA200|1W': 'EMA200|1W',
    'EMA200|1M': 'EMA200|1M',
    'EMA21': 'EMA21',
    'EMA21|1': 'EMA21|1',
    'EMA21|5': 'EMA21|5',
    'EMA21|15': 'EMA21|15',
    'EMA21|30': 'EMA21|30',
    'EMA21|60': 'EMA21|60',
    'EMA21|120': 'EMA21|120',
    'EMA21|240': 'EMA21|240',
    'EMA21|1W': 'EMA21|1W',
    'EMA21|1M': 'EMA21|1M',
    'EMA25': 'EMA25',
    'EMA25|1': 'EMA25|1',
    'EMA25|5': 'EMA25|5',
    'EMA25|15': 'EMA25|15',
    'EMA25|30': 'EMA25|30',
    'EMA25|60': 'EMA25|60',
    'EMA25|120': 'EMA25|120',
    'EMA25|240': 'EMA25|240',
    'EMA25|1W': 'EMA25|1W',
    'EMA25|1M': 'EMA25|1M',
    'EMA250': 'EMA250',
    'EMA250|1': 'EMA250|1',
    'EMA250|5': 'EMA250|5',
    'EMA250|15': 'EMA250|15',
    'EMA250|30': 'EMA250|30',
    'EMA250|60': 'EMA250|60',
    'EMA250|120': 'EMA250|120',
    'EMA250|240': 'EMA250|240',
    'EMA250|1W': 'EMA250|1W',
    'EMA250|1M': 'EMA250|1M',
    'EMA3': 'EMA3',
    'EMA3|1': 'EMA3|1',
    'EMA3|5': 'EMA3|5',
    'EMA3|15': 'EMA3|15',
    'EMA3|30': 'EMA3|30',
    'EMA3|60': 'EMA3|60',
    'EMA3|120': 'EMA3|120',
    'EMA3|240': 'EMA3|240',
    'EMA3|1W': 'EMA3|1W',
    'EMA3|1M': 'EMA3|1M',
    'EMA30': 'EMA30',
    'EMA30|1': 'EMA30|1',
    'EMA30|5': 'EMA30|5',
    'EMA30|15': 'EMA30|15',
    'EMA30|30': 'EMA30|30',
    'EMA30|60': 'EMA30|60',
    'EMA30|120': 'EMA30|120',
    'EMA30|240': 'EMA30|240',
    'EMA30|1W': 'EMA30|1W',
    'EMA30|1M': 'EMA30|1M',
    'EMA300': 'EMA300',
    'EMA300|1': 'EMA300|1',
    'EMA300|5': 'EMA300|5',
    'EMA300|15': 'EMA300|15',
    'EMA300|30': 'EMA300|30',
    'EMA300|60': 'EMA300|60',
    'EMA300|120': 'EMA300|120',
    'EMA300|240': 'EMA300|240',
    'EMA300|1W': 'EMA300|1W',
    'EMA300|1M': 'EMA300|1M',
    'EMA40': 'EMA40',
    'EMA40|1': 'EMA40|1',
    'EMA40|5': 'EMA40|5',
    'EMA40|15': 'EMA40|15',
    'EMA40|30': 'EMA40|30',
    'EMA40|60': 'EMA40|60',
    'EMA40|120': 'EMA40|120',
    'EMA40|240': 'EMA40|240',
    'EMA40|1W': 'EMA40|1W',
    'EMA40|1M': 'EMA40|1M',
    'EMA5': 'EMA5',
    'EMA5|1': 'EMA5|1',
    'EMA5|5': 'EMA5|5',
    'EMA5|15': 'EMA5|15',
    'EMA5|30': 'EMA5|30',
    'EMA5|60': 'EMA5|60',
    'EMA5|120': 'EMA5|120',
    'EMA5|240': 'EMA5|240',
    'EMA5|1W': 'EMA5|1W',
    'EMA5|1M': 'EMA5|1M',
    'EMA50': 'EMA50',
    'EMA50|1': 'EMA50|1',
    'EMA50|5': 'EMA50|5',
    'EMA50|15': 'EMA50|15',
    'EMA50|30': 'EMA50|30',
    'EMA50|60': 'EMA50|60',
    'EMA50|120': 'EMA50|120',
    'EMA50|240': 'EMA50|240',
    'EMA50|1W': 'EMA50|1W',
    'EMA50|1M': 'EMA50|1M',
    'EMA6': 'EMA6',
    'EMA6|1': 'EMA6|1',
    'EMA6|5': 'EMA6|5',
    'EMA6|15': 'EMA6|15',
    'EMA6|30': 'EMA6|30',
    'EMA6|60': 'EMA6|60',
    'EMA6|120': 'EMA6|120',
    'EMA6|240': 'EMA6|240',
    'EMA6|1W': 'EMA6|1W',
    'EMA6|1M': 'EMA6|1M',
    'EMA7': 'EMA7',
    'EMA7|1': 'EMA7|1',
    'EMA7|5': 'EMA7|5',
    'EMA7|15': 'EMA7|15',
    'EMA7|30': 'EMA7|30',
    'EMA7|60': 'EMA7|60',
    'EMA7|120': 'EMA7|120',
    'EMA7|240': 'EMA7|240',
    'EMA7|1W': 'EMA7|1W',
    'EMA7|1M': 'EMA7|1M',
    'EMA75': 'EMA75',
    'EMA75|1': 'EMA75|1',
    'EMA75|5': 'EMA75|5',
    'EMA75|15': 'EMA75|15',
    'EMA75|30': 'EMA75|30',
    'EMA75|60': 'EMA75|60',
    'EMA75|120': 'EMA75|120',
    'EMA75|240': 'EMA75|240',
    'EMA75|1W': 'EMA75|1W',
    'EMA75|1M': 'EMA75|1M',
    'EMA8': 'EMA8',
    'EMA8|1': 'EMA8|1',
    'EMA8|5': 'EMA8|5',
    'EMA8|15': 'EMA8|15',
    'EMA8|30': 'EMA8|30',
    'EMA8|60': 'EMA8|60',
    'EMA8|120': 'EMA8|120',
    'EMA8|240': 'EMA8|240',
    'EMA8|1W': 'EMA8|1W',
    'EMA8|1M': 'EMA8|1M',
    'EMA9': 'EMA9',
    'EMA9|1': 'EMA9|1',
    'EMA9|5': 'EMA9|5',
    'EMA9|15': 'EMA9|15',
    'EMA9|30': 'EMA9|30',
    'EMA9|60': 'EMA9|60',
    'EMA9|120': 'EMA9|120',
    'EMA9|240': 'EMA9|240',
    'EMA9|1W': 'EMA9|1W',
    'EMA9|1M': 'EMA9|1M',
    'High.1M': 'High.1M',
    'High.1M.Date': 'High.1M.Date',
    'High.3M': 'High.3M',
    'High.3M.Date': 'High.3M.Date',
    'High.5D': 'High.5D',
    'High.6M': 'High.6M',
    'High.6M.Date': 'High.6M.Date',
    'High.All': 'High.All',
    'High.All.Calc': 'High.All.Calc',
    'High.All.Calc.Date': 'High.All.Calc.Date',
    'High.All.Date': 'High.All.Date',
    'HullMA9': 'HullMA9',
    'HullMA9|1': 'HullMA9|1',
    'HullMA9|5': 'HullMA9|5',
    'HullMA9|15': 'HullMA9|15',
    'HullMA9|30': 'HullMA9|30',
    'HullMA9|60': 'HullMA9|60',
    'HullMA9|120': 'HullMA9|120',
    'HullMA9|240': 'HullMA9|240',
    'HullMA9|1W': 'HullMA9|1W',
    'HullMA9|1M': 'HullMA9|1M',
    'Ichimoku.BLine': 'Ichimoku.BLine',
    'Ichimoku.BLine|1': 'Ichimoku.BLine|1',
    'Ichimoku.BLine|5': 'Ichimoku.BLine|5',
    'Ichimoku.BLine|15': 'Ichimoku.BLine|15',
    'Ichimoku.BLine|30': 'Ichimoku.BLine|30',
    'Ichimoku.BLine|60': 'Ichimoku.BLine|60',
    'Ichimoku.BLine|120': 'Ichimoku.BLine|120',
    'Ichimoku.BLine|240': 'Ichimoku.BLine|240',
    'Ichimoku.BLine|1W': 'Ichimoku.BLine|1W',
    'Ichimoku.BLine|1M': 'Ichimoku.BLine|1M',
    'Ichimoku.BLine_20_60_120_30': 'Ichimoku.BLine_20_60_120_30',
    'Ichimoku.BLine_20_60_120_30|1': 'Ichimoku.BLine_20_60_120_30|1',
    'Ichimoku.BLine_20_60_120_30|5': 'Ichimoku.BLine_20_60_120_30|5',
    'Ichimoku.BLine_20_60_120_30|15': 'Ichimoku.BLine_20_60_120_30|15',
    'Ichimoku.BLine_20_60_120_30|30': 'Ichimoku.BLine_20_60_120_30|30',
    'Ichimoku.BLine_20_60_120_30|60': 'Ichimoku.BLine_20_60_120_30|60',
    'Ichimoku.BLine_20_60_120_30|120': 'Ichimoku.BLine_20_60_120_30|120',
    'Ichimoku.BLine_20_60_120_30|240': 'Ichimoku.BLine_20_60_120_30|240',
    'Ichimoku.BLine_20_60_120_30|1W': 'Ichimoku.BLine_20_60_120_30|1W',
    'Ichimoku.BLine_20_60_120_30|1M': 'Ichimoku.BLine_20_60_120_30|1M',
    'Ichimoku.CLine': 'Ichimoku.CLine',
    'Ichimoku.CLine|1': 'Ichimoku.CLine|1',
    'Ichimoku.CLine|5': 'Ichimoku.CLine|5',
    'Ichimoku.CLine|15': 'Ichimoku.CLine|15',
    'Ichimoku.CLine|30': 'Ichimoku.CLine|30',
    'Ichimoku.CLine|60': 'Ichimoku.CLine|60',
    'Ichimoku.CLine|120': 'Ichimoku.CLine|120',
    'Ichimoku.CLine|240': 'Ichimoku.CLine|240',
    'Ichimoku.CLine|1W': 'Ichimoku.CLine|1W',
    'Ichimoku.CLine|1M': 'Ichimoku.CLine|1M',
    'Ichimoku.CLine_20_60_120_30': 'Ichimoku.CLine_20_60_120_30',
    'Ichimoku.CLine_20_60_120_30|1': 'Ichimoku.CLine_20_60_120_30|1',
    'Ichimoku.CLine_20_60_120_30|5': 'Ichimoku.CLine_20_60_120_30|5',
    'Ichimoku.CLine_20_60_120_30|15': 'Ichimoku.CLine_20_60_120_30|15',
    'Ichimoku.CLine_20_60_120_30|30': 'Ichimoku.CLine_20_60_120_30|30',
    'Ichimoku.CLine_20_60_120_30|60': 'Ichimoku.CLine_20_60_120_30|60',
    'Ichimoku.CLine_20_60_120_30|120': 'Ichimoku.CLine_20_60_120_30|120',
    'Ichimoku.CLine_20_60_120_30|240': 'Ichimoku.CLine_20_60_120_30|240',
    'Ichimoku.CLine_20_60_120_30|1W': 'Ichimoku.CLine_20_60_120_30|1W',
    'Ichimoku.CLine_20_60_120_30|1M': 'Ichimoku.CLine_20_60_120_30|1M',
    'Ichimoku.Lead1': 'Ichimoku.Lead1',
    'Ichimoku.Lead1|1': 'Ichimoku.Lead1|1',
    'Ichimoku.Lead1|5': 'Ichimoku.Lead1|5',
    'Ichimoku.Lead1|15': 'Ichimoku.Lead1|15',
    'Ichimoku.Lead1|30': 'Ichimoku.Lead1|30',
    'Ichimoku.Lead1|60': 'Ichimoku.Lead1|60',
    'Ichimoku.Lead1|120': 'Ichimoku.Lead1|120',
    'Ichimoku.Lead1|240': 'Ichimoku.Lead1|240',
    'Ichimoku.Lead1|1W': 'Ichimoku.Lead1|1W',
    'Ichimoku.Lead1|1M': 'Ichimoku.Lead1|1M',
    'Ichimoku.Lead1_20_60_120_30': 'Ichimoku.Lead1_20_60_120_30',
    'Ichimoku.Lead1_20_60_120_30|1': 'Ichimoku.Lead1_20_60_120_30|1',
    'Ichimoku.Lead1_20_60_120_30|5': 'Ichimoku.Lead1_20_60_120_30|5',
    'Ichimoku.Lead1_20_60_120_30|15': 'Ichimoku.Lead1_20_60_120_30|15',
    'Ichimoku.Lead1_20_60_120_30|30': 'Ichimoku.Lead1_20_60_120_30|30',
    'Ichimoku.Lead1_20_60_120_30|60': 'Ichimoku.Lead1_20_60_120_30|60',
    'Ichimoku.Lead1_20_60_120_30|120': 'Ichimoku.Lead1_20_60_120_30|120',
    'Ichimoku.Lead1_20_60_120_30|240': 'Ichimoku.Lead1_20_60_120_30|240',
    'Ichimoku.Lead1_20_60_120_30|1W': 'Ichimoku.Lead1_20_60_120_30|1W',
    'Ichimoku.Lead1_20_60_120_30|1M': 'Ichimoku.Lead1_20_60_120_30|1M',
    'Ichimoku.Lead2': 'Ichimoku.Lead2',
    'Ichimoku.Lead2|1': 'Ichimoku.Lead2|1',
    'Ichimoku.Lead2|5': 'Ichimoku.Lead2|5',
    'Ichimoku.Lead2|15': 'Ichimoku.Lead2|15',
    'Ichimoku.Lead2|30': 'Ichimoku.Lead2|30',
    'Ichimoku.Lead2|60': 'Ichimoku.Lead2|60',
    'Ichimoku.Lead2|120': 'Ichimoku.Lead2|120',
    'Ichimoku.Lead2|240': 'Ichimoku.Lead2|240',
    'Ichimoku.Lead2|1W': 'Ichimoku.Lead2|1W',
    'Ichimoku.Lead2|1M': 'Ichimoku.Lead2|1M',
    'Ichimoku.Lead2_20_60_120_30': 'Ichimoku.Lead2_20_60_120_30',
    'Ichimoku.Lead2_20_60_120_30|1': 'Ichimoku.Lead2_20_60_120_30|1',
    'Ichimoku.Lead2_20_60_120_30|5': 'Ichimoku.Lead2_20_60_120_30|5',
    'Ichimoku.Lead2_20_60_120_30|15': 'Ichimoku.Lead2_20_60_120_30|15',
    'Ichimoku.Lead2_20_60_120_30|30': 'Ichimoku.Lead2_20_60_120_30|30',
    'Ichimoku.Lead2_20_60_120_30|60': 'Ichimoku.Lead2_20_60_120_30|60',
    'Ichimoku.Lead2_20_60_120_30|120': 'Ichimoku.Lead2_20_60_120_30|120',
    'Ichimoku.Lead2_20_60_120_30|240': 'Ichimoku.Lead2_20_60_120_30|240',
    'Ichimoku.Lead2_20_60_120_30|1W': 'Ichimoku.Lead2_20_60_120_30|1W',
    'Ichimoku.Lead2_20_60_120_30|1M': 'Ichimoku.Lead2_20_60_120_30|1M',
    'KltChnl.basis': 'KltChnl.basis',
    'KltChnl.basis|1': 'KltChnl.basis|1',
    'KltChnl.basis|5': 'KltChnl.basis|5',
    'KltChnl.basis|15': 'KltChnl.basis|15',
    'KltChnl.basis|30': 'KltChnl.basis|30',
    'KltChnl.basis|60': 'KltChnl.basis|60',
    'KltChnl.basis|120': 'KltChnl.basis|120',
    'KltChnl.basis|240': 'KltChnl.basis|240',
    'KltChnl.basis|1W': 'KltChnl.basis|1W',
    'KltChnl.basis|1M': 'KltChnl.basis|1M',
    'KltChnl.lower': 'KltChnl.lower',
    'KltChnl.lower|1': 'KltChnl.lower|1',
    'KltChnl.lower|5': 'KltChnl.lower|5',
    'KltChnl.lower|15': 'KltChnl.lower|15',
    'KltChnl.lower|30': 'KltChnl.lower|30',
    'KltChnl.lower|60': 'KltChnl.lower|60',
    'KltChnl.lower|120': 'KltChnl.lower|120',
    'KltChnl.lower|240': 'KltChnl.lower|240',
    'KltChnl.lower|1W': 'KltChnl.lower|1W',
    'KltChnl.lower|1M': 'KltChnl.lower|1M',
    'KltChnl.upper': 'KltChnl.upper',
    'KltChnl.upper|1': 'KltChnl.upper|1',
    'KltChnl.upper|5': 'KltChnl.upper|5',
    'KltChnl.upper|15': 'KltChnl.upper|15',
    'KltChnl.upper|30': 'KltChnl.upper|30',
    'KltChnl.upper|60': 'KltChnl.upper|60',
    'KltChnl.upper|120': 'KltChnl.upper|120',
    'KltChnl.upper|240': 'KltChnl.upper|240',
    'KltChnl.upper|1W': 'KltChnl.upper|1W',
    'KltChnl.upper|1M': 'KltChnl.upper|1M',
    'Low.1M': 'Low.1M',
    'Low.1M.Date': 'Low.1M.Date',
    'Low.3M': 'Low.3M',
    'Low.3M.Date': 'Low.3M.Date',
    'Low.5D': 'Low.5D',
    'Low.6M': 'Low.6M',
    'Low.6M.Date': 'Low.6M.Date',
    'Low.After.High.All': 'Low.After.High.All',
    'Low.All': 'Low.All',
    'Low.All.Calc': 'Low.All.Calc',
    'Low.All.Calc.Date': 'Low.All.Calc.Date',
    'Low.All.Date': 'Low.All.Date',
    'MACD.hist': 'MACD.hist',
    'MACD.hist|1': 'MACD.hist|1',
    'MACD.hist|5': 'MACD.hist|5',
    'MACD.hist|15': 'MACD.hist|15',
    'MACD.hist|30': 'MACD.hist|30',
    'MACD.hist|60': 'MACD.hist|60',
    'MACD.hist|120': 'MACD.hist|120',
    'MACD.hist|240': 'MACD.hist|240',
    'MACD.hist|1W': 'MACD.hist|1W',
    'MACD.hist|1M': 'MACD.hist|1M',
    'MACD.macd': 'MACD.macd',
    'MACD.macd|1': 'MACD.macd|1',
    'MACD.macd|5': 'MACD.macd|5',
    'MACD.macd|15': 'MACD.macd|15',
    'MACD.macd|30': 'MACD.macd|30',
    'MACD.macd|60': 'MACD.macd|60',
    'MACD.macd|120': 'MACD.macd|120',
    'MACD.macd|240': 'MACD.macd|240',
    'MACD.macd|1W': 'MACD.macd|1W',
    'MACD.macd|1M': 'MACD.macd|1M',
    'MACD.signal': 'MACD.signal',
    'MACD.signal|1': 'MACD.signal|1',
    'MACD.signal|5': 'MACD.signal|5',
    'MACD.signal|15': 'MACD.signal|15',
    'MACD.signal|30': 'MACD.signal|30',
    'MACD.signal|60': 'MACD.signal|60',
    'MACD.signal|120': 'MACD.signal|120',
    'MACD.signal|240': 'MACD.signal|240',
    'MACD.signal|1W': 'MACD.signal|1W',
    'MACD.signal|1M': 'MACD.signal|1M',
    'Mom': 'Mom',
    'Mom|1': 'Mom|1',
    'Mom|5': 'Mom|5',
    'Mom|15': 'Mom|15',
    'Mom|30': 'Mom|30',
    'Mom|60': 'Mom|60',
    'Mom|120': 'Mom|120',
    'Mom|240': 'Mom|240',
    'Mom|1W': 'Mom|1W',
    'Mom|1M': 'Mom|1M',
    'Mom[1]': 'Mom[1]',
    'Mom[1]|1': 'Mom[1]|1',
    'Mom[1]|5': 'Mom[1]|5',
    'Mom[1]|15': 'Mom[1]|15',
    'Mom[1]|30': 'Mom[1]|30',
    'Mom[1]|60': 'Mom[1]|60',
    'Mom[1]|120': 'Mom[1]|120',
    'Mom[1]|240': 'Mom[1]|240',
    'Mom[1]|1W': 'Mom[1]|1W',
    'Mom[1]|1M': 'Mom[1]|1M',
    'Mom_14': 'Mom_14',
    'Mom_14|1': 'Mom_14|1',
    'Mom_14|5': 'Mom_14|5',
    'Mom_14|15': 'Mom_14|15',
    'Mom_14|30': 'Mom_14|30',
    'Mom_14|60': 'Mom_14|60',
    'Mom_14|120': 'Mom_14|120',
    'Mom_14|240': 'Mom_14|240',
    'Mom_14|1W': 'Mom_14|1W',
    'Mom_14|1M': 'Mom_14|1M',
    'Mom_14[1]': 'Mom_14[1]',
    'Mom_14[1]|1': 'Mom_14[1]|1',
    'Mom_14[1]|5': 'Mom_14[1]|5',
    'Mom_14[1]|15': 'Mom_14[1]|15',
    'Mom_14[1]|30': 'Mom_14[1]|30',
    'Mom_14[1]|60': 'Mom_14[1]|60',
    'Mom_14[1]|120': 'Mom_14[1]|120',
    'Mom_14[1]|240': 'Mom_14[1]|240',
    'Mom_14[1]|1W': 'Mom_14[1]|1W',
    'Mom_14[1]|1M': 'Mom_14[1]|1M',
    'MoneyFlow': 'MoneyFlow',
    'MoneyFlow|1': 'MoneyFlow|1',
    'MoneyFlow|5': 'MoneyFlow|5',
    'MoneyFlow|15': 'MoneyFlow|15',
    'MoneyFlow|30': 'MoneyFlow|30',
    'MoneyFlow|60': 'MoneyFlow|60',
    'MoneyFlow|120': 'MoneyFlow|120',
    'MoneyFlow|240': 'MoneyFlow|240',
    'MoneyFlow|1W': 'MoneyFlow|1W',
    'MoneyFlow|1M': 'MoneyFlow|1M',
    'Open.All.Calc': 'Open.All.Calc',
    'P.SAR': 'P.SAR',
    'P.SAR|1': 'P.SAR|1',
    'P.SAR|5': 'P.SAR|5',
    'P.SAR|15': 'P.SAR|15',
    'P.SAR|30': 'P.SAR|30',
    'P.SAR|60': 'P.SAR|60',
    'P.SAR|120': 'P.SAR|120',
    'P.SAR|240': 'P.SAR|240',
    'P.SAR|1W': 'P.SAR|1W',
    'P.SAR|1M': 'P.SAR|1M',
    'Perf.1M': 'Perf.1M',
    'Perf.1M.MarketCap': 'Perf.1M.MarketCap',
    'Perf.1M.USD': 'Perf.1M.USD',
    'Perf.1W.MarketCap': 'Perf.1W.MarketCap',
    'Perf.1Y.MarketCap': 'Perf.1Y.MarketCap',
    'Perf.3M': 'Perf.3M',
    'Perf.3M.MarketCap': 'Perf.3M.MarketCap',
    'Perf.3M.USD': 'Perf.3M.USD',
    'Perf.3Y': 'Perf.3Y',
    'Perf.5D': 'Perf.5D',
    'Perf.5D.USD': 'Perf.5D.USD',
    'Perf.5Y': 'Perf.5Y',
    'Perf.5Y.MarketCap': 'Perf.5Y.MarketCap',
    'Perf.5Y.USD': 'Perf.5Y.USD',
    'Perf.6M': 'Perf.6M',
    'Perf.6M.MarketCap': 'Perf.6M.MarketCap',
    'Perf.6M.USD': 'Perf.6M.USD',
    'Perf.All': 'Perf.All',
    'Perf.All.USD': 'Perf.All.USD',
    'Perf.W': 'Perf.W',
    'Perf.W.USD': 'Perf.W.USD',
    'Perf.Y': 'Perf.Y',
    'Perf.Y.USD': 'Perf.Y.USD',
    'Perf.YTD': 'Perf.YTD',
    'Perf.YTD.MarketCap': 'Perf.YTD.MarketCap',
    'Perf.YTD.USD': 'Perf.YTD.USD',
    'Pivot.M.Camarilla.Middle': 'Pivot.M.Camarilla.Middle',
    'Pivot.M.Camarilla.Middle|1': 'Pivot.M.Camarilla.Middle|1',
    'Pivot.M.Camarilla.Middle|5': 'Pivot.M.Camarilla.Middle|5',
    'Pivot.M.Camarilla.Middle|15': 'Pivot.M.Camarilla.Middle|15',
    'Pivot.M.Camarilla.Middle|30': 'Pivot.M.Camarilla.Middle|30',
    'Pivot.M.Camarilla.Middle|60': 'Pivot.M.Camarilla.Middle|60',
    'Pivot.M.Camarilla.Middle|120': 'Pivot.M.Camarilla.Middle|120',
    'Pivot.M.Camarilla.Middle|240': 'Pivot.M.Camarilla.Middle|240',
    'Pivot.M.Camarilla.Middle|1W': 'Pivot.M.Camarilla.Middle|1W',
    'Pivot.M.Camarilla.Middle|1M': 'Pivot.M.Camarilla.Middle|1M',
    'Pivot.M.Camarilla.R1': 'Pivot.M.Camarilla.R1',
    'Pivot.M.Camarilla.R1|1': 'Pivot.M.Camarilla.R1|1',
    'Pivot.M.Camarilla.R1|5': 'Pivot.M.Camarilla.R1|5',
    'Pivot.M.Camarilla.R1|15': 'Pivot.M.Camarilla.R1|15',
    'Pivot.M.Camarilla.R1|30': 'Pivot.M.Camarilla.R1|30',
    'Pivot.M.Camarilla.R1|60': 'Pivot.M.Camarilla.R1|60',
    'Pivot.M.Camarilla.R1|120': 'Pivot.M.Camarilla.R1|120',
    'Pivot.M.Camarilla.R1|240': 'Pivot.M.Camarilla.R1|240',
    'Pivot.M.Camarilla.R1|1W': 'Pivot.M.Camarilla.R1|1W',
    'Pivot.M.Camarilla.R1|1M': 'Pivot.M.Camarilla.R1|1M',
    'Pivot.M.Camarilla.R2': 'Pivot.M.Camarilla.R2',
    'Pivot.M.Camarilla.R2|1': 'Pivot.M.Camarilla.R2|1',
    'Pivot.M.Camarilla.R2|5': 'Pivot.M.Camarilla.R2|5',
    'Pivot.M.Camarilla.R2|15': 'Pivot.M.Camarilla.R2|15',
    'Pivot.M.Camarilla.R2|30': 'Pivot.M.Camarilla.R2|30',
    'Pivot.M.Camarilla.R2|60': 'Pivot.M.Camarilla.R2|60',
    'Pivot.M.Camarilla.R2|120': 'Pivot.M.Camarilla.R2|120',
    'Pivot.M.Camarilla.R2|240': 'Pivot.M.Camarilla.R2|240',
    'Pivot.M.Camarilla.R2|1W': 'Pivot.M.Camarilla.R2|1W',
    'Pivot.M.Camarilla.R2|1M': 'Pivot.M.Camarilla.R2|1M',
    'Pivot.M.Camarilla.R3': 'Pivot.M.Camarilla.R3',
    'Pivot.M.Camarilla.R3|1': 'Pivot.M.Camarilla.R3|1',
    'Pivot.M.Camarilla.R3|5': 'Pivot.M.Camarilla.R3|5',
    'Pivot.M.Camarilla.R3|15': 'Pivot.M.Camarilla.R3|15',
    'Pivot.M.Camarilla.R3|30': 'Pivot.M.Camarilla.R3|30',
    'Pivot.M.Camarilla.R3|60': 'Pivot.M.Camarilla.R3|60',
    'Pivot.M.Camarilla.R3|120': 'Pivot.M.Camarilla.R3|120',
    'Pivot.M.Camarilla.R3|240': 'Pivot.M.Camarilla.R3|240',
    'Pivot.M.Camarilla.R3|1W': 'Pivot.M.Camarilla.R3|1W',
    'Pivot.M.Camarilla.R3|1M': 'Pivot.M.Camarilla.R3|1M',
    'Pivot.M.Camarilla.S1': 'Pivot.M.Camarilla.S1',
    'Pivot.M.Camarilla.S1|1': 'Pivot.M.Camarilla.S1|1',
    'Pivot.M.Camarilla.S1|5': 'Pivot.M.Camarilla.S1|5',
    'Pivot.M.Camarilla.S1|15': 'Pivot.M.Camarilla.S1|15',
    'Pivot.M.Camarilla.S1|30': 'Pivot.M.Camarilla.S1|30',
    'Pivot.M.Camarilla.S1|60': 'Pivot.M.Camarilla.S1|60',
    'Pivot.M.Camarilla.S1|120': 'Pivot.M.Camarilla.S1|120',
    'Pivot.M.Camarilla.S1|240': 'Pivot.M.Camarilla.S1|240',
    'Pivot.M.Camarilla.S1|1W': 'Pivot.M.Camarilla.S1|1W',
    'Pivot.M.Camarilla.S1|1M': 'Pivot.M.Camarilla.S1|1M',
    'Pivot.M.Camarilla.S2': 'Pivot.M.Camarilla.S2',
    'Pivot.M.Camarilla.S2|1': 'Pivot.M.Camarilla.S2|1',
    'Pivot.M.Camarilla.S2|5': 'Pivot.M.Camarilla.S2|5',
    'Pivot.M.Camarilla.S2|15': 'Pivot.M.Camarilla.S2|15',
    'Pivot.M.Camarilla.S2|30': 'Pivot.M.Camarilla.S2|30',
    'Pivot.M.Camarilla.S2|60': 'Pivot.M.Camarilla.S2|60',
    'Pivot.M.Camarilla.S2|120': 'Pivot.M.Camarilla.S2|120',
    'Pivot.M.Camarilla.S2|240': 'Pivot.M.Camarilla.S2|240',
    'Pivot.M.Camarilla.S2|1W': 'Pivot.M.Camarilla.S2|1W',
    'Pivot.M.Camarilla.S2|1M': 'Pivot.M.Camarilla.S2|1M',
    'Pivot.M.Camarilla.S3': 'Pivot.M.Camarilla.S3',
    'Pivot.M.Camarilla.S3|1': 'Pivot.M.Camarilla.S3|1',
    'Pivot.M.Camarilla.S3|5': 'Pivot.M.Camarilla.S3|5',
    'Pivot.M.Camarilla.S3|15': 'Pivot.M.Camarilla.S3|15',
    'Pivot.M.Camarilla.S3|30': 'Pivot.M.Camarilla.S3|30',
    'Pivot.M.Camarilla.S3|60': 'Pivot.M.Camarilla.S3|60',
    'Pivot.M.Camarilla.S3|120': 'Pivot.M.Camarilla.S3|120',
    'Pivot.M.Camarilla.S3|240': 'Pivot.M.Camarilla.S3|240',
    'Pivot.M.Camarilla.S3|1W': 'Pivot.M.Camarilla.S3|1W',
    'Pivot.M.Camarilla.S3|1M': 'Pivot.M.Camarilla.S3|1M',
    'Pivot.M.Classic.Middle': 'Pivot.M.Classic.Middle',
    'Pivot.M.Classic.Middle|1': 'Pivot.M.Classic.Middle|1',
    'Pivot.M.Classic.Middle|5': 'Pivot.M.Classic.Middle|5',
    'Pivot.M.Classic.Middle|15': 'Pivot.M.Classic.Middle|15',
    'Pivot.M.Classic.Middle|30': 'Pivot.M.Classic.Middle|30',
    'Pivot.M.Classic.Middle|60': 'Pivot.M.Classic.Middle|60',
    'Pivot.M.Classic.Middle|120': 'Pivot.M.Classic.Middle|120',
    'Pivot.M.Classic.Middle|240': 'Pivot.M.Classic.Middle|240',
    'Pivot.M.Classic.Middle|1W': 'Pivot.M.Classic.Middle|1W',
    'Pivot.M.Classic.Middle|1M': 'Pivot.M.Classic.Middle|1M',
    'Pivot.M.Classic.R1': 'Pivot.M.Classic.R1',
    'Pivot.M.Classic.R1|1': 'Pivot.M.Classic.R1|1',
    'Pivot.M.Classic.R1|5': 'Pivot.M.Classic.R1|5',
    'Pivot.M.Classic.R1|15': 'Pivot.M.Classic.R1|15',
    'Pivot.M.Classic.R1|30': 'Pivot.M.Classic.R1|30',
    'Pivot.M.Classic.R1|60': 'Pivot.M.Classic.R1|60',
    'Pivot.M.Classic.R1|120': 'Pivot.M.Classic.R1|120',
    'Pivot.M.Classic.R1|240': 'Pivot.M.Classic.R1|240',
    'Pivot.M.Classic.R1|1W': 'Pivot.M.Classic.R1|1W',
    'Pivot.M.Classic.R1|1M': 'Pivot.M.Classic.R1|1M',
    'Pivot.M.Classic.R2': 'Pivot.M.Classic.R2',
    'Pivot.M.Classic.R2|1': 'Pivot.M.Classic.R2|1',
    'Pivot.M.Classic.R2|5': 'Pivot.M.Classic.R2|5',
    'Pivot.M.Classic.R2|15': 'Pivot.M.Classic.R2|15',
    'Pivot.M.Classic.R2|30': 'Pivot.M.Classic.R2|30',
    'Pivot.M.Classic.R2|60': 'Pivot.M.Classic.R2|60',
    'Pivot.M.Classic.R2|120': 'Pivot.M.Classic.R2|120',
    'Pivot.M.Classic.R2|240': 'Pivot.M.Classic.R2|240',
    'Pivot.M.Classic.R2|1W': 'Pivot.M.Classic.R2|1W',
    'Pivot.M.Classic.R2|1M': 'Pivot.M.Classic.R2|1M',
    'Pivot.M.Classic.R3': 'Pivot.M.Classic.R3',
    'Pivot.M.Classic.R3|1': 'Pivot.M.Classic.R3|1',
    'Pivot.M.Classic.R3|5': 'Pivot.M.Classic.R3|5',
    'Pivot.M.Classic.R3|15': 'Pivot.M.Classic.R3|15',
    'Pivot.M.Classic.R3|30': 'Pivot.M.Classic.R3|30',
    'Pivot.M.Classic.R3|60': 'Pivot.M.Classic.R3|60',
    'Pivot.M.Classic.R3|120': 'Pivot.M.Classic.R3|120',
    'Pivot.M.Classic.R3|240': 'Pivot.M.Classic.R3|240',
    'Pivot.M.Classic.R3|1W': 'Pivot.M.Classic.R3|1W',
    'Pivot.M.Classic.R3|1M': 'Pivot.M.Classic.R3|1M',
    'Pivot.M.Classic.S1': 'Pivot.M.Classic.S1',
    'Pivot.M.Classic.S1|1': 'Pivot.M.Classic.S1|1',
    'Pivot.M.Classic.S1|5': 'Pivot.M.Classic.S1|5',
    'Pivot.M.Classic.S1|15': 'Pivot.M.Classic.S1|15',
    'Pivot.M.Classic.S1|30': 'Pivot.M.Classic.S1|30',
    'Pivot.M.Classic.S1|60': 'Pivot.M.Classic.S1|60',
    'Pivot.M.Classic.S1|120': 'Pivot.M.Classic.S1|120',
    'Pivot.M.Classic.S1|240': 'Pivot.M.Classic.S1|240',
    'Pivot.M.Classic.S1|1W': 'Pivot.M.Classic.S1|1W',
    'Pivot.M.Classic.S1|1M': 'Pivot.M.Classic.S1|1M',
    'Pivot.M.Classic.S2': 'Pivot.M.Classic.S2',
    'Pivot.M.Classic.S2|1': 'Pivot.M.Classic.S2|1',
    'Pivot.M.Classic.S2|5': 'Pivot.M.Classic.S2|5',
    'Pivot.M.Classic.S2|15': 'Pivot.M.Classic.S2|15',
    'Pivot.M.Classic.S2|30': 'Pivot.M.Classic.S2|30',
    'Pivot.M.Classic.S2|60': 'Pivot.M.Classic.S2|60',
    'Pivot.M.Classic.S2|120': 'Pivot.M.Classic.S2|120',
    'Pivot.M.Classic.S2|240': 'Pivot.M.Classic.S2|240',
    'Pivot.M.Classic.S2|1W': 'Pivot.M.Classic.S2|1W',
    'Pivot.M.Classic.S2|1M': 'Pivot.M.Classic.S2|1M',
    'Pivot.M.Classic.S3': 'Pivot.M.Classic.S3',
    'Pivot.M.Classic.S3|1': 'Pivot.M.Classic.S3|1',
    'Pivot.M.Classic.S3|5': 'Pivot.M.Classic.S3|5',
    'Pivot.M.Classic.S3|15': 'Pivot.M.Classic.S3|15',
    'Pivot.M.Classic.S3|30': 'Pivot.M.Classic.S3|30',
    'Pivot.M.Classic.S3|60': 'Pivot.M.Classic.S3|60',
    'Pivot.M.Classic.S3|120': 'Pivot.M.Classic.S3|120',
    'Pivot.M.Classic.S3|240': 'Pivot.M.Classic.S3|240',
    'Pivot.M.Classic.S3|1W': 'Pivot.M.Classic.S3|1W',
    'Pivot.M.Classic.S3|1M': 'Pivot.M.Classic.S3|1M',
    'Pivot.M.Demark.Middle': 'Pivot.M.Demark.Middle',
    'Pivot.M.Demark.Middle|1': 'Pivot.M.Demark.Middle|1',
    'Pivot.M.Demark.Middle|5': 'Pivot.M.Demark.Middle|5',
    'Pivot.M.Demark.Middle|15': 'Pivot.M.Demark.Middle|15',
    'Pivot.M.Demark.Middle|30': 'Pivot.M.Demark.Middle|30',
    'Pivot.M.Demark.Middle|60': 'Pivot.M.Demark.Middle|60',
    'Pivot.M.Demark.Middle|120': 'Pivot.M.Demark.Middle|120',
    'Pivot.M.Demark.Middle|240': 'Pivot.M.Demark.Middle|240',
    'Pivot.M.Demark.Middle|1W': 'Pivot.M.Demark.Middle|1W',
    'Pivot.M.Demark.Middle|1M': 'Pivot.M.Demark.Middle|1M',
    'Pivot.M.Demark.R1': 'Pivot.M.Demark.R1',
    'Pivot.M.Demark.R1|1': 'Pivot.M.Demark.R1|1',
    'Pivot.M.Demark.R1|5': 'Pivot.M.Demark.R1|5',
    'Pivot.M.Demark.R1|15': 'Pivot.M.Demark.R1|15',
    'Pivot.M.Demark.R1|30': 'Pivot.M.Demark.R1|30',
    'Pivot.M.Demark.R1|60': 'Pivot.M.Demark.R1|60',
    'Pivot.M.Demark.R1|120': 'Pivot.M.Demark.R1|120',
    'Pivot.M.Demark.R1|240': 'Pivot.M.Demark.R1|240',
    'Pivot.M.Demark.R1|1W': 'Pivot.M.Demark.R1|1W',
    'Pivot.M.Demark.R1|1M': 'Pivot.M.Demark.R1|1M',
    'Pivot.M.Demark.S1': 'Pivot.M.Demark.S1',
    'Pivot.M.Demark.S1|1': 'Pivot.M.Demark.S1|1',
    'Pivot.M.Demark.S1|5': 'Pivot.M.Demark.S1|5',
    'Pivot.M.Demark.S1|15': 'Pivot.M.Demark.S1|15',
    'Pivot.M.Demark.S1|30': 'Pivot.M.Demark.S1|30',
    'Pivot.M.Demark.S1|60': 'Pivot.M.Demark.S1|60',
    'Pivot.M.Demark.S1|120': 'Pivot.M.Demark.S1|120',
    'Pivot.M.Demark.S1|240': 'Pivot.M.Demark.S1|240',
    'Pivot.M.Demark.S1|1W': 'Pivot.M.Demark.S1|1W',
    'Pivot.M.Demark.S1|1M': 'Pivot.M.Demark.S1|1M',
    'Pivot.M.Fibonacci.Middle': 'Pivot.M.Fibonacci.Middle',
    'Pivot.M.Fibonacci.Middle|1': 'Pivot.M.Fibonacci.Middle|1',
    'Pivot.M.Fibonacci.Middle|5': 'Pivot.M.Fibonacci.Middle|5',
    'Pivot.M.Fibonacci.Middle|15': 'Pivot.M.Fibonacci.Middle|15',
    'Pivot.M.Fibonacci.Middle|30': 'Pivot.M.Fibonacci.Middle|30',
    'Pivot.M.Fibonacci.Middle|60': 'Pivot.M.Fibonacci.Middle|60',
    'Pivot.M.Fibonacci.Middle|120': 'Pivot.M.Fibonacci.Middle|120',
    'Pivot.M.Fibonacci.Middle|240': 'Pivot.M.Fibonacci.Middle|240',
    'Pivot.M.Fibonacci.Middle|1W': 'Pivot.M.Fibonacci.Middle|1W',
    'Pivot.M.Fibonacci.Middle|1M': 'Pivot.M.Fibonacci.Middle|1M',
    'Pivot.M.Fibonacci.R1': 'Pivot.M.Fibonacci.R1',
    'Pivot.M.Fibonacci.R1|1': 'Pivot.M.Fibonacci.R1|1',
    'Pivot.M.Fibonacci.R1|5': 'Pivot.M.Fibonacci.R1|5',
    'Pivot.M.Fibonacci.R1|15': 'Pivot.M.Fibonacci.R1|15',
    'Pivot.M.Fibonacci.R1|30': 'Pivot.M.Fibonacci.R1|30',
    'Pivot.M.Fibonacci.R1|60': 'Pivot.M.Fibonacci.R1|60',
    'Pivot.M.Fibonacci.R1|120': 'Pivot.M.Fibonacci.R1|120',
    'Pivot.M.Fibonacci.R1|240': 'Pivot.M.Fibonacci.R1|240',
    'Pivot.M.Fibonacci.R1|1W': 'Pivot.M.Fibonacci.R1|1W',
    'Pivot.M.Fibonacci.R1|1M': 'Pivot.M.Fibonacci.R1|1M',
    'Pivot.M.Fibonacci.R2': 'Pivot.M.Fibonacci.R2',
    'Pivot.M.Fibonacci.R2|1': 'Pivot.M.Fibonacci.R2|1',
    'Pivot.M.Fibonacci.R2|5': 'Pivot.M.Fibonacci.R2|5',
    'Pivot.M.Fibonacci.R2|15': 'Pivot.M.Fibonacci.R2|15',
    'Pivot.M.Fibonacci.R2|30': 'Pivot.M.Fibonacci.R2|30',
    'Pivot.M.Fibonacci.R2|60': 'Pivot.M.Fibonacci.R2|60',
    'Pivot.M.Fibonacci.R2|120': 'Pivot.M.Fibonacci.R2|120',
    'Pivot.M.Fibonacci.R2|240': 'Pivot.M.Fibonacci.R2|240',
    'Pivot.M.Fibonacci.R2|1W': 'Pivot.M.Fibonacci.R2|1W',
    'Pivot.M.Fibonacci.R2|1M': 'Pivot.M.Fibonacci.R2|1M',
    'Pivot.M.Fibonacci.R3': 'Pivot.M.Fibonacci.R3',
    'Pivot.M.Fibonacci.R3|1': 'Pivot.M.Fibonacci.R3|1',
    'Pivot.M.Fibonacci.R3|5': 'Pivot.M.Fibonacci.R3|5',
    'Pivot.M.Fibonacci.R3|15': 'Pivot.M.Fibonacci.R3|15',
    'Pivot.M.Fibonacci.R3|30': 'Pivot.M.Fibonacci.R3|30',
    'Pivot.M.Fibonacci.R3|60': 'Pivot.M.Fibonacci.R3|60',
    'Pivot.M.Fibonacci.R3|120': 'Pivot.M.Fibonacci.R3|120',
    'Pivot.M.Fibonacci.R3|240': 'Pivot.M.Fibonacci.R3|240',
    'Pivot.M.Fibonacci.R3|1W': 'Pivot.M.Fibonacci.R3|1W',
    'Pivot.M.Fibonacci.R3|1M': 'Pivot.M.Fibonacci.R3|1M',
    'Pivot.M.Fibonacci.S1': 'Pivot.M.Fibonacci.S1',
    'Pivot.M.Fibonacci.S1|1': 'Pivot.M.Fibonacci.S1|1',
    'Pivot.M.Fibonacci.S1|5': 'Pivot.M.Fibonacci.S1|5',
    'Pivot.M.Fibonacci.S1|15': 'Pivot.M.Fibonacci.S1|15',
    'Pivot.M.Fibonacci.S1|30': 'Pivot.M.Fibonacci.S1|30',
    'Pivot.M.Fibonacci.S1|60': 'Pivot.M.Fibonacci.S1|60',
    'Pivot.M.Fibonacci.S1|120': 'Pivot.M.Fibonacci.S1|120',
    'Pivot.M.Fibonacci.S1|240': 'Pivot.M.Fibonacci.S1|240',
    'Pivot.M.Fibonacci.S1|1W': 'Pivot.M.Fibonacci.S1|1W',
    'Pivot.M.Fibonacci.S1|1M': 'Pivot.M.Fibonacci.S1|1M',
    'Pivot.M.Fibonacci.S2': 'Pivot.M.Fibonacci.S2',
    'Pivot.M.Fibonacci.S2|1': 'Pivot.M.Fibonacci.S2|1',
    'Pivot.M.Fibonacci.S2|5': 'Pivot.M.Fibonacci.S2|5',
    'Pivot.M.Fibonacci.S2|15': 'Pivot.M.Fibonacci.S2|15',
    'Pivot.M.Fibonacci.S2|30': 'Pivot.M.Fibonacci.S2|30',
    'Pivot.M.Fibonacci.S2|60': 'Pivot.M.Fibonacci.S2|60',
    'Pivot.M.Fibonacci.S2|120': 'Pivot.M.Fibonacci.S2|120',
    'Pivot.M.Fibonacci.S2|240': 'Pivot.M.Fibonacci.S2|240',
    'Pivot.M.Fibonacci.S2|1W': 'Pivot.M.Fibonacci.S2|1W',
    'Pivot.M.Fibonacci.S2|1M': 'Pivot.M.Fibonacci.S2|1M',
    'Pivot.M.Fibonacci.S3': 'Pivot.M.Fibonacci.S3',
    'Pivot.M.Fibonacci.S3|1': 'Pivot.M.Fibonacci.S3|1',
    'Pivot.M.Fibonacci.S3|5': 'Pivot.M.Fibonacci.S3|5',
    'Pivot.M.Fibonacci.S3|15': 'Pivot.M.Fibonacci.S3|15',
    'Pivot.M.Fibonacci.S3|30': 'Pivot.M.Fibonacci.S3|30',
    'Pivot.M.Fibonacci.S3|60': 'Pivot.M.Fibonacci.S3|60',
    'Pivot.M.Fibonacci.S3|120': 'Pivot.M.Fibonacci.S3|120',
    'Pivot.M.Fibonacci.S3|240': 'Pivot.M.Fibonacci.S3|240',
    'Pivot.M.Fibonacci.S3|1W': 'Pivot.M.Fibonacci.S3|1W',
    'Pivot.M.Fibonacci.S3|1M': 'Pivot.M.Fibonacci.S3|1M',
    'Pivot.M.Woodie.Middle': 'Pivot.M.Woodie.Middle',
    'Pivot.M.Woodie.Middle|1': 'Pivot.M.Woodie.Middle|1',
    'Pivot.M.Woodie.Middle|5': 'Pivot.M.Woodie.Middle|5',
    'Pivot.M.Woodie.Middle|15': 'Pivot.M.Woodie.Middle|15',
    'Pivot.M.Woodie.Middle|30': 'Pivot.M.Woodie.Middle|30',
    'Pivot.M.Woodie.Middle|60': 'Pivot.M.Woodie.Middle|60',
    'Pivot.M.Woodie.Middle|120': 'Pivot.M.Woodie.Middle|120',
    'Pivot.M.Woodie.Middle|240': 'Pivot.M.Woodie.Middle|240',
    'Pivot.M.Woodie.Middle|1W': 'Pivot.M.Woodie.Middle|1W',
    'Pivot.M.Woodie.Middle|1M': 'Pivot.M.Woodie.Middle|1M',
    'Pivot.M.Woodie.R1': 'Pivot.M.Woodie.R1',
    'Pivot.M.Woodie.R1|1': 'Pivot.M.Woodie.R1|1',
    'Pivot.M.Woodie.R1|5': 'Pivot.M.Woodie.R1|5',
    'Pivot.M.Woodie.R1|15': 'Pivot.M.Woodie.R1|15',
    'Pivot.M.Woodie.R1|30': 'Pivot.M.Woodie.R1|30',
    'Pivot.M.Woodie.R1|60': 'Pivot.M.Woodie.R1|60',
    'Pivot.M.Woodie.R1|120': 'Pivot.M.Woodie.R1|120',
    'Pivot.M.Woodie.R1|240': 'Pivot.M.Woodie.R1|240',
    'Pivot.M.Woodie.R1|1W': 'Pivot.M.Woodie.R1|1W',
    'Pivot.M.Woodie.R1|1M': 'Pivot.M.Woodie.R1|1M',
    'Pivot.M.Woodie.R2': 'Pivot.M.Woodie.R2',
    'Pivot.M.Woodie.R2|1': 'Pivot.M.Woodie.R2|1',
    'Pivot.M.Woodie.R2|5': 'Pivot.M.Woodie.R2|5',
    'Pivot.M.Woodie.R2|15': 'Pivot.M.Woodie.R2|15',
    'Pivot.M.Woodie.R2|30': 'Pivot.M.Woodie.R2|30',
    'Pivot.M.Woodie.R2|60': 'Pivot.M.Woodie.R2|60',
    'Pivot.M.Woodie.R2|120': 'Pivot.M.Woodie.R2|120',
    'Pivot.M.Woodie.R2|240': 'Pivot.M.Woodie.R2|240',
    'Pivot.M.Woodie.R2|1W': 'Pivot.M.Woodie.R2|1W',
    'Pivot.M.Woodie.R2|1M': 'Pivot.M.Woodie.R2|1M',
    'Pivot.M.Woodie.R3': 'Pivot.M.Woodie.R3',
    'Pivot.M.Woodie.R3|1': 'Pivot.M.Woodie.R3|1',
    'Pivot.M.Woodie.R3|5': 'Pivot.M.Woodie.R3|5',
    'Pivot.M.Woodie.R3|15': 'Pivot.M.Woodie.R3|15',
    'Pivot.M.Woodie.R3|30': 'Pivot.M.Woodie.R3|30',
    'Pivot.M.Woodie.R3|60': 'Pivot.M.Woodie.R3|60',
    'Pivot.M.Woodie.R3|120': 'Pivot.M.Woodie.R3|120',
    'Pivot.M.Woodie.R3|240': 'Pivot.M.Woodie.R3|240',
    'Pivot.M.Woodie.R3|1W': 'Pivot.M.Woodie.R3|1W',
    'Pivot.M.Woodie.R3|1M': 'Pivot.M.Woodie.R3|1M',
    'Pivot.M.Woodie.S1': 'Pivot.M.Woodie.S1',
    'Pivot.M.Woodie.S1|1': 'Pivot.M.Woodie.S1|1',
    'Pivot.M.Woodie.S1|5': 'Pivot.M.Woodie.S1|5',
    'Pivot.M.Woodie.S1|15': 'Pivot.M.Woodie.S1|15',
    'Pivot.M.Woodie.S1|30': 'Pivot.M.Woodie.S1|30',
    'Pivot.M.Woodie.S1|60': 'Pivot.M.Woodie.S1|60',
    'Pivot.M.Woodie.S1|120': 'Pivot.M.Woodie.S1|120',
    'Pivot.M.Woodie.S1|240': 'Pivot.M.Woodie.S1|240',
    'Pivot.M.Woodie.S1|1W': 'Pivot.M.Woodie.S1|1W',
    'Pivot.M.Woodie.S1|1M': 'Pivot.M.Woodie.S1|1M',
    'Pivot.M.Woodie.S2': 'Pivot.M.Woodie.S2',
    'Pivot.M.Woodie.S2|1': 'Pivot.M.Woodie.S2|1',
    'Pivot.M.Woodie.S2|5': 'Pivot.M.Woodie.S2|5',
    'Pivot.M.Woodie.S2|15': 'Pivot.M.Woodie.S2|15',
    'Pivot.M.Woodie.S2|30': 'Pivot.M.Woodie.S2|30',
    'Pivot.M.Woodie.S2|60': 'Pivot.M.Woodie.S2|60',
    'Pivot.M.Woodie.S2|120': 'Pivot.M.Woodie.S2|120',
    'Pivot.M.Woodie.S2|240': 'Pivot.M.Woodie.S2|240',
    'Pivot.M.Woodie.S2|1W': 'Pivot.M.Woodie.S2|1W',
    'Pivot.M.Woodie.S2|1M': 'Pivot.M.Woodie.S2|1M',
    'Pivot.M.Woodie.S3': 'Pivot.M.Woodie.S3',
    'Pivot.M.Woodie.S3|1': 'Pivot.M.Woodie.S3|1',
    'Pivot.M.Woodie.S3|5': 'Pivot.M.Woodie.S3|5',
    'Pivot.M.Woodie.S3|15': 'Pivot.M.Woodie.S3|15',
    'Pivot.M.Woodie.S3|30': 'Pivot.M.Woodie.S3|30',
    'Pivot.M.Woodie.S3|60': 'Pivot.M.Woodie.S3|60',
    'Pivot.M.Woodie.S3|120': 'Pivot.M.Woodie.S3|120',
    'Pivot.M.Woodie.S3|240': 'Pivot.M.Woodie.S3|240',
    'Pivot.M.Woodie.S3|1W': 'Pivot.M.Woodie.S3|1W',
    'Pivot.M.Woodie.S3|1M': 'Pivot.M.Woodie.S3|1M',
    'ROC': 'ROC',
    'ROC|1': 'ROC|1',
    'ROC|5': 'ROC|5',
    'ROC|15': 'ROC|15',
    'ROC|30': 'ROC|30',
    'ROC|60': 'ROC|60',
    'ROC|120': 'ROC|120',
    'ROC|240': 'ROC|240',
    'ROC|1W': 'ROC|1W',
    'ROC|1M': 'ROC|1M',
    'RSI': 'RSI',
    'RSI|1': 'RSI|1',
    'RSI|5': 'RSI|5',
    'RSI|15': 'RSI|15',
    'RSI|30': 'RSI|30',
    'RSI|60': 'RSI|60',
    'RSI|120': 'RSI|120',
    'RSI|240': 'RSI|240',
    'RSI|1W': 'RSI|1W',
    'RSI|1M': 'RSI|1M',
    'RSI2': 'RSI2',
    'RSI2|1': 'RSI2|1',
    'RSI2|5': 'RSI2|5',
    'RSI2|15': 'RSI2|15',
    'RSI2|30': 'RSI2|30',
    'RSI2|60': 'RSI2|60',
    'RSI2|120': 'RSI2|120',
    'RSI2|240': 'RSI2|240',
    'RSI2|1W': 'RSI2|1W',
    'RSI2|1M': 'RSI2|1M',
    'RSI21': 'RSI21',
    'RSI21|1': 'RSI21|1',
    'RSI21|5': 'RSI21|5',
    'RSI21|15': 'RSI21|15',
    'RSI21|30': 'RSI21|30',
    'RSI21|60': 'RSI21|60',
    'RSI21|120': 'RSI21|120',
    'RSI21|240': 'RSI21|240',
    'RSI21|1W': 'RSI21|1W',
    'RSI21|1M': 'RSI21|1M',
    'RSI21[1]': 'RSI21[1]',
    'RSI21[1]|1': 'RSI21[1]|1',
    'RSI21[1]|5': 'RSI21[1]|5',
    'RSI21[1]|15': 'RSI21[1]|15',
    'RSI21[1]|30': 'RSI21[1]|30',
    'RSI21[1]|60': 'RSI21[1]|60',
    'RSI21[1]|120': 'RSI21[1]|120',
    'RSI21[1]|240': 'RSI21[1]|240',
    'RSI21[1]|1W': 'RSI21[1]|1W',
    'RSI21[1]|1M': 'RSI21[1]|1M',
    'RSI2[1]': 'RSI2[1]',
    'RSI2[1]|1': 'RSI2[1]|1',
    'RSI2[1]|5': 'RSI2[1]|5',
    'RSI2[1]|15': 'RSI2[1]|15',
    'RSI2[1]|30': 'RSI2[1]|30',
    'RSI2[1]|60': 'RSI2[1]|60',
    'RSI2[1]|120': 'RSI2[1]|120',
    'RSI2[1]|240': 'RSI2[1]|240',
    'RSI2[1]|1W': 'RSI2[1]|1W',
    'RSI2[1]|1M': 'RSI2[1]|1M',
    'RSI3': 'RSI3',
    'RSI3|1': 'RSI3|1',
    'RSI3|5': 'RSI3|5',
    'RSI3|15': 'RSI3|15',
    'RSI3|30': 'RSI3|30',
    'RSI3|60': 'RSI3|60',
    'RSI3|120': 'RSI3|120',
    'RSI3|240': 'RSI3|240',
    'RSI3|1W': 'RSI3|1W',
    'RSI3|1M': 'RSI3|1M',
    'RSI3[1]': 'RSI3[1]',
    'RSI3[1]|1': 'RSI3[1]|1',
    'RSI3[1]|5': 'RSI3[1]|5',
    'RSI3[1]|15': 'RSI3[1]|15',
    'RSI3[1]|30': 'RSI3[1]|30',
    'RSI3[1]|60': 'RSI3[1]|60',
    'RSI3[1]|120': 'RSI3[1]|120',
    'RSI3[1]|240': 'RSI3[1]|240',
    'RSI3[1]|1W': 'RSI3[1]|1W',
    'RSI3[1]|1M': 'RSI3[1]|1M',
    'RSI5': 'RSI5',
    'RSI5|1': 'RSI5|1',
    'RSI5|5': 'RSI5|5',
    'RSI5|15': 'RSI5|15',
    'RSI5|30': 'RSI5|30',
    'RSI5|60': 'RSI5|60',
    'RSI5|120': 'RSI5|120',
    'RSI5|240': 'RSI5|240',
    'RSI5|1W': 'RSI5|1W',
    'RSI5|1M': 'RSI5|1M',
    'RSI5[1]': 'RSI5[1]',
    'RSI5[1]|1': 'RSI5[1]|1',
    'RSI5[1]|5': 'RSI5[1]|5',
    'RSI5[1]|15': 'RSI5[1]|15',
    'RSI5[1]|30': 'RSI5[1]|30',
    'RSI5[1]|60': 'RSI5[1]|60',
    'RSI5[1]|120': 'RSI5[1]|120',
    'RSI5[1]|240': 'RSI5[1]|240',
    'RSI5[1]|1W': 'RSI5[1]|1W',
    'RSI5[1]|1M': 'RSI5[1]|1M',
    'RSI7': 'RSI7',
    'RSI7|1': 'RSI7|1',
    'RSI7|5': 'RSI7|5',
    'RSI7|15': 'RSI7|15',
    'RSI7|30': 'RSI7|30',
    'RSI7|60': 'RSI7|60',
    'RSI7|120': 'RSI7|120',
    'RSI7|240': 'RSI7|240',
    'RSI7|1W': 'RSI7|1W',
    'RSI7|1M': 'RSI7|1M',
    'RSI7[1]': 'RSI7[1]',
    'RSI7[1]|1': 'RSI7[1]|1',
    'RSI7[1]|5': 'RSI7[1]|5',
    'RSI7[1]|15': 'RSI7[1]|15',
    'RSI7[1]|30': 'RSI7[1]|30',
    'RSI7[1]|60': 'RSI7[1]|60',
    'RSI7[1]|120': 'RSI7[1]|120',
    'RSI7[1]|240': 'RSI7[1]|240',
    'RSI7[1]|1W': 'RSI7[1]|1W',
    'RSI7[1]|1M': 'RSI7[1]|1M',
    'RSI9': 'RSI9',
    'RSI9|1': 'RSI9|1',
    'RSI9|5': 'RSI9|5',
    'RSI9|15': 'RSI9|15',
    'RSI9|30': 'RSI9|30',
    'RSI9|60': 'RSI9|60',
    'RSI9|120': 'RSI9|120',
    'RSI9|240': 'RSI9|240',
    'RSI9|1W': 'RSI9|1W',
    'RSI9|1M': 'RSI9|1M',
    'RSI9[1]': 'RSI9[1]',
    'RSI9[1]|1': 'RSI9[1]|1',
    'RSI9[1]|5': 'RSI9[1]|5',
    'RSI9[1]|15': 'RSI9[1]|15',
    'RSI9[1]|30': 'RSI9[1]|30',
    'RSI9[1]|60': 'RSI9[1]|60',
    'RSI9[1]|120': 'RSI9[1]|120',
    'RSI9[1]|240': 'RSI9[1]|240',
    'RSI9[1]|1W': 'RSI9[1]|1W',
    'RSI9[1]|1M': 'RSI9[1]|1M',
    'RSI[1]': 'RSI[1]',
    'RSI[1]|1': 'RSI[1]|1',
    'RSI[1]|5': 'RSI[1]|5',
    'RSI[1]|15': 'RSI[1]|15',
    'RSI[1]|30': 'RSI[1]|30',
    'RSI[1]|60': 'RSI[1]|60',
    'RSI[1]|120': 'RSI[1]|120',
    'RSI[1]|240': 'RSI[1]|240',
    'RSI[1]|1W': 'RSI[1]|1W',
    'RSI[1]|1M': 'RSI[1]|1M',
    'Rec.BBPower': 'Rec.BBPower',
    'Rec.BBPower|1': 'Rec.BBPower|1',
    'Rec.BBPower|5': 'Rec.BBPower|5',
    'Rec.BBPower|15': 'Rec.BBPower|15',
    'Rec.BBPower|30': 'Rec.BBPower|30',
    'Rec.BBPower|60': 'Rec.BBPower|60',
    'Rec.BBPower|120': 'Rec.BBPower|120',
    'Rec.BBPower|240': 'Rec.BBPower|240',
    'Rec.BBPower|1W': 'Rec.BBPower|1W',
    'Rec.BBPower|1M': 'Rec.BBPower|1M',
    'Rec.HullMA9': 'Rec.HullMA9',
    'Rec.HullMA9|1': 'Rec.HullMA9|1',
    'Rec.HullMA9|5': 'Rec.HullMA9|5',
    'Rec.HullMA9|15': 'Rec.HullMA9|15',
    'Rec.HullMA9|30': 'Rec.HullMA9|30',
    'Rec.HullMA9|60': 'Rec.HullMA9|60',
    'Rec.HullMA9|120': 'Rec.HullMA9|120',
    'Rec.HullMA9|240': 'Rec.HullMA9|240',
    'Rec.HullMA9|1W': 'Rec.HullMA9|1W',
    'Rec.HullMA9|1M': 'Rec.HullMA9|1M',
    'Rec.Ichimoku': 'Rec.Ichimoku',
    'Rec.Ichimoku|1': 'Rec.Ichimoku|1',
    'Rec.Ichimoku|5': 'Rec.Ichimoku|5',
    'Rec.Ichimoku|15': 'Rec.Ichimoku|15',
    'Rec.Ichimoku|30': 'Rec.Ichimoku|30',
    'Rec.Ichimoku|60': 'Rec.Ichimoku|60',
    'Rec.Ichimoku|120': 'Rec.Ichimoku|120',
    'Rec.Ichimoku|240': 'Rec.Ichimoku|240',
    'Rec.Ichimoku|1W': 'Rec.Ichimoku|1W',
    'Rec.Ichimoku|1M': 'Rec.Ichimoku|1M',
    'Rec.Stoch.RSI': 'Rec.Stoch.RSI',
    'Rec.Stoch.RSI|1': 'Rec.Stoch.RSI|1',
    'Rec.Stoch.RSI|5': 'Rec.Stoch.RSI|5',
    'Rec.Stoch.RSI|15': 'Rec.Stoch.RSI|15',
    'Rec.Stoch.RSI|30': 'Rec.Stoch.RSI|30',
    'Rec.Stoch.RSI|60': 'Rec.Stoch.RSI|60',
    'Rec.Stoch.RSI|120': 'Rec.Stoch.RSI|120',
    'Rec.Stoch.RSI|240': 'Rec.Stoch.RSI|240',
    'Rec.Stoch.RSI|1W': 'Rec.Stoch.RSI|1W',
    'Rec.Stoch.RSI|1M': 'Rec.Stoch.RSI|1M',
    'Rec.UO': 'Rec.UO',
    'Rec.UO|1': 'Rec.UO|1',
    'Rec.UO|5': 'Rec.UO|5',
    'Rec.UO|15': 'Rec.UO|15',
    'Rec.UO|30': 'Rec.UO|30',
    'Rec.UO|60': 'Rec.UO|60',
    'Rec.UO|120': 'Rec.UO|120',
    'Rec.UO|240': 'Rec.UO|240',
    'Rec.UO|1W': 'Rec.UO|1W',
    'Rec.UO|1M': 'Rec.UO|1M',
    'Rec.VWMA': 'Rec.VWMA',
    'Rec.VWMA|1': 'Rec.VWMA|1',
    'Rec.VWMA|5': 'Rec.VWMA|5',
    'Rec.VWMA|15': 'Rec.VWMA|15',
    'Rec.VWMA|30': 'Rec.VWMA|30',
    'Rec.VWMA|60': 'Rec.VWMA|60',
    'Rec.VWMA|120': 'Rec.VWMA|120',
    'Rec.VWMA|240': 'Rec.VWMA|240',
    'Rec.VWMA|1W': 'Rec.VWMA|1W',
    'Rec.VWMA|1M': 'Rec.VWMA|1M',
    'Rec.WR': 'Rec.WR',
    'Rec.WR|1': 'Rec.WR|1',
    'Rec.WR|5': 'Rec.WR|5',
    'Rec.WR|15': 'Rec.WR|15',
    'Rec.WR|30': 'Rec.WR|30',
    'Rec.WR|60': 'Rec.WR|60',
    'Rec.WR|120': 'Rec.WR|120',
    'Rec.WR|240': 'Rec.WR|240',
    'Rec.WR|1W': 'Rec.WR|1W',
    'Rec.WR|1M': 'Rec.WR|1M',
    'Recommend.All': 'Recommend.All',
    'Recommend.All|1': 'Recommend.All|1',
    'Recommend.All|5': 'Recommend.All|5',
    'Recommend.All|15': 'Recommend.All|15',
    'Recommend.All|30': 'Recommend.All|30',
    'Recommend.All|60': 'Recommend.All|60',
    'Recommend.All|120': 'Recommend.All|120',
    'Recommend.All|240': 'Recommend.All|240',
    'Recommend.All|1W': 'Recommend.All|1W',
    'Recommend.All|1M': 'Recommend.All|1M',
    'Recommend.MA': 'Recommend.MA',
    'Recommend.MA|1': 'Recommend.MA|1',
    'Recommend.MA|5': 'Recommend.MA|5',
    'Recommend.MA|15': 'Recommend.MA|15',
    'Recommend.MA|30': 'Recommend.MA|30',
    'Recommend.MA|60': 'Recommend.MA|60',
    'Recommend.MA|120': 'Recommend.MA|120',
    'Recommend.MA|240': 'Recommend.MA|240',
    'Recommend.MA|1W': 'Recommend.MA|1W',
    'Recommend.MA|1M': 'Recommend.MA|1M',
    'Recommend.Other': 'Recommend.Other',
    'Recommend.Other|1': 'Recommend.Other|1',
    'Recommend.Other|5': 'Recommend.Other|5',
    'Recommend.Other|15': 'Recommend.Other|15',
    'Recommend.Other|30': 'Recommend.Other|30',
    'Recommend.Other|60': 'Recommend.Other|60',
    'Recommend.Other|120': 'Recommend.Other|120',
    'Recommend.Other|240': 'Recommend.Other|240',
    'Recommend.Other|1W': 'Recommend.Other|1W',
    'Recommend.Other|1M': 'Recommend.Other|1M',
    'SMA10': 'SMA10',
    'SMA10|1': 'SMA10|1',
    'SMA10|5': 'SMA10|5',
    'SMA10|15': 'SMA10|15',
    'SMA10|30': 'SMA10|30',
    'SMA10|60': 'SMA10|60',
    'SMA10|120': 'SMA10|120',
    'SMA10|240': 'SMA10|240',
    'SMA10|1W': 'SMA10|1W',
    'SMA10|1M': 'SMA10|1M',
    'SMA100': 'SMA100',
    'SMA100|1': 'SMA100|1',
    'SMA100|5': 'SMA100|5',
    'SMA100|15': 'SMA100|15',
    'SMA100|30': 'SMA100|30',
    'SMA100|60': 'SMA100|60',
    'SMA100|120': 'SMA100|120',
    'SMA100|240': 'SMA100|240',
    'SMA100|1W': 'SMA100|1W',
    'SMA100|1M': 'SMA100|1M',
    'SMA12': 'SMA12',
    'SMA12|1': 'SMA12|1',
    'SMA12|5': 'SMA12|5',
    'SMA12|15': 'SMA12|15',
    'SMA12|30': 'SMA12|30',
    'SMA12|60': 'SMA12|60',
    'SMA12|120': 'SMA12|120',
    'SMA12|240': 'SMA12|240',
    'SMA12|1W': 'SMA12|1W',
    'SMA12|1M': 'SMA12|1M',
    'SMA120': 'SMA120',
    'SMA120|1': 'SMA120|1',
    'SMA120|5': 'SMA120|5',
    'SMA120|15': 'SMA120|15',
    'SMA120|30': 'SMA120|30',
    'SMA120|60': 'SMA120|60',
    'SMA120|120': 'SMA120|120',
    'SMA120|240': 'SMA120|240',
    'SMA120|1W': 'SMA120|1W',
    'SMA120|1M': 'SMA120|1M',
    'SMA13': 'SMA13',
    'SMA13|1': 'SMA13|1',
    'SMA13|5': 'SMA13|5',
    'SMA13|15': 'SMA13|15',
    'SMA13|30': 'SMA13|30',
    'SMA13|60': 'SMA13|60',
    'SMA13|120': 'SMA13|120',
    'SMA13|240': 'SMA13|240',
    'SMA13|1W': 'SMA13|1W',
    'SMA13|1M': 'SMA13|1M',
    'SMA150': 'SMA150',
    'SMA150|1': 'SMA150|1',
    'SMA150|5': 'SMA150|5',
    'SMA150|15': 'SMA150|15',
    'SMA150|30': 'SMA150|30',
    'SMA150|60': 'SMA150|60',
    'SMA150|120': 'SMA150|120',
    'SMA150|240': 'SMA150|240',
    'SMA150|1W': 'SMA150|1W',
    'SMA150|1M': 'SMA150|1M',
    'SMA20': 'SMA20',
    'SMA20|1': 'SMA20|1',
    'SMA20|5': 'SMA20|5',
    'SMA20|15': 'SMA20|15',
    'SMA20|30': 'SMA20|30',
    'SMA20|60': 'SMA20|60',
    'SMA20|120': 'SMA20|120',
    'SMA20|240': 'SMA20|240',
    'SMA20|1W': 'SMA20|1W',
    'SMA20|1M': 'SMA20|1M',
    'SMA200': 'SMA200',
    'SMA200|1': 'SMA200|1',
    'SMA200|5': 'SMA200|5',
    'SMA200|15': 'SMA200|15',
    'SMA200|30': 'SMA200|30',
    'SMA200|60': 'SMA200|60',
    'SMA200|120': 'SMA200|120',
    'SMA200|240': 'SMA200|240',
    'SMA200|1W': 'SMA200|1W',
    'SMA200|1M': 'SMA200|1M',
    'SMA21': 'SMA21',
    'SMA21|1': 'SMA21|1',
    'SMA21|5': 'SMA21|5',
    'SMA21|15': 'SMA21|15',
    'SMA21|30': 'SMA21|30',
    'SMA21|60': 'SMA21|60',
    'SMA21|120': 'SMA21|120',
    'SMA21|240': 'SMA21|240',
    'SMA21|1W': 'SMA21|1W',
    'SMA21|1M': 'SMA21|1M',
    'SMA25': 'SMA25',
    'SMA25|1': 'SMA25|1',
    'SMA25|5': 'SMA25|5',
    'SMA25|15': 'SMA25|15',
    'SMA25|30': 'SMA25|30',
    'SMA25|60': 'SMA25|60',
    'SMA25|120': 'SMA25|120',
    'SMA25|240': 'SMA25|240',
    'SMA25|1W': 'SMA25|1W',
    'SMA25|1M': 'SMA25|1M',
    'SMA250': 'SMA250',
    'SMA250|1': 'SMA250|1',
    'SMA250|5': 'SMA250|5',
    'SMA250|15': 'SMA250|15',
    'SMA250|30': 'SMA250|30',
    'SMA250|60': 'SMA250|60',
    'SMA250|120': 'SMA250|120',
    'SMA250|240': 'SMA250|240',
    'SMA250|1W': 'SMA250|1W',
    'SMA250|1M': 'SMA250|1M',
    'SMA3': 'SMA3',
    'SMA3|1': 'SMA3|1',
    'SMA3|5': 'SMA3|5',
    'SMA3|15': 'SMA3|15',
    'SMA3|30': 'SMA3|30',
    'SMA3|60': 'SMA3|60',
    'SMA3|120': 'SMA3|120',
    'SMA3|240': 'SMA3|240',
    'SMA3|1W': 'SMA3|1W',
    'SMA3|1M': 'SMA3|1M',
    'SMA30': 'SMA30',
    'SMA30|1': 'SMA30|1',
    'SMA30|5': 'SMA30|5',
    'SMA30|15': 'SMA30|15',
    'SMA30|30': 'SMA30|30',
    'SMA30|60': 'SMA30|60',
    'SMA30|120': 'SMA30|120',
    'SMA30|240': 'SMA30|240',
    'SMA30|1W': 'SMA30|1W',
    'SMA30|1M': 'SMA30|1M',
    'SMA300': 'SMA300',
    'SMA300|1': 'SMA300|1',
    'SMA300|5': 'SMA300|5',
    'SMA300|15': 'SMA300|15',
    'SMA300|30': 'SMA300|30',
    'SMA300|60': 'SMA300|60',
    'SMA300|120': 'SMA300|120',
    'SMA300|240': 'SMA300|240',
    'SMA300|1W': 'SMA300|1W',
    'SMA300|1M': 'SMA300|1M',
    'SMA40': 'SMA40',
    'SMA40|1': 'SMA40|1',
    'SMA40|5': 'SMA40|5',
    'SMA40|15': 'SMA40|15',
    'SMA40|30': 'SMA40|30',
    'SMA40|60': 'SMA40|60',
    'SMA40|120': 'SMA40|120',
    'SMA40|240': 'SMA40|240',
    'SMA40|1W': 'SMA40|1W',
    'SMA40|1M': 'SMA40|1M',
    'SMA5': 'SMA5',
    'SMA5|1': 'SMA5|1',
    'SMA5|5': 'SMA5|5',
    'SMA5|15': 'SMA5|15',
    'SMA5|30': 'SMA5|30',
    'SMA5|60': 'SMA5|60',
    'SMA5|120': 'SMA5|120',
    'SMA5|240': 'SMA5|240',
    'SMA5|1W': 'SMA5|1W',
    'SMA5|1M': 'SMA5|1M',
    'SMA50': 'SMA50',
    'SMA50|1': 'SMA50|1',
    'SMA50|5': 'SMA50|5',
    'SMA50|15': 'SMA50|15',
    'SMA50|30': 'SMA50|30',
    'SMA50|60': 'SMA50|60',
    'SMA50|120': 'SMA50|120',
    'SMA50|240': 'SMA50|240',
    'SMA50|1W': 'SMA50|1W',
    'SMA50|1M': 'SMA50|1M',
    'SMA6': 'SMA6',
    'SMA6|1': 'SMA6|1',
    'SMA6|5': 'SMA6|5',
    'SMA6|15': 'SMA6|15',
    'SMA6|30': 'SMA6|30',
    'SMA6|60': 'SMA6|60',
    'SMA6|120': 'SMA6|120',
    'SMA6|240': 'SMA6|240',
    'SMA6|1W': 'SMA6|1W',
    'SMA6|1M': 'SMA6|1M',
    'SMA7': 'SMA7',
    'SMA7|1': 'SMA7|1',
    'SMA7|5': 'SMA7|5',
    'SMA7|15': 'SMA7|15',
    'SMA7|30': 'SMA7|30',
    'SMA7|60': 'SMA7|60',
    'SMA7|120': 'SMA7|120',
    'SMA7|240': 'SMA7|240',
    'SMA7|1W': 'SMA7|1W',
    'SMA7|1M': 'SMA7|1M',
    'SMA75': 'SMA75',
    'SMA75|1': 'SMA75|1',
    'SMA75|5': 'SMA75|5',
    'SMA75|15': 'SMA75|15',
    'SMA75|30': 'SMA75|30',
    'SMA75|60': 'SMA75|60',
    'SMA75|120': 'SMA75|120',
    'SMA75|240': 'SMA75|240',
    'SMA75|1W': 'SMA75|1W',
    'SMA75|1M': 'SMA75|1M',
    'SMA8': 'SMA8',
    'SMA8|1': 'SMA8|1',
    'SMA8|5': 'SMA8|5',
    'SMA8|15': 'SMA8|15',
    'SMA8|30': 'SMA8|30',
    'SMA8|60': 'SMA8|60',
    'SMA8|120': 'SMA8|120',
    'SMA8|240': 'SMA8|240',
    'SMA8|1W': 'SMA8|1W',
    'SMA8|1M': 'SMA8|1M',
    'SMA9': 'SMA9',
    'SMA9|1': 'SMA9|1',
    'SMA9|5': 'SMA9|5',
    'SMA9|15': 'SMA9|15',
    'SMA9|30': 'SMA9|30',
    'SMA9|60': 'SMA9|60',
    'SMA9|120': 'SMA9|120',
    'SMA9|240': 'SMA9|240',
    'SMA9|1W': 'SMA9|1W',
    'SMA9|1M': 'SMA9|1M',
    'Stoch.D': 'Stoch.D',
    'Stoch.D|1': 'Stoch.D|1',
    'Stoch.D|5': 'Stoch.D|5',
    'Stoch.D|15': 'Stoch.D|15',
    'Stoch.D|30': 'Stoch.D|30',
    'Stoch.D|60': 'Stoch.D|60',
    'Stoch.D|120': 'Stoch.D|120',
    'Stoch.D|240': 'Stoch.D|240',
    'Stoch.D|1W': 'Stoch.D|1W',
    'Stoch.D|1M': 'Stoch.D|1M',
    'Stoch.D[1]': 'Stoch.D[1]',
    'Stoch.D[1]|1': 'Stoch.D[1]|1',
    'Stoch.D[1]|5': 'Stoch.D[1]|5',
    'Stoch.D[1]|15': 'Stoch.D[1]|15',
    'Stoch.D[1]|30': 'Stoch.D[1]|30',
    'Stoch.D[1]|60': 'Stoch.D[1]|60',
    'Stoch.D[1]|120': 'Stoch.D[1]|120',
    'Stoch.D[1]|240': 'Stoch.D[1]|240',
    'Stoch.D[1]|1W': 'Stoch.D[1]|1W',
    'Stoch.D[1]|1M': 'Stoch.D[1]|1M',
    'Stoch.D[1]_14_1_3': 'Stoch.D[1]_14_1_3',
    'Stoch.D[1]_14_1_3|1': 'Stoch.D[1]_14_1_3|1',
    'Stoch.D[1]_14_1_3|5': 'Stoch.D[1]_14_1_3|5',
    'Stoch.D[1]_14_1_3|15': 'Stoch.D[1]_14_1_3|15',
    'Stoch.D[1]_14_1_3|30': 'Stoch.D[1]_14_1_3|30',
    'Stoch.D[1]_14_1_3|60': 'Stoch.D[1]_14_1_3|60',
    'Stoch.D[1]_14_1_3|120': 'Stoch.D[1]_14_1_3|120',
    'Stoch.D[1]_14_1_3|240': 'Stoch.D[1]_14_1_3|240',
    'Stoch.D[1]_14_1_3|1W': 'Stoch.D[1]_14_1_3|1W',
    'Stoch.D[1]_14_1_3|1M': 'Stoch.D[1]_14_1_3|1M',
    'Stoch.D_14_1_3': 'Stoch.D_14_1_3',
    'Stoch.D_14_1_3|1': 'Stoch.D_14_1_3|1',
    'Stoch.D_14_1_3|5': 'Stoch.D_14_1_3|5',
    'Stoch.D_14_1_3|15': 'Stoch.D_14_1_3|15',
    'Stoch.D_14_1_3|30': 'Stoch.D_14_1_3|30',
    'Stoch.D_14_1_3|60': 'Stoch.D_14_1_3|60',
    'Stoch.D_14_1_3|120': 'Stoch.D_14_1_3|120',
    'Stoch.D_14_1_3|240': 'Stoch.D_14_1_3|240',
    'Stoch.D_14_1_3|1W': 'Stoch.D_14_1_3|1W',
    'Stoch.D_14_1_3|1M': 'Stoch.D_14_1_3|1M',
    'Stoch.K': 'Stoch.K',
    'Stoch.K|1': 'Stoch.K|1',
    'Stoch.K|5': 'Stoch.K|5',
    'Stoch.K|15': 'Stoch.K|15',
    'Stoch.K|30': 'Stoch.K|30',
    'Stoch.K|60': 'Stoch.K|60',
    'Stoch.K|120': 'Stoch.K|120',
    'Stoch.K|240': 'Stoch.K|240',
    'Stoch.K|1W': 'Stoch.K|1W',
    'Stoch.K|1M': 'Stoch.K|1M',
    'Stoch.K[1]': 'Stoch.K[1]',
    'Stoch.K[1]|1': 'Stoch.K[1]|1',
    'Stoch.K[1]|5': 'Stoch.K[1]|5',
    'Stoch.K[1]|15': 'Stoch.K[1]|15',
    'Stoch.K[1]|30': 'Stoch.K[1]|30',
    'Stoch.K[1]|60': 'Stoch.K[1]|60',
    'Stoch.K[1]|120': 'Stoch.K[1]|120',
    'Stoch.K[1]|240': 'Stoch.K[1]|240',
    'Stoch.K[1]|1W': 'Stoch.K[1]|1W',
    'Stoch.K[1]|1M': 'Stoch.K[1]|1M',
    'Stoch.K[1]_14_1_3': 'Stoch.K[1]_14_1_3',
    'Stoch.K[1]_14_1_3|1': 'Stoch.K[1]_14_1_3|1',
    'Stoch.K[1]_14_1_3|5': 'Stoch.K[1]_14_1_3|5',
    'Stoch.K[1]_14_1_3|15': 'Stoch.K[1]_14_1_3|15',
    'Stoch.K[1]_14_1_3|30': 'Stoch.K[1]_14_1_3|30',
    'Stoch.K[1]_14_1_3|60': 'Stoch.K[1]_14_1_3|60',
    'Stoch.K[1]_14_1_3|120': 'Stoch.K[1]_14_1_3|120',
    'Stoch.K[1]_14_1_3|240': 'Stoch.K[1]_14_1_3|240',
    'Stoch.K[1]_14_1_3|1W': 'Stoch.K[1]_14_1_3|1W',
    'Stoch.K[1]_14_1_3|1M': 'Stoch.K[1]_14_1_3|1M',
    'Stoch.K_14_1_3': 'Stoch.K_14_1_3',
    'Stoch.K_14_1_3|1': 'Stoch.K_14_1_3|1',
    'Stoch.K_14_1_3|5': 'Stoch.K_14_1_3|5',
    'Stoch.K_14_1_3|15': 'Stoch.K_14_1_3|15',
    'Stoch.K_14_1_3|30': 'Stoch.K_14_1_3|30',
    'Stoch.K_14_1_3|60': 'Stoch.K_14_1_3|60',
    'Stoch.K_14_1_3|120': 'Stoch.K_14_1_3|120',
    'Stoch.K_14_1_3|240': 'Stoch.K_14_1_3|240',
    'Stoch.K_14_1_3|1W': 'Stoch.K_14_1_3|1W',
    'Stoch.K_14_1_3|1M': 'Stoch.K_14_1_3|1M',
    'Stoch.RSI.D': 'Stoch.RSI.D',
    'Stoch.RSI.D|1': 'Stoch.RSI.D|1',
    'Stoch.RSI.D|5': 'Stoch.RSI.D|5',
    'Stoch.RSI.D|15': 'Stoch.RSI.D|15',
    'Stoch.RSI.D|30': 'Stoch.RSI.D|30',
    'Stoch.RSI.D|60': 'Stoch.RSI.D|60',
    'Stoch.RSI.D|120': 'Stoch.RSI.D|120',
    'Stoch.RSI.D|240': 'Stoch.RSI.D|240',
    'Stoch.RSI.D|1W': 'Stoch.RSI.D|1W',
    'Stoch.RSI.D|1M': 'Stoch.RSI.D|1M',
    'Stoch.RSI.K': 'Stoch.RSI.K',
    'Stoch.RSI.K|1': 'Stoch.RSI.K|1',
    'Stoch.RSI.K|5': 'Stoch.RSI.K|5',
    'Stoch.RSI.K|15': 'Stoch.RSI.K|15',
    'Stoch.RSI.K|30': 'Stoch.RSI.K|30',
    'Stoch.RSI.K|60': 'Stoch.RSI.K|60',
    'Stoch.RSI.K|120': 'Stoch.RSI.K|120',
    'Stoch.RSI.K|240': 'Stoch.RSI.K|240',
    'Stoch.RSI.K|1W': 'Stoch.RSI.K|1W',
    'Stoch.RSI.K|1M': 'Stoch.RSI.K|1M',
    'TVC.10Y': 'TVC.10Y',
    'UO': 'UO',
    'UO|1': 'UO|1',
    'UO|5': 'UO|5',
    'UO|15': 'UO|15',
    'UO|30': 'UO|30',
    'UO|60': 'UO|60',
    'UO|120': 'UO|120',
    'UO|240': 'UO|240',
    'UO|1W': 'UO|1W',
    'UO|1M': 'UO|1M',
    'VWAP': 'VWAP',
    'VWAP|1': 'VWAP|1',
    'VWAP|5': 'VWAP|5',
    'VWAP|15': 'VWAP|15',
    'VWAP|30': 'VWAP|30',
    'VWAP|60': 'VWAP|60',
    'VWAP|120': 'VWAP|120',
    'VWAP|240': 'VWAP|240',
    'VWAP|1W': 'VWAP|1W',
    'VWAP|1M': 'VWAP|1M',
    'VWMA': 'VWMA',
    'VWMA|1': 'VWMA|1',
    'VWMA|5': 'VWMA|5',
    'VWMA|15': 'VWMA|15',
    'VWMA|30': 'VWMA|30',
    'VWMA|60': 'VWMA|60',
    'VWMA|120': 'VWMA|120',
    'VWMA|240': 'VWMA|240',
    'VWMA|1W': 'VWMA|1W',
    'VWMA|1M': 'VWMA|1M',
    'Value.Traded': 'Value.Traded',
    'Value.Traded|1': 'Value.Traded|1',
    'Value.Traded|5': 'Value.Traded|5',
    'Value.Traded|15': 'Value.Traded|15',
    'Value.Traded|30': 'Value.Traded|30',
    'Value.Traded|60': 'Value.Traded|60',
    'Value.Traded|120': 'Value.Traded|120',
    'Value.Traded|240': 'Value.Traded|240',
    'Value.Traded|1W': 'Value.Traded|1W',
    'Value.Traded|1M': 'Value.Traded|1M',
    'Volatility.D': 'Volatility.D',
    'Volatility.M': 'Volatility.M',
    'Volatility.W': 'Volatility.W',
    'W.R': 'W.R',
    'W.R|1': 'W.R|1',
    'W.R|5': 'W.R|5',
    'W.R|15': 'W.R|15',
    'W.R|30': 'W.R|30',
    'W.R|60': 'W.R|60',
    'W.R|120': 'W.R|120',
    'W.R|240': 'W.R|240',
    'W.R|1W': 'W.R|1W',
    'W.R|1M': 'W.R|1M',
    'active_addresses_ratio': 'active_addresses_ratio',
    'active_symbol': 'active_symbol',
    'actively_managed': 'actively_managed',
    'addresses_active': 'addresses_active',
    'addresses_new': 'addresses_new',
    'addresses_total': 'addresses_total',
    'addresses_zero_balance': 'addresses_zero_balance',
    'after_tax_margin': 'after_tax_margin',
    'all_time_high': 'all_time_high',
    'all_time_high_day': 'all_time_high_day',
    'all_time_low': 'all_time_low',
    'all_time_low_day': 'all_time_low_day',
    'all_time_open': 'all_time_open',
    'amount_recent': 'amount_recent',
    'amount_upcoming': 'amount_upcoming',
    'ask': 'ask',
    'asset_class': 'asset_class',
    'at_the_money_addresses_percentage': 'at_the_money_addresses_percentage',
    'aum': 'aum',
    'aum_perf.1M': 'aum_perf.1M',
    'aum_perf.1Y': 'aum_perf.1Y',
    'aum_perf.3M': 'aum_perf.3M',
    'aum_perf.3Y': 'aum_perf.3Y',
    'aum_perf.5Y': 'aum_perf.5Y',
    'aum_perf.YTD': 'aum_perf.YTD',
    'average_transaction_usd': 'average_transaction_usd',
    'average_volume': 'average_volume',
    'average_volume_10d_calc': 'average_volume_10d_calc',
    'average_volume_10d_calc|1': 'average_volume_10d_calc|1',
    'average_volume_10d_calc|5': 'average_volume_10d_calc|5',
    'average_volume_10d_calc|15': 'average_volume_10d_calc|15',
    'average_volume_10d_calc|30': 'average_volume_10d_calc|30',
    'average_volume_10d_calc|60': 'average_volume_10d_calc|60',
    'average_volume_10d_calc|120': 'average_volume_10d_calc|120',
    'average_volume_10d_calc|240': 'average_volume_10d_calc|240',
    'average_volume_10d_calc|1W': 'average_volume_10d_calc|1W',
    'average_volume_10d_calc|1M': 'average_volume_10d_calc|1M',
    'average_volume_30d_calc': 'average_volume_30d_calc',
    'average_volume_30d_calc|1': 'average_volume_30d_calc|1',
    'average_volume_30d_calc|5': 'average_volume_30d_calc|5',
    'average_volume_30d_calc|15': 'average_volume_30d_calc|15',
    'average_volume_30d_calc|30': 'average_volume_30d_calc|30',
    'average_volume_30d_calc|60': 'average_volume_30d_calc|60',
    'average_volume_30d_calc|120': 'average_volume_30d_calc|120',
    'average_volume_30d_calc|240': 'average_volume_30d_calc|240',
    'average_volume_30d_calc|1W': 'average_volume_30d_calc|1W',
    'average_volume_30d_calc|1M': 'average_volume_30d_calc|1M',
    'average_volume_60d_calc': 'average_volume_60d_calc',
    'average_volume_60d_calc|1': 'average_volume_60d_calc|1',
    'average_volume_60d_calc|5': 'average_volume_60d_calc|5',
    'average_volume_60d_calc|15': 'average_volume_60d_calc|15',
    'average_volume_60d_calc|30': 'average_volume_60d_calc|30',
    'average_volume_60d_calc|60': 'average_volume_60d_calc|60',
    'average_volume_60d_calc|120': 'average_volume_60d_calc|120',
    'average_volume_60d_calc|240': 'average_volume_60d_calc|240',
    'average_volume_60d_calc|1W': 'average_volume_60d_calc|1W',
    'average_volume_60d_calc|1M': 'average_volume_60d_calc|1M',
    'average_volume_90d_calc': 'average_volume_90d_calc',
    'average_volume_90d_calc|1': 'average_volume_90d_calc|1',
    'average_volume_90d_calc|5': 'average_volume_90d_calc|5',
    'average_volume_90d_calc|15': 'average_volume_90d_calc|15',
    'average_volume_90d_calc|30': 'average_volume_90d_calc|30',
    'average_volume_90d_calc|60': 'average_volume_90d_calc|60',
    'average_volume_90d_calc|120': 'average_volume_90d_calc|120',
    'average_volume_90d_calc|240': 'average_volume_90d_calc|240',
    'average_volume_90d_calc|1W': 'average_volume_90d_calc|1W',
    'average_volume_90d_calc|1M': 'average_volume_90d_calc|1M',
    'avg_balance': 'avg_balance',
    'bars_count': 'bars_count',
    'bars_count|1': 'bars_count|1',
    'bars_count|5': 'bars_count|5',
    'bars_count|15': 'bars_count|15',
    'bars_count|30': 'bars_count|30',
    'bars_count|60': 'bars_count|60',
    'bars_count|120': 'bars_count|120',
    'bars_count|240': 'bars_count|240',
    'bars_count|1W': 'bars_count|1W',
    'bars_count|1M': 'bars_count|1M',
    'base_currency_kind': 'base_currency_kind',
    'base_currency_logoid': 'base_currency_logoid',
    'basic_eps_net_income': 'basic_eps_net_income',
    'beta_1_year': 'beta_1_year',
    'beta_3_year': 'beta_3_year',
    'beta_5_year': 'beta_5_year',
    'bid': 'bid',
    'book_value_per_share_fq': 'book_value_per_share_fq',
    'book_value_per_share_fy': 'book_value_per_share_fy',
    'brand': 'brand',
    'break_even_addresses_percentage': 'break_even_addresses_percentage',
    'cagr_5_earnings_per_share_basic': 'cagr_5_earnings_per_share_basic',
    'cagr_5_free_cash_flow': 'cagr_5_free_cash_flow',
    'cagr_5_net_income': 'cagr_5_net_income',
    'cagr_5_revenue': 'cagr_5_revenue',
    'capital_expenditures_ttm': 'capital_expenditures_ttm',
    'cash_f_financing_activities_ttm': 'cash_f_financing_activities_ttm',
    'cash_f_investing_activities_ttm': 'cash_f_investing_activities_ttm',
    'cash_f_operating_activities_ttm': 'cash_f_operating_activities_ttm',
    'cash_n_equivalents_fq': 'cash_n_equivalents_fq',
    'cash_n_equivalents_fy': 'cash_n_equivalents_fy',
    'cash_n_short_term_invest_fq': 'cash_n_short_term_invest_fq',
    'cash_n_short_term_invest_fy': 'cash_n_short_term_invest_fy',
    'cash_n_short_term_invest_to_total_current_liabilities_fq': 'cash_n_short_term_invest_to_total_current_liabilities_fq',
    'cash_n_short_term_invest_to_total_current_liabilities_fy': 'cash_n_short_term_invest_to_total_current_liabilities_fy',
    'cash_n_short_term_invest_to_total_debt_fq': 'cash_n_short_term_invest_to_total_debt_fq',
    'cash_n_short_term_invest_to_total_debt_fy': 'cash_n_short_term_invest_to_total_debt_fy',
    'cash_ratio': 'cash_ratio',
    'category': 'category',
    'centralization': 'centralization',
    'change': 'change',
    'change|1': 'change|1',
    'change|5': 'change|5',
    'change|15': 'change|15',
    'change|30': 'change|30',
    'change|60': 'change|60',
    'change|120': 'change|120',
    'change|240': 'change|240',
    'change|1W': 'change|1W',
    'change|1M': 'change|1M',
    'change_abs': 'change_abs',
    'change_abs|1': 'change_abs|1',
    'change_abs|5': 'change_abs|5',
    'change_abs|15': 'change_abs|15',
    'change_abs|30': 'change_abs|30',
    'change_abs|60': 'change_abs|60',
    'change_abs|120': 'change_abs|120',
    'change_abs|240': 'change_abs|240',
    'change_abs|1W': 'change_abs|1W',
    'change_abs|1M': 'change_abs|1M',
    'change_from_open': 'change_from_open',
    'change_from_open|1': 'change_from_open|1',
    'change_from_open|5': 'change_from_open|5',
    'change_from_open|15': 'change_from_open|15',
    'change_from_open|30': 'change_from_open|30',
    'change_from_open|60': 'change_from_open|60',
    'change_from_open|120': 'change_from_open|120',
    'change_from_open|240': 'change_from_open|240',
    'change_from_open|1W': 'change_from_open|1W',
    'change_from_open|1M': 'change_from_open|1M',
    'change_from_open_abs': 'change_from_open_abs',
    'change_from_open_abs|1': 'change_from_open_abs|1',
    'change_from_open_abs|5': 'change_from_open_abs|5',
    'change_from_open_abs|15': 'change_from_open_abs|15',
    'change_from_open_abs|30': 'change_from_open_abs|30',
    'change_from_open_abs|60': 'change_from_open_abs|60',
    'change_from_open_abs|120': 'change_from_open_abs|120',
    'change_from_open_abs|240': 'change_from_open_abs|240',
    'change_from_open_abs|1W': 'change_from_open_abs|1W',
    'change_from_open_abs|1M': 'change_from_open_abs|1M',
    'circulating_supply': 'circulating_supply',
    'circulating_to_max_supply_ratio': 'circulating_to_max_supply_ratio',
    'close': 'close',
    'close|1': 'close|1',
    'close|5': 'close|5',
    'close|15': 'close|15',
    'close|30': 'close|30',
    'close|60': 'close|60',
    'close|120': 'close|120',
    'close|240': 'close|240',
    'close|1W': 'close|1W',
    'close|1M': 'close|1M',
    'component': 'component',
    'continuous_dividend_growth': 'continuous_dividend_growth',
    'continuous_dividend_payout': 'continuous_dividend_payout',
    'country': 'country',
    'country2': 'country2',
    'country_code': 'country_code',
    'country_code_fund': 'country_code_fund',
    'coupon': 'coupon',
    'crypto_blockchain_ecosystems': 'crypto_blockchain_ecosystems',
    'crypto_categories': 'crypto_categories',
    'crypto_code': 'crypto_code',
    'crypto_common_categories': 'crypto_common_categories',
    'crypto_consensus_algorithms': 'crypto_consensus_algorithms',
    'crypto_total_rank': 'crypto_total_rank',
    'cryptoasset-info.description': 'cryptoasset-info.description',
    'cryptoasset-info.id': 'cryptoasset-info.id',
    'currency': 'currency',
    'currency_hedged_flag': 'currency_hedged_flag',
    'currency_kind': 'currency_kind',
    'currency_logoid': 'currency_logoid',
    'current_ratio': 'current_ratio',
    'current_ratio_current': 'current_ratio_current',
    'current_ratio_fq': 'current_ratio_fq',
    'current_session': 'current_session',
    'days_to_maturity': 'days_to_maturity',
    'debt_to_assets': 'debt_to_assets',
    'debt_to_equity': 'debt_to_equity',
    'debt_to_equity_fq': 'debt_to_equity_fq',
    'debug.first_open_usd': 'debug.first_open_usd',
    'debug.last_close_usd': 'debug.last_close_usd',
    'description': 'description',
    'diluted_shares_outstanding_fq': 'diluted_shares_outstanding_fq',
    'dividend_amount_recent': 'dividend_amount_recent',
    'dividend_amount_upcoming': 'dividend_amount_upcoming',
    'dividend_ex_date_recent': 'dividend_ex_date_recent',
    'dividend_ex_date_upcoming': 'dividend_ex_date_upcoming',
    'dividend_frequency_recent': 'dividend_frequency_recent',
    'dividend_frequency_upcoming': 'dividend_frequency_upcoming',
    'dividend_payment_date_recent': 'dividend_payment_date_recent',
    'dividend_payment_date_upcoming': 'dividend_payment_date_upcoming',
    'dividend_payout_ratio_percent_fq': 'dividend_payout_ratio_percent_fq',
    'dividend_payout_ratio_percent_fy': 'dividend_payout_ratio_percent_fy',
    'dividend_payout_ratio_ttm': 'dividend_payout_ratio_ttm',
    'dividend_treatment': 'dividend_treatment',
    'dividend_yield_recent': 'dividend_yield_recent',
    'dividend_yield_upcoming': 'dividend_yield_upcoming',
    'dividends_frequency': 'dividends_frequency',
    'dividends_paid': 'dividends_paid',
    'dividends_per_share_fq': 'dividends_per_share_fq',
    'dividends_yield': 'dividends_yield',
    'dividends_yield_current': 'dividends_yield_current',
    'dividends_yield_fq': 'dividends_yield_fq',
    'dividends_yield_fy': 'dividends_yield_fy',
    'dps_common_stock_prim_issue_fq': 'dps_common_stock_prim_issue_fq',
    'dps_common_stock_prim_issue_fy': 'dps_common_stock_prim_issue_fy',
    'dps_common_stock_prim_issue_fy_h': 'dps_common_stock_prim_issue_fy_h',
    'dps_common_stock_prim_issue_yoy_growth_fy': 'dps_common_stock_prim_issue_yoy_growth_fy',
    'earnings_per_share_basic_fy': 'earnings_per_share_basic_fy',
    'earnings_per_share_basic_fy_h': 'earnings_per_share_basic_fy_h',
    'earnings_per_share_basic_ttm': 'earnings_per_share_basic_ttm',
    'earnings_per_share_diluted_fq': 'earnings_per_share_diluted_fq',
    'earnings_per_share_diluted_fq_h': 'earnings_per_share_diluted_fq_h',
    'earnings_per_share_diluted_fy': 'earnings_per_share_diluted_fy',
    'earnings_per_share_diluted_fy_h': 'earnings_per_share_diluted_fy_h',
    'earnings_per_share_diluted_qoq_growth_fq': 'earnings_per_share_diluted_qoq_growth_fq',
    'earnings_per_share_diluted_ttm': 'earnings_per_share_diluted_ttm',
    'earnings_per_share_diluted_ttm_h': 'earnings_per_share_diluted_ttm_h',
    'earnings_per_share_diluted_yoy_growth_fq': 'earnings_per_share_diluted_yoy_growth_fq',
    'earnings_per_share_diluted_yoy_growth_fy': 'earnings_per_share_diluted_yoy_growth_fy',
    'earnings_per_share_diluted_yoy_growth_ttm': 'earnings_per_share_diluted_yoy_growth_ttm',
    'earnings_per_share_forecast_fq': 'earnings_per_share_forecast_fq',
    'earnings_per_share_forecast_next_fq': 'earnings_per_share_forecast_next_fq',
    'earnings_per_share_forecast_next_fy': 'earnings_per_share_forecast_next_fy',
    'earnings_per_share_fq': 'earnings_per_share_fq',
    'earnings_per_share_fy': 'earnings_per_share_fy',
    'earnings_release_calendar_date': 'earnings_release_calendar_date',
    'earnings_release_date': 'earnings_release_date',
    'earnings_release_next_calendar_date': 'earnings_release_next_calendar_date',
    'earnings_release_next_date': 'earnings_release_next_date',
    'earnings_release_next_time': 'earnings_release_next_time',
    'earnings_release_time': 'earnings_release_time',
    'ebit_ttm': 'ebit_ttm',
    'ebitda': 'ebitda',
    'ebitda_fq_h': 'ebitda_fq_h',
    'ebitda_fy': 'ebitda_fy',
    'ebitda_fy_h': 'ebitda_fy_h',
    'ebitda_per_employee_fy': 'ebitda_per_employee_fy',
    'ebitda_qoq_growth_fq': 'ebitda_qoq_growth_fq',
    'ebitda_ttm': 'ebitda_ttm',
    'ebitda_ttm_h': 'ebitda_ttm_h',
    'ebitda_yoy_growth_fq': 'ebitda_yoy_growth_fq',
    'ebitda_yoy_growth_fy': 'ebitda_yoy_growth_fy',
    'ebitda_yoy_growth_ttm': 'ebitda_yoy_growth_ttm',
    'enterprise_value_current': 'enterprise_value_current',
    'enterprise_value_ebitda_current': 'enterprise_value_ebitda_current',
    'enterprise_value_ebitda_ttm': 'enterprise_value_ebitda_ttm',
    'enterprise_value_fq': 'enterprise_value_fq',
    'enterprise_value_to_ebit_ttm': 'enterprise_value_to_ebit_ttm',
    'enterprise_value_to_free_cash_flow_ttm': 'enterprise_value_to_free_cash_flow_ttm',
    'enterprise_value_to_gross_profit_ttm': 'enterprise_value_to_gross_profit_ttm',
    'enterprise_value_to_revenue_ttm': 'enterprise_value_to_revenue_ttm',
    'eps_diluted_growth_percent_fq': 'eps_diluted_growth_percent_fq',
    'eps_diluted_growth_percent_fy': 'eps_diluted_growth_percent_fy',
    'eps_surprise_fq': 'eps_surprise_fq',
    'eps_surprise_percent_fq': 'eps_surprise_percent_fq',
    'etf_fund_currency': 'etf_fund_currency',
    'ex_dividend_date_recent': 'ex_dividend_date_recent',
    'ex_dividend_date_upcoming': 'ex_dividend_date_upcoming',
    'exchange': 'exchange',
    'expected_annual_dividends': 'expected_annual_dividends',
    'expense_ratio': 'expense_ratio',
    'expiration': 'expiration',
    'first_bar_time': 'first_bar_time',
    'fiscal_period_end_fh': 'fiscal_period_end_fh',
    'fiscal_period_end_fq': 'fiscal_period_end_fq',
    'fiscal_period_fy_h': 'fiscal_period_fy_h',
    'float_shares_outstanding': 'float_shares_outstanding',
    'float_shares_outstanding_current': 'float_shares_outstanding_current',
    'float_shares_percent_current': 'float_shares_percent_current',
    'focus': 'focus',
    'forex_exotic_priority': 'forex_exotic_priority',
    'forex_minor_priority': 'forex_minor_priority',
    'forex_priority': 'forex_priority',
    'fractional': 'fractional',
    'free_cash_flow': 'free_cash_flow',
    'free_cash_flow_fq': 'free_cash_flow_fq',
    'free_cash_flow_fq_h': 'free_cash_flow_fq_h',
    'free_cash_flow_fy': 'free_cash_flow_fy',
    'free_cash_flow_fy_h': 'free_cash_flow_fy_h',
    'free_cash_flow_margin_fy': 'free_cash_flow_margin_fy',
    'free_cash_flow_margin_ttm': 'free_cash_flow_margin_ttm',
    'free_cash_flow_per_employee_fy': 'free_cash_flow_per_employee_fy',
    'free_cash_flow_qoq_growth_fq': 'free_cash_flow_qoq_growth_fq',
    'free_cash_flow_ttm': 'free_cash_flow_ttm',
    'free_cash_flow_ttm_h': 'free_cash_flow_ttm_h',
    'free_cash_flow_yoy_growth_fq': 'free_cash_flow_yoy_growth_fq',
    'free_cash_flow_yoy_growth_fy': 'free_cash_flow_yoy_growth_fy',
    'free_cash_flow_yoy_growth_ttm': 'free_cash_flow_yoy_growth_ttm',
    'frequency_recent': 'frequency_recent',
    'frequency_upcoming': 'frequency_upcoming',
    'fund_flows.1M': 'fund_flows.1M',
    'fund_flows.1Y': 'fund_flows.1Y',
    'fund_flows.3M': 'fund_flows.3M',
    'fund_flows.3Y': 'fund_flows.3Y',
    'fund_flows.5Y': 'fund_flows.5Y',
    'fund_flows.YTD': 'fund_flows.YTD',
    'fundamental_currency_code': 'fundamental_currency_code',
    'gap': 'gap',
    'gap|1': 'gap|1',
    'gap|5': 'gap|5',
    'gap|15': 'gap|15',
    'gap|30': 'gap|30',
    'gap|60': 'gap|60',
    'gap|120': 'gap|120',
    'gap|240': 'gap|240',
    'gap|1W': 'gap|1W',
    'gap|1M': 'gap|1M',
    'gap_down': 'gap_down',
    'gap_down|1': 'gap_down|1',
    'gap_down|5': 'gap_down|5',
    'gap_down|15': 'gap_down|15',
    'gap_down|30': 'gap_down|30',
    'gap_down|60': 'gap_down|60',
    'gap_down|120': 'gap_down|120',
    'gap_down|240': 'gap_down|240',
    'gap_down|1W': 'gap_down|1W',
    'gap_down|1M': 'gap_down|1M',
    'gap_down_abs': 'gap_down_abs',
    'gap_down_abs|1': 'gap_down_abs|1',
    'gap_down_abs|5': 'gap_down_abs|5',
    'gap_down_abs|15': 'gap_down_abs|15',
    'gap_down_abs|30': 'gap_down_abs|30',
    'gap_down_abs|60': 'gap_down_abs|60',
    'gap_down_abs|120': 'gap_down_abs|120',
    'gap_down_abs|240': 'gap_down_abs|240',
    'gap_down_abs|1W': 'gap_down_abs|1W',
    'gap_down_abs|1M': 'gap_down_abs|1M',
    'gap_up': 'gap_up',
    'gap_up|1': 'gap_up|1',
    'gap_up|5': 'gap_up|5',
    'gap_up|15': 'gap_up|15',
    'gap_up|30': 'gap_up|30',
    'gap_up|60': 'gap_up|60',
    'gap_up|120': 'gap_up|120',
    'gap_up|240': 'gap_up|240',
    'gap_up|1W': 'gap_up|1W',
    'gap_up|1M': 'gap_up|1M',
    'gap_up_abs': 'gap_up_abs',
    'gap_up_abs|1': 'gap_up_abs|1',
    'gap_up_abs|5': 'gap_up_abs|5',
    'gap_up_abs|15': 'gap_up_abs|15',
    'gap_up_abs|30': 'gap_up_abs|30',
    'gap_up_abs|60': 'gap_up_abs|60',
    'gap_up_abs|120': 'gap_up_abs|120',
    'gap_up_abs|240': 'gap_up_abs|240',
    'gap_up_abs|1W': 'gap_up_abs|1W',
    'gap_up_abs|1M': 'gap_up_abs|1M',
    'github_commits': 'github_commits',
    'goodwill': 'goodwill',
    'goodwill_fq': 'goodwill_fq',
    'gross_margin': 'gross_margin',
    'gross_margin_fy': 'gross_margin_fy',
    'gross_margin_percent_ttm': 'gross_margin_percent_ttm',
    'gross_margin_ttm': 'gross_margin_ttm',
    'gross_profit': 'gross_profit',
    'gross_profit_fq': 'gross_profit_fq',
    'gross_profit_fq_h': 'gross_profit_fq_h',
    'gross_profit_fy': 'gross_profit_fy',
    'gross_profit_fy_h': 'gross_profit_fy_h',
    'gross_profit_margin_fy': 'gross_profit_margin_fy',
    'gross_profit_qoq_growth_fq': 'gross_profit_qoq_growth_fq',
    'gross_profit_ttm': 'gross_profit_ttm',
    'gross_profit_ttm_h': 'gross_profit_ttm_h',
    'gross_profit_yoy_growth_fq': 'gross_profit_yoy_growth_fq',
    'gross_profit_yoy_growth_fy': 'gross_profit_yoy_growth_fy',
    'gross_profit_yoy_growth_ttm': 'gross_profit_yoy_growth_ttm',
    'high': 'high',
    'high|1': 'high|1',
    'high|5': 'high|5',
    'high|15': 'high|15',
    'high|30': 'high|30',
    'high|60': 'high|60',
    'high|120': 'high|120',
    'high|240': 'high|240',
    'high|1W': 'high|1W',
    'high|1M': 'high|1M',
    'holdings_region': 'holdings_region',
    'holds_derivatives_flag': 'holds_derivatives_flag',
    'in_the_money_addresses_percentage': 'in_the_money_addresses_percentage',
    'index': 'index',
    'index_priority': 'index_priority',
    'index_provider': 'index_provider',
    'indicated_annual_dividend': 'indicated_annual_dividend',
    'indicators_bars_count': 'indicators_bars_count',
    'indicators_bars_count|1': 'indicators_bars_count|1',
    'indicators_bars_count|5': 'indicators_bars_count|5',
    'indicators_bars_count|15': 'indicators_bars_count|15',
    'indicators_bars_count|30': 'indicators_bars_count|30',
    'indicators_bars_count|60': 'indicators_bars_count|60',
    'indicators_bars_count|120': 'indicators_bars_count|120',
    'indicators_bars_count|240': 'indicators_bars_count|240',
    'indicators_bars_count|1W': 'indicators_bars_count|1W',
    'indicators_bars_count|1M': 'indicators_bars_count|1M',
    'industry': 'industry',
    'inverse_flag': 'inverse_flag',
    'is_blacklisted': 'is_blacklisted',
    'is_primary': 'is_primary',
    'is_shariah_compliant': 'is_shariah_compliant',
    'issuer': 'issuer',
    'k1_form': 'k1_form',
    'large_tx_count': 'large_tx_count',
    'large_tx_volume_usd': 'large_tx_volume_usd',
    'last_annual_eps': 'last_annual_eps',
    'last_annual_revenue': 'last_annual_revenue',
    'last_bar_update_time': 'last_bar_update_time',
    'last_bar_update_time|1': 'last_bar_update_time|1',
    'last_bar_update_time|5': 'last_bar_update_time|5',
    'last_bar_update_time|15': 'last_bar_update_time|15',
    'last_bar_update_time|30': 'last_bar_update_time|30',
    'last_bar_update_time|60': 'last_bar_update_time|60',
    'last_bar_update_time|120': 'last_bar_update_time|120',
    'last_bar_update_time|240': 'last_bar_update_time|240',
    'last_bar_update_time|1W': 'last_bar_update_time|1W',
    'last_bar_update_time|1M': 'last_bar_update_time|1M',
    'last_report_frequency': 'last_report_frequency',
    'launch_date': 'launch_date',
    'leverage': 'leverage',
    'leverage_ratio': 'leverage_ratio',
    'leveraged_flag': 'leveraged_flag',
    'logoid': 'logoid',
    'long_term_capital': 'long_term_capital',
    'long_term_debt_to_assets_fq': 'long_term_debt_to_assets_fq',
    'long_term_debt_to_assets_fy': 'long_term_debt_to_assets_fy',
    'long_term_debt_to_equity_fq': 'long_term_debt_to_equity_fq',
    'losses_addresses_percentage': 'losses_addresses_percentage',
    'low': 'low',
    'low|1': 'low|1',
    'low|5': 'low|5',
    'low|15': 'low|15',
    'low|30': 'low|30',
    'low|60': 'low|60',
    'low|120': 'low|120',
    'low|240': 'low|240',
    'low|1W': 'low|1W',
    'low|1M': 'low|1M',
    'low_after_high_all_change': 'low_after_high_all_change',
    'low_after_high_all_change_abs': 'low_after_high_all_change_abs',
    'market': 'market',
    'market_cap': 'market_cap',
    'market_cap_basic': 'market_cap_basic',
    'market_cap_calc': 'market_cap_calc',
    'market_cap_diluted_calc': 'market_cap_diluted_calc',
    'market_cap_to_tvl': 'market_cap_to_tvl',
    'maturity_date': 'maturity_date',
    'max_supply': 'max_supply',
    'minmov': 'minmov',
    'minmove2': 'minmove2',
    'most_recent_quarter_date': 'most_recent_quarter_date',
    'name': 'name',
    'nav': 'nav',
    'nav_discount_premium': 'nav_discount_premium',
    'nav_perf.1M': 'nav_perf.1M',
    'nav_perf.1Y': 'nav_perf.1Y',
    'nav_perf.3M': 'nav_perf.3M',
    'nav_perf.3Y': 'nav_perf.3Y',
    'nav_perf.5Y': 'nav_perf.5Y',
    'nav_perf.YTD': 'nav_perf.YTD',
    'nav_total_return.1M': 'nav_total_return.1M',
    'nav_total_return.1Y': 'nav_total_return.1Y',
    'nav_total_return.3M': 'nav_total_return.3M',
    'nav_total_return.3Y': 'nav_total_return.3Y',
    'nav_total_return.5Y': 'nav_total_return.5Y',
    'nav_total_return.6M': 'nav_total_return.6M',
    'nav_total_return.YTD': 'nav_total_return.YTD',
    'net_debt': 'net_debt',
    'net_debt_fq': 'net_debt_fq',
    'net_income': 'net_income',
    'net_income_bef_disc_oper_fy': 'net_income_bef_disc_oper_fy',
    'net_income_bef_disc_oper_margin_fy': 'net_income_bef_disc_oper_margin_fy',
    'net_income_fq_h': 'net_income_fq_h',
    'net_income_fy': 'net_income_fy',
    'net_income_fy_h': 'net_income_fy_h',
    'net_income_per_employee_fy': 'net_income_per_employee_fy',
    'net_income_qoq_growth_fq': 'net_income_qoq_growth_fq',
    'net_income_ttm': 'net_income_ttm',
    'net_income_ttm_h': 'net_income_ttm_h',
    'net_income_yoy_growth_fq': 'net_income_yoy_growth_fq',
    'net_income_yoy_growth_fy': 'net_income_yoy_growth_fy',
    'net_income_yoy_growth_ttm': 'net_income_yoy_growth_ttm',
    'net_margin': 'net_margin',
    'net_margin_fy': 'net_margin_fy',
    'net_margin_ttm': 'net_margin_ttm',
    'next_dividend_date': 'next_dividend_date',
    'niche': 'niche',
    'non_gaap_price_to_earnings_per_share_forecast_next_fy': 'non_gaap_price_to_earnings_per_share_forecast_next_fy',
    'number_of_employees': 'number_of_employees',
    'number_of_employees_fy': 'number_of_employees_fy',
    'number_of_shareholders': 'number_of_shareholders',
    'number_of_shareholders_fy': 'number_of_shareholders_fy',
    'nvt': 'nvt',
    'open': 'open',
    'open|1': 'open|1',
    'open|5': 'open|5',
    'open|15': 'open|15',
    'open|30': 'open|30',
    'open|60': 'open|60',
    'open|120': 'open|120',
    'open|240': 'open|240',
    'open|1W': 'open|1W',
    'open|1M': 'open|1M',
    'open_interest': 'open_interest',
    'oper_income_fy': 'oper_income_fy',
    'oper_income_margin_fy': 'oper_income_margin_fy',
    'oper_income_per_employee_fy': 'oper_income_per_employee_fy',
    'oper_income_ttm': 'oper_income_ttm',
    'operating_margin': 'operating_margin',
    'operating_margin_fy': 'operating_margin_fy',
    'operating_margin_ttm': 'operating_margin_ttm',
    'option-type': 'option-type',
    'out_the_money_addresses_percentage': 'out_the_money_addresses_percentage',
    'payment_date_recent': 'payment_date_recent',
    'payment_date_upcoming': 'payment_date_upcoming',
    'popularity_rank': 'popularity_rank',
    'post_change': 'post_change',
    'post_change|1': 'post_change|1',
    'post_change|5': 'post_change|5',
    'post_change|15': 'post_change|15',
    'post_change|30': 'post_change|30',
    'post_change|60': 'post_change|60',
    'post_change|120': 'post_change|120',
    'post_change|240': 'post_change|240',
    'post_change|1W': 'post_change|1W',
    'post_change|1M': 'post_change|1M',
    'postmarket_change': 'postmarket_change',
    'postmarket_change_abs': 'postmarket_change_abs',
    'postmarket_close': 'postmarket_close',
    'postmarket_high': 'postmarket_high',
    'postmarket_low': 'postmarket_low',
    'postmarket_open': 'postmarket_open',
    'postmarket_time': 'postmarket_time',
    'postmarket_volume': 'postmarket_volume',
    'pre_change': 'pre_change',
    'pre_change|1': 'pre_change|1',
    'pre_change|5': 'pre_change|5',
    'pre_change|15': 'pre_change|15',
    'pre_change|30': 'pre_change|30',
    'pre_change|60': 'pre_change|60',
    'pre_change|120': 'pre_change|120',
    'pre_change|240': 'pre_change|240',
    'pre_change|1W': 'pre_change|1W',
    'pre_change|1M': 'pre_change|1M',
    'pre_change_abs': 'pre_change_abs',
    'pre_change_abs|1': 'pre_change_abs|1',
    'pre_change_abs|5': 'pre_change_abs|5',
    'pre_change_abs|15': 'pre_change_abs|15',
    'pre_change_abs|30': 'pre_change_abs|30',
    'pre_change_abs|60': 'pre_change_abs|60',
    'pre_change_abs|120': 'pre_change_abs|120',
    'pre_change_abs|240': 'pre_change_abs|240',
    'pre_change_abs|1W': 'pre_change_abs|1W',
    'pre_change_abs|1M': 'pre_change_abs|1M',
    'pre_tax_margin': 'pre_tax_margin',
    'pre_tax_margin_ttm': 'pre_tax_margin_ttm',
    'preferred_dividends': 'preferred_dividends',
    'premarket_change': 'premarket_change',
    'premarket_change_abs': 'premarket_change_abs',
    'premarket_change_from_open': 'premarket_change_from_open',
    'premarket_change_from_open_abs': 'premarket_change_from_open_abs',
    'premarket_close': 'premarket_close',
    'premarket_gap': 'premarket_gap',
    'premarket_high': 'premarket_high',
    'premarket_low': 'premarket_low',
    'premarket_open': 'premarket_open',
    'premarket_time': 'premarket_time',
    'premarket_volume': 'premarket_volume',
    'price_52_week_high': 'price_52_week_high',
    'price_52_week_high_date': 'price_52_week_high_date',
    'price_52_week_low': 'price_52_week_low',
    'price_52_week_low_date': 'price_52_week_low_date',
    'price_annual_book': 'price_annual_book',
    'price_annual_sales': 'price_annual_sales',
    'price_book_current': 'price_book_current',
    'price_book_fq': 'price_book_fq',
    'price_book_ratio': 'price_book_ratio',
    'price_cash_flow_current': 'price_cash_flow_current',
    'price_earnings_current': 'price_earnings_current',
    'price_earnings_forward_fy': 'price_earnings_forward_fy',
    'price_earnings_growth_ttm': 'price_earnings_growth_ttm',
    'price_earnings_ttm': 'price_earnings_ttm',
    'price_free_cash_flow_current': 'price_free_cash_flow_current',
    'price_free_cash_flow_ttm': 'price_free_cash_flow_ttm',
    'price_revenue_ttm': 'price_revenue_ttm',
    'price_sales': 'price_sales',
    'price_sales_current': 'price_sales_current',
    'price_sales_ratio': 'price_sales_ratio',
    'price_target_average': 'price_target_average',
    'price_target_high': 'price_target_high',
    'price_target_low': 'price_target_low',
    'price_target_median': 'price_target_median',
    'price_to_cash_f_operating_activities_ttm': 'price_to_cash_f_operating_activities_ttm',
    'price_to_cash_ratio': 'price_to_cash_ratio',
    'price_to_working_capital_fq': 'price_to_working_capital_fq',
    'pricescale': 'pricescale',
    'profit_addresses_percentage': 'profit_addresses_percentage',
    'provider-id': 'provider-id',
    'quick_ratio': 'quick_ratio',
    'quick_ratio_current': 'quick_ratio_current',
    'quick_ratio_fq': 'quick_ratio_fq',
    'rates_cf': 'rates_cf',
    'rates_current': 'rates_current',
    'rates_dividend_recent': 'rates_dividend_recent',
    'rates_dividend_upcoming': 'rates_dividend_upcoming',
    'rates_earnings_fq': 'rates_earnings_fq',
    'rates_earnings_next_fq': 'rates_earnings_next_fq',
    'rates_fh': 'rates_fh',
    'rates_fq': 'rates_fq',
    'rates_fy': 'rates_fy',
    'rates_mc': 'rates_mc',
    'rates_pt': 'rates_pt',
    'rates_time_series': 'rates_time_series',
    'rates_ttm': 'rates_ttm',
    'recommendation_buy': 'recommendation_buy',
    'recommendation_hold': 'recommendation_hold',
    'recommendation_mark': 'recommendation_mark',
    'recommendation_over': 'recommendation_over',
    'recommendation_sell': 'recommendation_sell',
    'recommendation_total': 'recommendation_total',
    'recommendation_under': 'recommendation_under',
    'region': 'region',
    'relative_volume': 'relative_volume',
    'relative_volume_10d_calc': 'relative_volume_10d_calc',
    'relative_volume_10d_calc|1': 'relative_volume_10d_calc|1',
    'relative_volume_10d_calc|5': 'relative_volume_10d_calc|5',
    'relative_volume_10d_calc|15': 'relative_volume_10d_calc|15',
    'relative_volume_10d_calc|30': 'relative_volume_10d_calc|30',
    'relative_volume_10d_calc|60': 'relative_volume_10d_calc|60',
    'relative_volume_10d_calc|120': 'relative_volume_10d_calc|120',
    'relative_volume_10d_calc|240': 'relative_volume_10d_calc|240',
    'relative_volume_10d_calc|1W': 'relative_volume_10d_calc|1W',
    'relative_volume_10d_calc|1M': 'relative_volume_10d_calc|1M',
    'relative_volume_intraday|5': 'relative_volume_intraday|5',
    'research_and_dev_fy': 'research_and_dev_fy',
    'research_and_dev_per_employee_fy': 'research_and_dev_per_employee_fy',
    'research_and_dev_ratio_fy': 'research_and_dev_ratio_fy',
    'research_and_dev_ratio_ttm': 'research_and_dev_ratio_ttm',
    'research_and_dev_ttm': 'research_and_dev_ttm',
    'return_of_invested_capital_percent_ttm': 'return_of_invested_capital_percent_ttm',
    'return_on_assets': 'return_on_assets',
    'return_on_assets_fq': 'return_on_assets_fq',
    'return_on_assets_fy': 'return_on_assets_fy',
    'return_on_equity': 'return_on_equity',
    'return_on_equity_fq': 'return_on_equity_fq',
    'return_on_equity_fy': 'return_on_equity_fy',
    'return_on_invested_capital': 'return_on_invested_capital',
    'return_on_invested_capital_fq': 'return_on_invested_capital_fq',
    'return_on_invested_capital_fy': 'return_on_invested_capital_fy',
    'revenue_forecast_fq': 'revenue_forecast_fq',
    'revenue_forecast_next_fq': 'revenue_forecast_next_fq',
    'revenue_fq': 'revenue_fq',
    'revenue_per_employee': 'revenue_per_employee',
    'revenue_per_share_fy': 'revenue_per_share_fy',
    'revenue_per_share_ttm': 'revenue_per_share_ttm',
    'root': 'root',
    'rtc': 'rtc',
    'sector': 'sector',
    'segment': 'segment',
    'selection_criteria': 'selection_criteria',
    'sell_gen_admin_exp_other_fy': 'sell_gen_admin_exp_other_fy',
    'sell_gen_admin_exp_other_ratio_fy': 'sell_gen_admin_exp_other_ratio_fy',
    'sell_gen_admin_exp_other_ratio_ttm': 'sell_gen_admin_exp_other_ratio_ttm',
    'sell_gen_admin_exp_other_ttm': 'sell_gen_admin_exp_other_ttm',
    'shrhldrs_equity_fq': 'shrhldrs_equity_fq',
    'shrhldrs_equity_fy': 'shrhldrs_equity_fy',
    'shrhldrs_equity_to_total_assets_fq': 'shrhldrs_equity_to_total_assets_fq',
    'shrhldrs_equity_to_total_assets_fy': 'shrhldrs_equity_to_total_assets_fy',
    'source-logoid': 'source-logoid',
    'strategy': 'strategy',
    'strike': 'strike',
    'study-inputs': 'study-inputs',
    'submarket': 'submarket',
    'subtype': 'subtype',
    'telegram_members': 'telegram_members',
    'telegram_negative': 'telegram_negative',
    'telegram_positive': 'telegram_positive',
    'term-to-maturity': 'term-to-maturity',
    'time': 'time',
    'time|1': 'time|1',
    'time|5': 'time|5',
    'time|15': 'time|15',
    'time|30': 'time|30',
    'time|60': 'time|60',
    'time|120': 'time|120',
    'time|240': 'time|240',
    'time|1W': 'time|1W',
    'time|1M': 'time|1M',
    'time_business_day': 'time_business_day',
    'total_addresses_with_balance': 'total_addresses_with_balance',
    'total_assets': 'total_assets',
    'total_assets_fq': 'total_assets_fq',
    'total_assets_fq_h': 'total_assets_fq_h',
    'total_assets_fy': 'total_assets_fy',
    'total_assets_fy_h': 'total_assets_fy_h',
    'total_assets_per_employee_fy': 'total_assets_per_employee_fy',
    'total_assets_qoq_growth_fq': 'total_assets_qoq_growth_fq',
    'total_assets_yoy_growth_fq': 'total_assets_yoy_growth_fq',
    'total_assets_yoy_growth_fy': 'total_assets_yoy_growth_fy',
    'total_capital': 'total_capital',
    'total_cash_dividends_paid_fy': 'total_cash_dividends_paid_fy',
    'total_current_assets': 'total_current_assets',
    'total_current_assets_fq': 'total_current_assets_fq',
    'total_current_liabilities_fq': 'total_current_liabilities_fq',
    'total_current_liabilities_fy': 'total_current_liabilities_fy',
    'total_debt': 'total_debt',
    'total_debt_fq': 'total_debt_fq',
    'total_debt_fq_h': 'total_debt_fq_h',
    'total_debt_fy': 'total_debt_fy',
    'total_debt_fy_h': 'total_debt_fy_h',
    'total_debt_per_employee_fy': 'total_debt_per_employee_fy',
    'total_debt_qoq_growth_fq': 'total_debt_qoq_growth_fq',
    'total_debt_to_ebitda_fq': 'total_debt_to_ebitda_fq',
    'total_debt_to_ebitda_fy': 'total_debt_to_ebitda_fy',
    'total_debt_yoy_growth_fq': 'total_debt_yoy_growth_fq',
    'total_debt_yoy_growth_fy': 'total_debt_yoy_growth_fy',
    'total_equity_fq': 'total_equity_fq',
    'total_liabilities_fq': 'total_liabilities_fq',
    'total_liabilities_fy': 'total_liabilities_fy',
    'total_revenue': 'total_revenue',
    'total_revenue_fq_h': 'total_revenue_fq_h',
    'total_revenue_fy': 'total_revenue_fy',
    'total_revenue_fy_h': 'total_revenue_fy_h',
    'total_revenue_qoq_growth_fq': 'total_revenue_qoq_growth_fq',
    'total_revenue_ttm': 'total_revenue_ttm',
    'total_revenue_ttm_h': 'total_revenue_ttm_h',
    'total_revenue_yoy_growth_fq': 'total_revenue_yoy_growth_fq',
    'total_revenue_yoy_growth_fy': 'total_revenue_yoy_growth_fy',
    'total_revenue_yoy_growth_ttm': 'total_revenue_yoy_growth_ttm',
    'total_shares_diluted': 'total_shares_diluted',
    'total_shares_outstanding': 'total_shares_outstanding',
    'total_shares_outstanding_calculated': 'total_shares_outstanding_calculated',
    'total_shares_outstanding_current': 'total_shares_outstanding_current',
    'total_shares_outstanding_fundamental': 'total_shares_outstanding_fundamental',
    'total_supply': 'total_supply',
    'total_to_max_supply_ratio': 'total_to_max_supply_ratio',
    'total_value_traded': 'total_value_traded',
    'transparent_holding_flag': 'transparent_holding_flag',
    'tvl': 'tvl',
    'twitter_negative': 'twitter_negative',
    'twitter_positive': 'twitter_positive',
    'txs_count': 'txs_count',
    'txs_volume': 'txs_volume',
    'txs_volume_usd': 'txs_volume_usd',
    'type': 'type',
    'typespecs': 'typespecs',
    'ucits_compliant_flag': 'ucits_compliant_flag',
    'update-time': 'update-time',
    'update_mode': 'update_mode',
    'update_mode|1': 'update_mode|1',
    'update_mode|5': 'update_mode|5',
    'update_mode|15': 'update_mode|15',
    'update_mode|30': 'update_mode|30',
    'update_mode|60': 'update_mode|60',
    'update_mode|120': 'update_mode|120',
    'update_mode|240': 'update_mode|240',
    'update_mode|1W': 'update_mode|1W',
    'update_mode|1M': 'update_mode|1M',
    'update_time': 'update_time',
    'velocity': 'velocity',
    'volume': 'volume',
    'volume|1': 'volume|1',
    'volume|5': 'volume|5',
    'volume|15': 'volume|15',
    'volume|30': 'volume|30',
    'volume|60': 'volume|60',
    'volume|120': 'volume|120',
    'volume|240': 'volume|240',
    'volume|1W': 'volume|1W',
    'volume|1M': 'volume|1M',
    'volume-type': 'volume-type',
    'volume_base': 'volume_base',
    'volume_base|1': 'volume_base|1',
    'volume_base|5': 'volume_base|5',
    'volume_base|15': 'volume_base|15',
    'volume_base|30': 'volume_base|30',
    'volume_base|60': 'volume_base|60',
    'volume_base|120': 'volume_base|120',
    'volume_base|240': 'volume_base|240',
    'volume_base|1W': 'volume_base|1W',
    'volume_base|1M': 'volume_base|1M',
    'volume_change': 'volume_change',
    'volume_change|1': 'volume_change|1',
    'volume_change|5': 'volume_change|5',
    'volume_change|15': 'volume_change|15',
    'volume_change|30': 'volume_change|30',
    'volume_change|60': 'volume_change|60',
    'volume_change|120': 'volume_change|120',
    'volume_change|240': 'volume_change|240',
    'volume_change|1W': 'volume_change|1W',
    'volume_change|1M': 'volume_change|1M',
    'volume_change_abs': 'volume_change_abs',
    'volume_change_abs|1': 'volume_change_abs|1',
    'volume_change_abs|5': 'volume_change_abs|5',
    'volume_change_abs|15': 'volume_change_abs|15',
    'volume_change_abs|30': 'volume_change_abs|30',
    'volume_change_abs|60': 'volume_change_abs|60',
    'volume_change_abs|120': 'volume_change_abs|120',
    'volume_change_abs|240': 'volume_change_abs|240',
    'volume_change_abs|1W': 'volume_change_abs|1W',
    'volume_change_abs|1M': 'volume_change_abs|1M',
    'volume_quote': 'volume_quote',
    'volume_quote|1': 'volume_quote|1',
    'volume_quote|5': 'volume_quote|5',
    'volume_quote|15': 'volume_quote|15',
    'volume_quote|30': 'volume_quote|30',
    'volume_quote|60': 'volume_quote|60',
    'volume_quote|120': 'volume_quote|120',
    'volume_quote|240': 'volume_quote|240',
    'volume_quote|1W': 'volume_quote|1W',
    'volume_quote|1M': 'volume_quote|1M',
    'weight_top_10': 'weight_top_10',
    'weight_top_25': 'weight_top_25',
    'weight_top_50': 'weight_top_50',
    'weighting_scheme': 'weighting_scheme',
    'working_capital_fq': 'working_capital_fq',
    'yield_recent': 'yield_recent',
    'yield_upcoming': 'yield_upcoming',
}

"""
These are all the columns available that you can use in your queries,
either by passing the key, e.g. "Volume Weighted Average Price",
or by passing the value, e.g. "VWAP".

You can choose the timeframe for some columns, such as the close price:

| Timeframe | Column |
|---|---|
| 1 Minute | `close\|1` |
| 5 Minutes | `close\|5` |
| 15 Minutes | `close\|15` |
| 30 Minutes | `close\|30` |
| 1 Hour | `close\|60` |
| 2 Hours | `close\|120` |
| 4 Hours | `close\|240` |
| 1 Day | `close` |
| 1 Week | `close\|1W` |
| 1 Month | `close\|1M` |

The column does not have the '|' character; its timeframe is 1 day

---

Get scanner data with different timeframes:
```py
from tradingview_screener import Query

(Query()
 .select('close', 'close|1M', 'volume', 'volume|1', 'RSI5|15')
 .get_scanner_data())
```
```
(17829,
          ticker     close  close|1M    volume  volume|1    RSI5|15
 0   NASDAQ:TSLA  216.1350  216.1350  84218164     52082  23.958212
 1      AMEX:SPY  434.3900  434.3900  36438753     27719  33.231938
 2   NASDAQ:NVDA  452.2800  452.2800  27854819     15048  42.992968
 3    NASDAQ:QQQ  367.7600  367.7600  23474255     18785  38.779725
 4   NASDAQ:AAPL  178.3699  178.3699  38685909     17793  34.885195
 ..          ...       ...       ...       ...       ...        ...
 45    NYSE:BABA   85.3250   85.3250   6816970      3318  20.488758
 46   NASDAQ:IEF   91.1496   91.1496   6256164      2511  37.831837
 47     NYSE:DIS   83.9100   83.9100   6776768      8429   5.136948
 48    AMEX:ARKK   39.3650   39.3650  14207531     20762  30.582295
 49     NYSE:UNH  532.9000  532.9000   1048587       384  44.263227
 [50 rows x 6 columns])
```
"""
